
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Chinese (Zh) translation                        }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{       Original translator: Jiansong Liu               }
{       jiansongliu@hotmail.com                         }
{                                                       }
{*******************************************************}
{ Updated: 2008-05-20 by Brandon Rock                   }
{          2011-03-02 by Alconost                       }
{          2011-09-19 by Alconost                       }
{          2012-09-13 by Alconost                       }
{          2014-04-26 by Alconost                       }
{*******************************************************}

unit RVAL_ChsZh;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'Ӣ', '', '', 'ʮ', '', '',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pc', 'px', 'pt',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  'ļ(&F)', '༭(&E)', 'ʽ(&O)', '(&N)', '(&P)', '(&I)', '(&T)', '(&W)', '(&H)',
  // exit
  '˳(&X)',
  // top-level menus: View, Tools,
  '鿴(&V)', '(&L)',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'С', 'ʽ', 'ѡ(&T)', 'еԪ(&N)', 'Ԫ߿(&E)',
  // menus: Table cell rotation
  'תԪ(&R)', 
  // menus: Text flow, Footnotes/endnotes
  '(&T)', 'ע(&F)',
  // ribbon tabs: tab1, tab2, view, table
  'ҳ(&H)', '߼(&A)', 'ͼ(&V)', '(&T)',
  // ribbon groups: clipboard, font, paragraph, list, editing
  '', '', '', 'б', '༭',
  // ribbon groups: insert, background, page setup,
  '', '', 'ҳ',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  '', 'ע', 'ĵͼ', 'ʾ/', '', 'ѡ',
  // ribbon groups on table tab: insert, delete, operations, borders
  '', 'ɾ', '', '߿',
  // ribbon groups: styles 
  'ʽ',
  // ribbon screen tip footer,
  ' F1 ȡϢ',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'ĵ', 'ĵ', 'Ԥʹӡĵ',
  // ribbon label: units combo
  'λ',          
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '½(&N)', '½|ĵ',
  // TrvActionOpen
  '(&O)...', '|򿪴ϵĵ',
  // TrvActionSave
  '(&S)', '|ĵ',
  // TrvActionSaveAs
  'Ϊ(&A)...', 'Ϊ...|һļĵ',
  // TrvActionExport
  '(&E)...', '|ĵΪʽ',
  // TrvActionPrintPreview
  'ӡԤ(&R)', 'ӡԤ|ԤĵĴӡʽ',
  // TrvActionPrint
  'ӡ(&P)...', 'ӡ|Ӧôӡãӡĵ',
  // TrvActionQuickPrint
  'ӡ(&P)', 'ٴӡ(&Q)', 'ӡ|ӡǰĵ',
  // TrvActionPageSetup
  'ҳ(&G)...', 'ҳ|ñ߿ֽŴСӡԴҳüҳ',
  // TrvActionCut
  '(&T)', '|ɾѡݣ뵽',
  // TrvActionCopy
  '(&C)', '|ǰѡݼ뵽',
  // TrvActionPaste
  'ճ(&P)', 'ճ|ϵ',
  // TrvActionPasteAsText
  'ճΪı(&T)', 'ճΪı|Ӽвı',  
  // TrvActionPasteSpecial
  'ճ(&S)...', 'ճ|رĸʽϵ',
  // TrvActionSelectAll
  'ȫѡ(&A)', 'ȫѡ|ѡĵȫ',
  // TrvActionUndo
  '(&U)', '|һβ',
  // TrvActionRedo
  'ָ(&R)', 'ָ|ָһβ',
  // TrvActionFind
  '(&F)...', '|ĵвָı',
  // TrvActionFindNext
  'һ(&N)', 'һ|һεĲ',
  // TrvActionReplace
  '滻(&R)...', '滻|ĵвҲ滻ָı',
  // TrvActionInsertFile
  'ļ(&F)...', 'ļ|ĵвļ',
  // TrvActionInsertPicture
  'ͼƬ(&P)...', 'ͼƬ|ӴϲͼƬ',
  // TRVActionInsertHLine
  'ˮƽ(&H)', 'ˮƽ|ˮƽ',
  // TRVActionInsertHyperlink
  '(&L)...', '볬|볬',
  // TRVActionRemoveHyperlinks
  'ɾ(&R)', 'ɾ|ɾѡıег',  
  // TrvActionInsertSymbol
  '(&S)...', '|',
  // TrvActionInsertNumber
  '(&N)...', '|һ',
  // TrvActionInsertCaption
  '˵(&C)...', '˵|ѡ˵',
  // TrvActionInsertTextBox
  'ı(&T)', 'ı|һı',
  // TrvActionInsertSidenote
  'ע(&S', 'ע|һע',
  // TrvActionInsertPageNumber
  'ҳ(&P)', 'ҳ|һҳ',
  // TrvActionParaList
  'бͱ(&B)...', 'б|ѡеĶӦû༭бͱ',
  // TrvActionParaBullets
  'б(&B)', 'б|Զб',
  // TrvActionParaNumbering
  '(&N)', '|Զ',
  // TrvActionColor
  'ɫ(&C)...', '|ıĵɫ',
  // TrvActionFillColor
  'ɫ(&F)...', 'ɫ|ıı䡢Ԫ񡢱ĵıɫ',
  // TrvActionInsertPageBreak
  'ҳ(&I)', 'ҳ|ҳ',
  // TrvActionRemovePageBreak
  'ɾҳ(&R)', 'ɾҳ|ɾҳ',
  // TrvActionClearLeft
  '(&L)', '|öͼƬ',
  // TrvActionClearRight
  'Ҳ(&R)', 'Ҳ|öҲͼƬ',
  // TrvActionClearBoth
  '(&B)', '|öҲͼƬ',
  // TrvActionClearNone
  '(&N)', 'ı|ĻҲͼƬ',
  // TrvActionVAlign
  'λ(&O)...', 'λ|ѡλ',    
  // TrvActionItemProperties
  '(&P)...', '|嵱ǰ',
  // TrvActionBackground
  '(&B)...', '|ѡ񱳾ɫͼ',
  // TrvActionParagraph
  '(&P)...', '|ı',
  // TrvActionIndentInc
  '(&I)', '|ѡж',
  // TrvActionIndentDec
  '(&D)', '|߶',
  // TrvActionWordWrap
  'Զ(&W)', 'Զ|ı䵱ǰԶ״̬',
  // TrvActionAlignLeft
  '(&L)', '|ѡеֿ',
  // TrvActionAlignRight
  '(&R)', '|ѡеֿҶ',
  // TrvActionAlignCenter
  '(&C)', '|ѡеֿм',
  // TrvActionAlignJustify
  '˶(&J)', '˶|ѡе˶',
  // TrvActionParaColor
  '䱳ɫ(&B)...', '䱳ɫ|öıɫ',
  // TrvActionLineSpacing100
  'о(&S)', 'о|Ϊо',
  // TrvActionLineSpacing150
  '1.5о(&N)', '1.5о|Ϊ1.5Ĭо',
  // TrvActionLineSpacing200
  '˫о(&D)', '˫о|Ϊ2Ĭо',
  // TrvActionParaBorder
  '߿ͱ(&B)...', '߿ͱ|õǰı߿ͱ',
  // TrvActionInsertTable
  '(&I)...', '(&T)', '|±',
  // TrvActionTableInsertRowsAbove
  'Ϸ(&A)', 'Ϸ|ڵǰԪϷ',
  // TrvActionTableInsertRowsBelow
  '·(&B)', '·|ڵǰԪ·',
  // TrvActionTableInsertColLeft
  '߲(&L)', '߲|ڵǰԪ߲',
  // TrvActionTableInsertColRight
  'ұ߲(&R)', 'ұ߲|ڵǰԪұ߲',
  // TrvActionTableDeleteRows
  'ɾ(&O)', 'ɾ|ɾǰѡеԪڵ',
  // TrvActionTableDeleteCols
  'ɾ(&C)', 'ɾ|ɾǰѡеԪڵ',
  // TrvActionTableDeleteTable
  'ɾ(&D)', 'ɾ|ɾű',
  // TrvActionTableMergeCells
  'ϲԪ(&M)', 'ϲԪ|ϲѡеĵԪ',
  // TrvActionTableSplitCells
  'ֵԪ(&S)...', 'ֵԪ|ֵǰѡеĵԪ',
  // TrvActionTableSelectTable
  'ѡб(&T)', 'ѡб|ѡű',
  // TrvActionTableSelectRows
  'ѡ(&W)', 'ѡ|ѡ',
  // TrvActionTableSelectCols
  'ѡ(&U)', 'ѡ|ѡ',
  // TrvActionTableSelectCell
  'ѡеԪ(&E)', 'ѡеԪ|ѡеԪ',
  // TrvActionTableCellVAlignTop
  'Ԫ񶥶˶(&T)', 'Ԫ񶥶˶|Ԫе򶥶˶',
  // TrvActionTableCellVAlignMiddle
  'Ԫ(&M)', 'Ԫݾ|Ԫеݾж',
  // TrvActionTableCellVAlignBottom
  'Ԫײ(&B)', 'Ԫײ|Ԫײ',
  // TrvActionTableCellVAlignDefault
  'ĬϵԪֱ뷽ʽ(&D)', 'ĬϵԪֱ뷽ʽ|ѡеĵԪΪĬϵĴֱ뷽ʽ',
  // TrvActionTableCellRotationNone
  '&תԪ', 'תԪ|еԪת 0 ',
  // TrvActionTableCellRotation90
  'Ԫת &90 ', 'Ԫת 90 |Ԫת 90 ',
  // TrvActionTableCellRotation180
  'Ԫת &180 ', 'Ԫת 180 |Ԫת 180 ',
  // TrvActionTableCellRotation270
  'Ԫת &270 ', 'Ԫת 270 |Ԫת 270 ',
  // TrvActionTableProperties
  '(&P)...', '|ıѡб',
  // TrvActionTableGrid
  'ʾ(&G)', 'ʾ|ʾر',
  // TRVActionTableSplit
  'ֱ(&L)', 'ֱ|ѡ𽫱Ϊ',
  // TRVActionTableToText
  'תΪı(&X)...', 'תΪı|תΪı',
  // TRVActionTableSort
  '(&S)...', '|',
  // TrvActionTableCellLeftBorder
  '߿(&L)', '߿|ʾصԪ߿',
  // TrvActionTableCellRightBorder
  'ұ߿(&R)', 'ұ߿|ʾصԪұ߿',
  // TrvActionTableCellTopBorder
  'ϱ߿(&T)', 'ϱ߿|ʾصԪϱ߿',
  // TrvActionTableCellBottomBorder
  '±߿(&B)', '±߿|ʾصԪ±߿',
  // TrvActionTableCellAllBorders
  'б߿(&A)', 'б߿|ʾصԪб߿',
  // TrvActionTableCellNoBorders
  'ޱ߿(&N)', 'ޱ߿|еԪ߿',
  // TrvActionFonts & TrvActionFontEx
  '(&F)...', '|ıѡֵ',
  // TrvActionFontBold
  '(&B)', '|ıѡʽΪ',
  // TrvActionFontItalic
  'б(&I)', 'б|ıѡʽΪб',
  // TrvActionFontUnderline
  '»(&U)', '»|ıѡʽΪ»',
  // TrvActionFontStrikeout
  'ɾ(&S)', 'ɾ|ıѡʽΪɾ',
  // TrvActionFontGrow
  'ֺ(&G)', 'ֺ|ѡֵֺ10%',
  // TrvActionFontShrink
  'Сֺ(&H)', 'Сֺ|ѡֵֺżС10%',
  // TrvActionFontGrowOnePoint
  '(&R)', '|ѡֵĸ߶һص',
  // TrvActionFontShrinkOnePoint
  '(&N)', '|ѡֵĸ߶һص',
  // TrvActionFontAllCaps
  'дд(&A)', 'дд|ıѡĸΪд',
  // TrvActionFontOverline
  'ϻ(&O)', 'ϻ|Ϸ',
  // TrvActionFontColor
  'ɫ(&C)...', 'ɫ|ıѡֵɫ',
  // TrvActionFontBackColor
  'ֱɫ(&K)...', 'ֱɫ|ıѡֵıɫ',
  // TrvActionAddictSpell3
  'ƴд(&S)', 'ƴд|ƴд',
  // TrvActionAddictThesaurus3
  'ǵ(&T)', 'ǵ|ѡдͬ',
  // TrvActionParaLTR
  '', '|öַΪ',
  // TrvActionParaRTL
  '', '|öַΪ',
  // TrvActionLTR
  '', '|ַΪ',
  // TrvActionRTL
  '', '|ַΪ',
  // TrvActionCharCase
  'ַСд', 'ַСд|ıѡĸĴСд',
  // TrvActionShowSpecialCharacters
  'Ǵӡַ(&N)', 'Ǵӡַ|ʾزӡַƱͿո',
  // TrvActionSubscript
  '±(&B)', '±|תѡı±',
  // TrvActionSuperscript
  'ϱ(&P)', 'ϱ|תѡıϱ',    
  // TrvActionInsertFootnote
  'ע(&F)', 'ע|ע',
  // TrvActionInsertEndnote
  'βע(&E)', 'βע|βע',
  // TrvActionEditNote
  '༭ע(&D)', '༭ע|ʼ༭עβע',
  '(&H)', '|ػʾѡƬ',  
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  'ʽ(&S)...', 'ʽ|ʽԻ',
  // TrvActionAddStyleTemplate
  'ʽ(&A)...', 'ʽ|ıʽ',
  // TrvActionClearFormat,
  'ʽ(&C)', 'ʽ|ѡıͶʽ',
  // TrvActionClearTextFormat,
  'ıʽ(&T)', 'ıʽ|ѡıиʽ',
  // TrvActionStyleInspector
  'ʽ(&I)', 'ʽ|ʾʽ',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'ȷ', 'ȡ', 'ر', '', '(&O)...', '(&S)...', '(&C)', '', 'ɾ',
  // Others  -------------------------------------------------------------------
  // percents
  'ٷֱ',
  // left, top, right, bottom sides
  '', '', 'ұ', 'ױ',
  // save changes? confirm title
  'Ƿ񱣴%s޸ģ', 'ȷ',
  // warning: losing formatting
  '%s ܰѡĸʽݵݣ'#13+
  'Ƿȷָʽ棿',
  // RVF format name
  'RichView ʽ',
  // Error messages ------------------------------------------------------------
  '',
  'ļ'#13#13'ԭ'#13'- ļʽ֧֣'#13+
  '- ļѾ𻵣'#13'- ļ򿪲',
  'ͼƬļ'#13#13'ԭ'#13'- ͼƬļʽ֧֣'#13+
  '- ļûͼƬ'#13+
  '- ļѾ𻵣'#13'- ļ򿪲',
  'ļ'#13#13'ԭ'#13'- ̿ռ䲻㣻'#13+
  '- ̱д'#13'- ƶûв룻'#13+
  '- ļ򿪲'#13'- Ѿ𻵡',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView ļ (*.rvf)|*.rvf',  'RTF ļ (*.rtf)|*.rtf' , 'XML ļ (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'ıļ (*.txt)|*.txt', 'ıļ - ˫ֽ (*.txt)|*.txt', 'ıļ - Զ (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'HTML ļ (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - 򻯰 (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Microsoft Word ĵ (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  '', 'ûҵ''%s''',
  // 1 string replaced; Several strings replaced
  '滻1', '%d滻',
  // continue search from the beginning/end?
  'ѵĵײͷʼ',
  'ѵĵͷӵײʼ',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  '͸', 'Զ',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'ɫ', 'ɫ', '', '', '', '', '', 'ɫ-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  '', 'ɫ', '', 'ɫ', 'ɫ', 'ɫ', '', 'ɫ-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'ɫ', '', 'ǳ', '', 'ˮ', 'ǳ', '', 'ɫ-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'ۺ', 'ɫ', 'ɫ', '', '', '', 'ɫ', 'ɫ-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'õ', 'غ', 'ǳ', 'ǳ', 'ǳ', '', '', 'ɫ',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  '͸(&E)', 'Զ(&A)', 'ɫ(&M)...', 'Ĭ(&D)...',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  '', 'ɫ(&O):', 'λ', '', 'ʾ',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '(&N)', '(&R)', '̶ƽ(&I)', 'ƽ(&T)', '(&E)',
  // Padding button
  '(&P)...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'ɫ', 'Ӧõ(&A)', 'ɫ(&M)...', '(&P)...',
  'ѡɫ',
  // [apply to:] text, paragraph, table, cell
  'ı', '' , '', 'Ԫ',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  '', '', '',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '(&F):', 'С(&S)', 'ʽ', '(&B)', 'б(&I)',
  // Script, Color, Back color labels, Default charset
  'ַ(&R):', 'ɫ(&C):', '(&K)', '(Ĭ)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Ч', '»(&U)', 'ϻ(&O)', 'ɾ(&T)', 'ȫд(&A)',
  // Sample, Sample text
  'ʾ', 'ʾ',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'ַ', '(&S):', 'չ(&E)', '(&C)',
  // Offset group-box, Offset label, Down, Up,
  'ƫ', 'ƫ(&O):', '(&D)', '(&U)',
  // Scaling group-box, Scaling
  'ˮƽ', '(&A):',
  // Sub/super script group box, Normal, Sub, Super
  '±ϱ', '(&N)', '±(&B)', 'ϱ(&P)',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  '', '(&T):', '(&L):', '(&B):', '(&R):', 'ֵ(&E)',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  '볬', '', '(&E):', 'Ŀ(&T):', '<<ѡ>>',
  // cannot open URL
  '޷ҳ "%s"',
  // hyperlink properties button, hyperlink style
  'Զ(&C)...', 'ʽ(&S)',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Զ', 'ͨɫ', 'ɫ',
  // Text [color], Background [color]
  '(&T):', '(&B)',
  // Underline [color]
  '»(&N)', 
  // Text [color], Background [color] (different hotkeys)
  '(&E):', '(&A)',
  // Underline [color], Attributes group-box,
  '»(&N)', '',
  // Underline type: always, never, active (below the mouse)
  '»(&N)', 'ʼ', '', '',
  // Same as normal check-box
  'ͨһ',
  // underline active links check-box
  '»(&U)',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  '', '(&F):', 'ַ(&C):', 'Unicode',
  // Unicode block
  'ֿ飺(&B):',  
  // Character Code, Character Unicode Code, No Character
  'ַ: %d', 'ַ: Unicode %d', '(ûַ)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows, 
  '', 'С', '(&C):', '(&R):',
  // Table layout group-box, Autosize, Fit, Manual size,
  '񲼾', 'ԶС(&A)', 'СӦڴС(&W)', 'ֹñС(&M)',
  // Remember check-box
  'Ϊ±סά',
  // VAlign Form ---------------------------------------------------------------
  'λ',  
  // Item Properties Form ------------------------------------------------------
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  '', 'ͼƬ', 'λúʹС', '', '', '', 'Ԫ',
  // Image Appearance, Image Misc, Number tabs
  '', '', '',
  // Box position, Box size, Box appearance tabs
  'λ', 'С', '',
  // Preview label, Transparency group-box, checkbox, label
  'Ԥ:', '͸', '͸(&T)', '͸ɫ(&C):',
  // change button, save button, no transparent color (use color right-bottom pixel)
  '޸(&H)...', '(&S)...', 'Զ',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline top, bottom, middle
  'ֱ', '(&A):',
  'ı', 'ı',
  'о', 'о', 'о',
  // align to left side, align to right side
  '', 'Ҳ',    
  // Shift By label, Stretch group box, Width, Height, Default size
  'ת(&S)', '', '(&W):', '߶(&H):', 'ĬϴС: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  '(&P)', '(&R)',
  // Inside the border, border, outside the border groupboxes
  '߿', '߿', '߿',
  // Fill color, Padding (i.e. margins inside border) labels
  'ɫ(&F)', 'ϣ',
  // Border width, Border color labels
  '߿(&W)', '߿ɫ(&C)',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  'ˮƽ(&H)', 'ֱ(&V)',
  // Miscellaneous groupbox, Tooltip label
  '', 'ʾ(&T)',
  // web group-box, alt text
  '', '滻(&T):',
  // Horz line group-box, color, width, style
  'ˮƽ', 'ɫ(&C):', '(&W):', 'ʽ (&S)',
  // Table group-box; Table Width, Color, CellSpacing,
  '', '(&W):', 'ɫ(&F)', 'Ԫ߾(&S)...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  'ˮƽԪ߾(&H)', 'ֱԪ߾(&V)', '߿ͱ',
  // Visible table border sides button, auto width (in combobox), auto width label
  'ɼ߿(&B)...', 'Զ', 'Զ',
  // Keep row content together checkbox
  '£(&K)',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'ת', '(&N)', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  '߿', 'ɼ߿(B&)...',
  // Border, CellBorders buttons
  '߿(&T)...', 'Ԫ߿(&C)...',
  // Table border, Cell borders dialog titles
  '', 'ĬϵԪ߿',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'ӡ', 'ֱһҳ(&K)', 'ͷ(&H):',
  'ͷÿҳϲظ',
  // top, center, bottom, default
  '(&T)', '(&C)', '(&B)', 'Ĭ(&D)',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  '', 'ѿ(&W):', 'С߶(&H):', 'ɫ(&F):',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  '߿', 'ɼ:',  'Ӱɫ(&O):', 'ɫ(&L)', 'ɫ(&O):',
  // Background image
  'ͼƬ(&I)...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'ˮƽλ', 'ֱλ', 'ıеλ',
  // Position types: align, absolute, relative
  '', 'λ', 'λ',
  // [Align] left side, center, right side
  'ı',
  'ı',
  'ıҲҲ',
  // [Align] top side, center, bottom side
  'ı򶥲',
  'ı',
  'ıײײ',
  // [Align] relative to
  '',
  // [Position] to the right of the left side of
  '  ',
  // [Position] below the top side of
  '  ֮',
  // Anchors: page, main text area (x2)
  'ҳ(&P)', 'ı(&M)', 'ҳ(&A)', 'ı(&&X)',
  // Anchors: left margin, right margin
  'ױ(&L)', 'Ұױ(&R)',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  'ͷױ(&T)', 'Űױ(&B)', 'ڰױ(&I)', 'ױ(&O)',
  // Anchors: character, line, paragraph
  'ַ(&C)', '(&I)', '(&G)',
  // Mirrored margins checkbox, layout in table cell checkbox
  'ױ(&E)', 'ԪеĲ(&Y)',
  // Above text, below text
  'λ(&A)', 'λ(&B)',
  // Width, Height groupboxes, Width, Height labels
  '', '߶', '(&W)', '߶(&H)',
  // Auto height label, Auto height combobox item
  'Զ', 'Զ',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'ֱ', '(&T)', '(&C)', '(&B)',
  // Border and background button and title
  '߿ͱ(&O)...', 'ı߿ͱ',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'ճ', '...ճ(&P):', 'ıʽ(RTF)', 'HTMLʽ',
  'ı', 'Unicodeı', 'ͼ', 'ʸͼ',
  'ͼƬļ',  'URL', 
  // Options group-box, styles
  'ѡ', 'ʽ(&S)',
  // style options: apply target styles, use source styles, ignore styles
  'Ŀĵʽ', 'ʽ',
  'ۣʽ',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Ŀźͱ', 'Ŀ', '', 'Ŀб', 'б',
  // Customize, Reset, None
  'Զ(&C)...', '(&R)', '',
  // Numbering: continue, reset to, create new
  '', 'ñΪ', 'б...ʼ',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'дӢĸ', 'д', 'ʮ', 'СдӢĸ', 'Сд',
  // Bullet type
  'ԲȦ', 'ʵԲȦ', '',
  // Level, Start from, Continue numbering, Numbering group-box
  '(&L)', 'ʼ(&S)', '(&C)', '',    
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Զб', '', '(&C):', 'б', 'б(&L):',
  // List types: bullet, image
  '', 'ͼƬ', '|',
  // Number format, Number, Start level from, Font button
  'Ÿʽ(&N):', '', '...ʼα(&S):', '(&F)...',
  // Image button, bullet character, Bullet button,
  'ͼƬ(&I)...', 'ַ(&H)', '(&B)...',
  // Position of list text, bullet, number, image, text
  'бλ', 'Ŀλ', 'λ', 'ͼƬλ', 'λ',
  // at, left indent, first line indent, from left indent
  'λ:', '(&E):', '(&F):', '',
  // [only] one level preview, preview
  'Ԥ(&O)', 'Ԥ',
  // Preview text
  'ııııııııııı.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  '', 'Ҷ', 'ж',
  // level #, this level (for combo-box)
  '%d', '',
  // Marker character dialog title
  '༭Ŀַ',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  '߿ͱ', '߿', '',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  '', 'ɫ(&C):', '(&W):', 'ڲ(&E):', 'ƫ(&F)...',
  // Sample, Border type group-boxes;
  'ʾ', '߿',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '(&N)', '(&S)', '˫(&D)', '(&T)', 'ڿϸ(&I)', 'ϸ(&O)',
  // Fill color group-box; More colors, padding buttons
  'ɫ', 'ɫ(&M)...', '(&P)...',
  // preview text
  'ıııııııııı.',
  // title and group-box in Offsets dialog
  'ƫ', '߿ƫ',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify
  '', '뷽ʽ', '(&L)', '(&R)', '(&C)', '(&J)',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  '߾', 'ǰ(&B):', '(&A):', 'м(&S):', '(&Y):',
  // Indents group-box; indents: left, right, first line
  '', '(&E):', '(G):', 'һ(&F):',
  // indented, hanging
  '(&I)', 'ͻ(&H)', 'ʾ',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  '', '1.5', '˫', '', 'ȷ', '౶',
  // preview text
  'ıııııııııııııııııı',
  // tabs: Indents and spacing, Tabs, Text flow
  'ͱ߾', 'Ʊ', 'ı',
  // tab stop position label; buttons: set, delete, delete all
  'Ʊλ(&T):', '(&S)', 'ɾ(&D)', 'ɾȫ(&A)',
  // tab align group; left, right, center aligns,
  '', '(&L)', '(&R)', '(&C)',
  // leader radio-group; no leader
  'ǰ', '()',
  // tab stops to be deleted, delete none, delete all labels
  'ɾƱ:', '()', 'ȫ.',
  // Pagination group-box, keep with next, keep lines together
  'ҳ', 'һһ(&K)', 'һ(&L)',
  // Outline level, Body text, Level #
  '(&O)', 'ı', ' %d ',  
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'ӡԤ', 'ʺϿ', 'ҳ', 'ҳ:',
  // Invalid Scale, [page #] of #
  '10500֮', ' %d',
  // Hints on buttons: first, prior, next, last pages
  'һҳ', 'ǰһҳ', 'һҳ', 'һҳ',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Ԫռ', '߾', 'Ԫ֮', 'ӱ߿򵽵Ԫ',
  // vertical, horizontal (x2)
  'ֱ(&V):', 'ˮƽ(&H):', 'ֱ(&E):', 'ˮƽ(&O):',  
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  '߿', '', 'ɫ(&C):', 'ɫ(&L):', 'Ӱɫ(&H):',
  // Width; Border type group-box;
  '(&W):', '߿',
  // Border types: none, sunken, raised, flat
  '(&N)', '³(&S)', '̧(&R)', 'ƽ(&F)',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  '', 'Ϊ',
  // split to specified number of rows and cols, split to original cells (unmerge)
  'ָкеĿ(&S)', 'ԭʼԪ(&O)',
  // number of columns, rows, merge before
  '(&C):', '(&R):', 'ǰϲ(&M)',
  // to original cols, rows check-boxes
  'Ϊԭʼ(&L)', 'Ϊԭʼ(&W)',
  // Add Rows form -------------------------------------------------------------
  '', '(&C):',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'ҳ', 'ҳ', 'ҳüҳ',
  // margins group-box, left, right, top, bottom
  'ҳ߾()', 'ҳ߾(Ӣ)', '(&L):', '(&T):', '(&R):', '(&B):',
  // mirror margins check-box
  '߾(&M)',
  // orientation group-box, portrait, landscape
  'ӡ', '(&P)', '(&A)',
  // paper group-box, paper size, default paper source
  'ֽ', 'С(&Z):', 'Դ(&S):',
  // header group-box, print on the first page, font button
  'ҳü', 'ı(&T):', 'һҳҳü(&H)', '(&F)...',
  // header alignments: left, center, right 
  '(&L)', 'ж(&C)', 'Ҷ(&R)',
  // the same for footer (different hotkeys)
  'ҳ', 'ı(&X):', 'һҳҳ(&P)', '(&O)...',
  '(&E)', 'ж(&N)', 'Ҷ(&I)',
  // page numbers group-box, start from
  'ҳ', 'ӵڼҳʼ(&S):',
  // hint about codes
  'ַ:'#13'&&p - ҳţ &&P - ҳ &&d - ǰڣ &&t - ǰʱ䡣',
  // Code Page form ------------------------------------------------------------
  // title, label
  'ıļҳ', 'ѡļ(&C)',
  // thai, japanese, chinese (simpl), korean
  '̩', '', '', '',
  // chinese (trad), central european, cyrillic, west european
  '', 'ŷͶŷ', '', 'ŷ',
  // greek, turkish, hebrew, arabic
  'ϣ', '', 'ϣ', '',
  // baltic, vietnamese, utf-8, utf-16
  '޵', 'Խ', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Ӿʽ', 'ѡʽ(&S)',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'תΪı', 'ѡָ(&D)',
  // line break, tab, ';', ','
  'з', 'Ʊ', 'ֺ', '',
  // Table sort form -----------------------------------------------------------
  // error message
  'ϲеı',
  // title, main options groupbox
  '', '',
  // sort by column, case sensitive
  '(&S)', 'ִСд(&C)',
  // heading row, range or rows
  'г(&H)', 'ҪУ %d  %d',
  // order, ascending, descending
  '˳', '(&A)', '(&D)',
  // data type, text, number
  '', 'ı(&T)', '(&N)',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  '', '', '(&C)', '(&N)',
  // numbering groupbox, continue, start from
  '', '(&O)', 'ʼ(&S)',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  '˵', 'ǩ(&L)', '˵ȥǩ(&E)',
  // position radiogroup
  'λ', 'ѡ֮(&A)', 'ѡ֮(&B)',
  // caption text
  '˵(&T)',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  '', 'ͼ', '',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'ɼ߿', '߿',
  // Left, Top, Right, Bottom checkboxes
  '(&L)', '(&T)', 'Ҳ(&R)', 'ײ(&B)',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'ıп', 'ıи',
  // Hints on indents: first line, left (together with first), left (without first), right
  'һ', '', 'ͻ', 'ұ',
  // Hints on lists: up one level (left), down one level (right)
  'лһ', 'лһ',
  // Hints for margins: bottom, left, right and top
  '±߽', '߽', 'ұ߽', 'ϱ߽',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  '߶Ʊ', 'ұ߶Ʊ', 'мƱ', 'СƱ',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  '', '', '޼', '%d', 'б',
  // Hyperlink, Title, Subtitle
  '', '', '',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'ǿ', 'ǿ', 'ǿ', 'ǿ',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  '', '', '', '',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'ı', 'HTML', 'HTML', 'HTMLд',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'HTML', 'HTML', 'HTMLʾ', 'HTMLֻ',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTMLԤʽ', 'HTML', 'ҳü', 'ҳ', 'ҳ',
  // Caption
  '˵',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'βע', 'ע', 'βעı', 'עı',
  // Sidenote Reference, Sidenote Text
  'עο', 'עı',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'ɫ', 'ɫ', '͸', 'Ĭ', '»ɫ',
  // default background color, default text color, [color] same as text
  'Ĭϱɫ', 'Ĭıɫ', 'ıͬs',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  '', '', '˫', '', 'ֵ', '',
  // underline types: thick dashed, long dashed, thick long dashed,
  '', '', 'ֳ',
  // underline types: dash dotted, thick dash dotted,
  '', 'ֻ',
  // underline types: dash dot dotted, thick dash dot dotted
  'Բ', 'ֻԲ',
  // sub/superscript: not, subsript, superscript
  '±/ϱ', '±', 'ϱ',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  '˫ģʽ', '̳е', '', '',
  // bold, not bold
  '', 'Ǵ',
  // italic, not italic
  'б', 'б',
  // underlined, not underlined, default underline
  '»', '»', 'Ĭ»',
  // struck out, not struck out
  'Խ', 'δԽ',
  // overlined, not overlined
  'ϻ', 'ϻ',
  // all capitals: yes, all capitals: no
  'ȫд', 'ȫǴд',
  // vertical shift: none, by x% up, by x% down
  '费ֱλ', '%d%%λ', '%d%%λ',
  // characters width [: x%]
  'ַ',
  // character spacing: none, expanded by x, condensed by x
  'һַ', '%sչļ', '%sļ',
  // charset
  'ű',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'Ĭ', 'Ĭ϶', '̳е',
  // [hyperlink] highlight, default hyperlink attributes
  'ͻʾ', 'Ĭ',
  // paragraph aligmnment: left, right, center, justify
  '', 'Ҷ', '', '˶',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'иߣ%d%%', '֮Ŀո%s', 'иߣ%s',
  'иߣʵΪ%s',
  // no wrap, wrap
  'ͣû', '',
  // keep lines together: yes, no
  'вҳ', 'вҳ',
  // keep with next: yes, no
  'һһ', 'һһ',
  // read only: yes, no
  'ֻ', 'ɱ༭',
  // body text, heading level x
  'ټı', 'ټ%d',
  // indents: first line, left, right
  '', '', '',
  // space before, after
  'ǰ', '',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'ǩ', '', '', '', '', '',
  // tab leader (filling character)
  'ǰ',
  // no, yes
  '', '',
  // [padding/spacing/side:] left, top, right, bottom
  '', '', '', '׶',
  // border: none, single, double, triple, thick inside, thick outside
  '', '', '˫', '', 'ڲ', 'ⲿ',
  // background, border, padding, spacing [between text and border]
  '', '߽', '߾', '',
  // border: style, width, internal width, visible sides
  'ʽ', '', 'ڲ', '',
  // style inspector -----------------------------------------------------------
  // title
  'ʽ',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'ʽ', 'ޣ', '', '', '',
  // border and background, hyperlink, standard [style]
  '߽ͱ', '', '׼',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'ʽ', 'ʽ',
  // name, applicable to,
  '(&N)', '(&T)',
  // based on, based on (no &),
  '(&B)', '춣',
  //  next style, next style (no &)
  'жʽ(&F)', 'жʽ',
  // quick access check-box, description and preview
  'ٷ(&Q)', '˵Ԥ(&P)',
  // [applicable to:] paragraph and text, paragraph, text
  'ı', '', 'ı',
  // text and paragraph styles, default font
  'ıͶʽ', 'Ĭ',
  // links: edit, reset, buttons: add, delete
  '༭', '', '(&A)', 'ɾ(&D)',
  // add standard style, add custom style, default style name
  '׼ʽ(&S)...', 'Զʽ(&C)', 'ʽ%d',
  // choose style
  'ѡʽ(&S)',
  // import, export,
  '(&I)...', '(&E)...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
 'RichViewʽ(*.rvst)|*.rvst', 'ļr', 'ļδκʽ',
  // Title, group-box, import styles
  'ļʽ', '', 'ʽ(&M)',
  // existing styles radio-group: Title, override, auto-rename
  'еʽ', '(&O)', '(&A)',
  // Select, Unselect, Invert,
  'ѡ(&S)', 'ȡѡ(&U)', 'ת(&I)',
  // select/unselect: all styles, new styles, existing styles
  'ʽ(&A)', '½ʽ(&N)', 'еʽ(&E)',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  'ʽ', 'ʽ',
  // dialog title, prompt
  'ʽ', 'ѡҪӦõʽ(&C)',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  'ͬ(&S)', 'ȫ(&I)', '뵽ֵ(&A)',
  // Progress messages ---------------------------------------------------------
  '%s', '׼ӡ...', 'ڴӡҳ%d',
  'ڴRTFת...',  'תRTF...',
  'ڶȡ%s...', 'д%s...', 'ı',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'ע', 'ע', 'βע', 'ע', 'ı'
  );

initialization
  RVA_RegisterLanguage(
    'Chinese (Simplified)', // english language name, do not translate
    '', // native language name
    GB2312_CHARSET, @Messages);

end.

