
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       German (Deutsch) translation                    }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by: Eike Hoffmann 2003-02-04               }
{ Updated: 2009-05-19 by Harry Stahl                    }
{          2010-10-14 by Michael Damm                   }
{          2012-08-28 by Ruediger Kabbasch              }
{          2014-01-30 by Ruediger Kabbasch              } 
{*******************************************************}

unit RVAL_De;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'Inch', 'cm', 'mm', 'Pica', 'Pixel', 'Punkt',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pc', 'px', 'pt',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Datei', '&Bearbeiten', 'Forma&t', '&Zeichen', '&Absatz', '&Einfgen', '&Tabelle', '&Fenster', '&Hilfe',
  // exit
  '&Beenden',
  // top-level menus: View, Tools,
  '&Ansicht', '&Werkzeuge',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Schriftgre', 'Schriftstil', 'Markie&ren', 'Zelli&nhalte ausrichten', 'Z&ellrahmen',
  // menus: Table cell rotation
  'Zellend&rehung',
  // menus: Text flow, Footnotes/endnotes
  '&Textfluss', '&Funoten',
  // ribbon tabs: tab1, tab2, view, table
  '&Start', '&Erweitert', '&Ansicht', '&Tabelle',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Zwischenablage', 'Schrift', 'Absatz', 'Liste', 'Bearbeiten',
  // ribbon groups: insert, background, page setup,
  'Einfgen', 'Hintergrund', 'Seiteneinstellungen',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Links', 'Funoten', 'Dokumentansichten', 'Anzeigen/Verbergen', 'Zoom', 'Optionen',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Einfgen', 'Lschen', 'Aktionen', 'Rahmen',
  // ribbon groups: styles 
  'Formatvorlagen',
  // ribbon screen tip footer,
  'Fr weitere Hilfe F1 drcken',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Zuletzt verwendet', 'Kopie des Dokuments sichern', 'Vorschau und Ausdruck des Dokuments',
  // ribbon label: units combo
  'Einheiten:',
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Neu', 'Neu|Erstellt ein leeres neues Dokument',
  // TrvActionOpen
  '&ffnen...', 'ffnen|ffnet ein Dokument von der Festplatte',
  // TrvActionSave
  '&Speichern', 'Speichern|Speichert das Dokument auf Festplatte',
  // TrvActionSaveAs
  'Speichern &Unter...', 'Speichern Unter...|Speichert das Dokument mit einem neuen Namen auf Festplatte',
  // TrvActionExport
  '&Exportieren...', 'Exportieren|Exportiert das Dokument in einem anderen Format',
  // TrvActionPrintPreview
  'Druck&vorschau', 'Druckvorschau|Zeigt wie das Dokument gedruckt wird',
  // TrvActionPrint
  '&Drucken...', 'Drucken|Setzt die Druckeinstellungen und druckt das Dokument',
  // TrvActionQuickPrint
  '&Drucken', '&Sofortdruck', 'Drucken|Druckt das Dokument',
   // TrvActionPageSetup
  'S&eite einrichten..', 'Seite einrichten|Seitenrnder, Papierformat, Seitenorientierung, Kopfzeilen und Fusszeilen einrichten',
  // TrvActionCut
  'Ausschnei&den', 'Ausschneiden|Schneidet den markierten Bereich aus und speichert diesen in der Zwischenablage',
  // TrvActionCopy
  '&Kopieren', 'Kopieren|Kopiert den markierten Bereich und speichert diesen in der Zwischenablage',
  // TrvActionPaste
  'E&infgen', 'Einfgen|Fgt den Inhalt der Zwischenablage ein',
  // TrvActionPasteAsText
  'Einfgen als &Text', 'Einfgen als Text|Fgt den Inhalt der Zwischenablage als Text ein',
  // TrvActionPasteSpecial
  'Einfgen al&s...', 'Einfgen als|Fgt den Inhalt der Zwischenablage im angegebenen Format ein',
  // TrvActionSelectAll
  '&Alles markieren', 'Alles markieren|Whlt das gesamte Dokument aus',
  // TrvActionUndo
  '&Rckgngig', 'Rckgngig|Macht die letzte Aktion rckgngig',
  // TrvActionRedo
  '&Wiederherstellen', 'Wiederherstellen|Wiederherstellen der letzten rckgngig gemachten Aktion',
  // TrvActionFind
  '&Suchen...', 'Suchen|Sucht nach dem angegebenen Text im Dokument',
  // TrvActionFindNext
  '&Weitersuchen', 'Weitersuchen|Fortsetzen der letzten Suchanfrage',
  // TrvActionReplace
  '&Ersetzen...', 'Ersetzen|Suchen und ersetzen des angegebenen Textes im Dokument',
  // TrvActionInsertFile
  '&Datei...', 'Datei einfgen|Fgt den Inhalt einer Datei in das Dokument ein',
  // TrvActionInsertPicture
  '&Grafik...', 'Grafik einfgen|Fgt eine Grafik von der Festplatte ein',
  // TRVActionInsertHLine
  '&Horizontale Linie', 'Horizontale Linie einfgen|Fgt eine horizontale Linie in das Dokument ein',
  // TRVActionInsertHyperlink
  'Hyper&link...', 'Hyperlink einfgen|Fgt einen Hyperlink in das Dokument ein',
  // TRVActionRemoveHyperlinks
  'Hyperlinks ent&fernen', 'Hyperlinks entfernen|Entfernt alle Hyperlinks aus dem markierten Text',
  // TrvActionInsertSymbol
  '&Symbol...', 'Symbol einfgen|Fgt ein Symbol in das Dokument ein',
  // TrvActionInsertNumber
  '&Zahl...', 'Zahl einfgen|Eine Zahl einfgen',
  // TrvActionInsertCaption
  'Bes&chriftung einfgen...', 'Beschriftung einfgen|Eine Beschriftung fr das ausgewhlte Objekt einfgen',
  // TrvActionInsertTextBox
  '&Textfeld', 'Textfeld einfgen|Fgt ein Textfeld ein',
  // TrvActionInsertSidenote
  '&Randnotiz', 'Randnotiz einfgen|Fgt eine Randnotiz in einem Textfeld ein',
  // TrvActionInsertPageNumber
  '&Seitenzahl', 'Seitenzahl einfgen|Fgt eine Seitenzahl ein',
  // TrvActionParaList
  '&Nummerierung und Aufzhlungszeichen...', 'Nummerierung und Aufzhlungszeichen|Hinzufgen oder bearbeiten der Nummerierung bzw. des Aufzhlungszeichens fr die markierten Abstze',
  // TrvActionParaBullets
  '&Aufzhlungszeichen', 'Aufzhlungszeichen|Hinzufgen oder lschen eines Aufzhlungszeichens fr diesen Absatz',
  // TrvActionParaNumbering
  '&Nummerierung', 'Nummerierung|Hinzufgen oder lschen einer Nummerierung fr diesen Absatz',
  // TrvActionColor
  'Hintergrundf&arbe...', 'Hintergrundfarbe|ndern der Hintergrundfarbe des Dokuments',
  // TrvActionFillColor
  '&Fllfarbe...', 'Fllfarbe|ndern der Hintergrundfarbe fr den Text, den Absatz, die Tabellenzelle, die Tabelle oder das Dokument',
  // TrvActionInsertPageBreak
  '&Seitenumbruch einfgen', 'Seitenumbruch einfgen|Fgt einen Seitenumbruch ein',
  // TrvActionRemovePageBreak
  'Seitenumbruch &lschen', 'Seitenumbruch lschen|Lscht den Seitenumbruch',
  // TrvActionClearLeft
  'Textfluss auf &linker Seite', 'Textfluss auf linker Seite|Plaziert den Absatz unter jedes links ausgerichtete Bild',
  // TrvActionClearRight
  'Textfluss auf &rechter Seite', 'Textfluss auf rechter Seite|Plaziert den Absatz unter jedes rechts ausgerichtete Bild',
  // TrvActionClearBoth
  'Textfluss auf &beiden Seiten', 'Textfluss auf beiden Seiten|Plaziert den Absatz unter jedes links oder rechts ausgerichtete Bild',
  // TrvActionClearNone
  '&Normaler Textfluss', 'Normaler Textfluss|Erlaubt den Textfluss sowohl um links als auch rechts ausgerichtete Bilder',
  // TrvActionVAlign
  '&Objekt Position...', 'Objekt Position|ndert die Position des selektierten Objekts',
  // TrvActionItemProperties
  'Objekt &Einstellungen...', 'Objekt Einstellungen|Einstellungen fr das aktive Objekt festlegen',
  // TrvActionBackground
  '&Hintergrund...', 'Hintergrund|ndern von Hintergrundfarbe und Hintergrundbild',
  // TrvActionParagraph
  '&Absatz...', 'Absatz|ndern der Absatzattribute',
  // TrvActionIndentInc
  '&Einzug vergrern', 'Einzug vergrern|Linken Einzug des markierten Absatzes vergrern',
  // TrvActionIndentDec
  'Einzug &verkleinern', 'Einzug verkleinern|Linken Einzug des markierten Absatzes verkleinern',
  // TrvActionWordWrap
  '&Zeilenumbruch', 'Zeilenumbruch|Zeilenumbruch fr den markierten Absatz ein- oder ausschalten',
  // TrvActionAlignLeft
  '&Linksbndig', 'Linksbndig|Richtet den markierten Text linksbndig aus',
  // TrvActionAlignRight
  '&Rechtsbndig', 'Rechtsbndig|Richtet den markierten Text rechtsbndig aus',
  // TrvActionAlignCenter
  '&Zentriert', 'Zentriert|Richtet den markierten Text zentriert aus',
  // TrvActionAlignJustify
  '&Blocksatz', 'Blocksatz|Richtet den markierten Text im Blocksatz aus',
  // TrvActionParaColor
  'Absatz &Hintergrundfarbe...', 'Absatz Hintergrundfarbe|ndern der Hintergrundfarbe des Absatzes',
  // TrvActionLineSpacing100
  '&Einfacher Zeilenabstand', 'Einfacher Zeilenabstand|Den Zeilenabstand auf eine Zeile setzen ',
  // TrvActionLineSpacing150
  '1,5-facher Zeile&nabstand', '1,5-facher Zeilenabstand|Den Zeilenabstand auf 1,5 Zeilen setzen',
  // TrvActionLineSpacing200
  '&Doppelter Zeilenabstand', 'Doppelter Zeilenabstand|Den Zeilenabstand auf 2 Zeilen setzen',
  // TrvActionParaBorder
  'A&bsatz Rahmen und Hintergrundfarbe...', 'Absatz Rahmen und Hintergrundfarbe|ndern des Rahmens und der Hintergrundfarbe fr diesen Absatz',
  // TrvActionInsertTable
  'Tabelle &einfgen...', '&Tabelle', 'Tabelle einfgen|Fgt eine neue Tabelle ein',
  // TrvActionTableInsertRowsAbove
  'Zeile &oberhalb einfgen', 'Zeile oberhalb einfgen|Fgt eine neue Zeile oberhalb der markierten Zellen ein',
  // TrvActionTableInsertRowsBelow
  'Zeile &unterhalb einfgen', 'Zeile unterhalb einfgen|Fgt eine neue Zeile unterhalb der markierten Zellen ein',
  // TrvActionTableInsertColLeft
  'Spalte &links einfgen', 'Spalte links einfgen|Fgt eine neue Spalte links von den markierten Zellen ein',
  // TrvActionTableInsertColRight
  'Spalte &rechts einfgen', 'Spalte rechts einfgen|Fgt eine neue Spalte rechts von den markierten Zellen ein',
  // TrvActionTableDeleteRows
  '&Zeilen lschen', 'Zeilen lschen|Lscht die Zeilen mit den markierten Zellen',
  // TrvActionTableDeleteCols
  '&Spalten lschen', 'Spalten lschen|Lscht die Spalten mit den markierten Zellen',
  // TrvActionTableDeleteTable
  '&Tabelle lschen', 'Tabelle lschen|Lscht die Tabelle',
  // TrvActionTableMergeCells
  'Zellen &verbinden', 'Zellen verbinden|Verbindet die markierten Zellen',
  // TrvActionTableSplitCells
  'Zellen &teilen...', 'Zellen teilen|Teilt die markierten Zellen',
  // TrvActionTableSelectTable
  'Tabelle &markieren', 'Tabelle markieren|Markiert die gesamte Tabelle',
  // TrvActionTableSelectRows
  'Zeilen m&arkieren', 'Zeilen markieren|Markiert die Zeilen',
  // TrvActionTableSelectCols
  'S&palten markieren', 'Spalten markieren|Markiert die Spalten',
  // TrvActionTableSelectCell
  'Z&elle markieren', 'Zelle markieren|Markiert die Zelle',
  // TrvActionTableCellVAlignTop
  'Zellinhalt &oben ausrichten', 'Zellinhalt oben ausrichten|Richtet den Inhalt der Zelle am oberen Rand aus',
  // TrvActionTableCellVAlignMiddle
  'Zellinhalt &mittig ausrichten', 'Zellinhalt mittig ausrichten|Richtet den Inhalt der Zelle mittig aus',
  // TrvActionTableCellVAlignBottom
  'Zellinhalt &unten ausrichten', 'Zellinhalt unten ausrichten|Richtet den Inhalt der Zelle am unteren Rand aus',
  // TrvActionTableCellVAlignDefault
  '&Standard fr vertikale Zellausrichtung', 'Standard fr vertikale Zellausrichtung|Festlegend er Standardeinstellung fr die vertikale Zellausrichtung',
  // TrvActionTableCellRotationNone
  '&Keine Zellendrehung', 'Keine Zellendrehung|Inhalt der Zelle um 0 drehen',
  // TrvActionTableCellRotation90
  'Zelle um &90 drehen', 'Zelle um 90 drehen|Inhalt der Zelle um 90 drehen',
  // TrvActionTableCellRotation180
  'Zelle um &180 drehen', 'Zelle um 180 drehen|Inhalt der Zelle um 180 drehen',
  // TrvActionTableCellRotation270
  'Zelle um &270 drehen', 'Zelle um 270 drehen|Inhalt der Zelle um 270 drehen',
  // TrvActionTableProperties
  'Tabellen&eigenschaften...', 'Tabelleneigenschaften|ndern der Eigenschaften fr die markierte Tabelle',
  // TrvActionTableGrid
  '&Gitternetzlinien anzeigen', 'Gitternetzlinien anzeigen|Ein- oder ausschalten der Gitternetzlinien fr Tabellen',
  // TRVActionTableSplit
  'Tabelle tei&len', 'Tabelle teilen|Teilt die Tabelle beginnend mit der ausgewhlten Zeile in zwei Tabellen',
  // TRVActionTableToText
  'In Te&xt umwandeln...', 'In Text umwandeln|Tabelle in Text umwandeln',
  // TRVActionTableSort
  '&Sortieren...', 'Sortieren|Sortiert die Zeilen der Tabelle',
  // TrvActionTableCellLeftBorder
  '&Linker Rahmen', 'Linker Rahmen|Linken Zellrahmen ein- oder ausschalten',
  // TrvActionTableCellRightBorder
  '&Rechter Rahmen', 'Rechter Rahmen|Rechten Zellrahmen ein- oder ausschalten',
  // TrvActionTableCellTopBorder
  '&Oberer Rahmen', 'Oberer Rahmen|Oberen Zellrahmen ein- oder ausschalten',
  // TrvActionTableCellBottomBorder
  '&Unterer Rahmen', 'Unterer Rahmen|Unteren Zellrahmen ein- oder ausschalten',
  // TrvActionTableCellAllBorders
  '&Zellrahmen', 'Zellrahmen|Gesamten Zellrahmen ein- oder ausschalten',
  // TrvActionTableCellNoBorders
  '&Keine Rahmen', 'Keine Rahmen|Alle Zellrahmen ausschalten',
  // TrvActionFonts & TrvActionFontEx
  '&Schriftart...', 'Schriftart|ndern der Schriftart fr den markierten Text',
  // TrvActionFontBold
  '&Fett', 'Fett|Setzen oder lschen des Attributs Fett fr den markierten Text',
  // TrvActionFontItalic
  '&Kursiv', 'Kursiv|Setzen oder lschen des Attributs Kursiv fr den markierten Text',
  // TrvActionFontUnderline
  '&Unterstrichen', 'Unterstrichen|Setzen oder lschen des Attributs Unterstrichen fr den markierten Text',
  // TrvActionFontStrikeout
  '&Durchgestrichen', 'Durchgestrichen|Setzen oder lschen des Attributs Durchgestrichen fr den markierten Text',
  // TrvActionFontGrow
  'Schriftart ver&grern', 'Schriftart vergrern|Hhe des markierten Texts um 10% vergrern',
  // TrvActionFontShrink
  'Sc&hriftart verkleinern', 'Schriftart verkleinern|Hhe des markierten Texts um 10% verkleinern',
  // TrvActionFontGrowOnePoint
  'Schriftart um einen Punkt verg&rern', 'Schriftart um einen Punkt vergrern|Vergrert die Hhe des markierten Texts um einen Punkt',
  // TrvActionFontShrinkOnePoint
  'Schriftart um einen Punkt verkleinern', 'Schriftart um einen Punkt verkleinern|Verkleinert die Hhe des markierten Texts um einen Punkt',
  // TrvActionFontAllCaps
  '&Alles Grobuchstaben', 'Alles Grobuchstaben|Alle Buchstaben des markierten Texts in Grobuchstaben umwandeln',
  // TrvActionFontOverline
  '&Linie ber Text', 'Linie ber Text|Fgt eine Linie ber dem markierten Text ein',
  // TrvActionFontColor
  'Text &Farbe...', 'Text Farbe|ndern der Farbe fr den markierten Text',
  // TrvActionFontBackColor
  'Text Hinter&grund Farbe...', 'Text Hintergrund Farbe|ndert die Hintergrundfarbe des markierten Texts',
  // TrvActionAddictSpell3
  'Recht&schreibprfung', 'Rechtschreibprfung|Prft die Rechtschreibung',
  // TrvActionAddictThesaurus3
  '&Thesaurus', 'Thesaurus|Zeigt Synonyme fr das markierte Wort an',
  // TrvActionParaLTR
  'Links nach Rechts', 'Links nach Rechts|Setzt Schreibrichtung Links-nach-Rechts fr markierten Text',
  // TrvActionParaRTL
  'Rechts nach Links', 'Rechts nach Links|Setzt Schreibrichtung Rechts-nach-Links fr markierten Text',
  // TrvActionLTR
  'Text Links nach Rechts', 'Text Links nach Rechts|Setzt Schreibrichtung Links-nach-Rechts fr markierten Text',
  // TrvActionRTL
  'Text Rechts nach Links', 'Text Rechts nach Links|Setzt Schreibrichtung Rechts-nach-Links fr markierten Text',
  // TrvActionCharCase
  'Gro-/Kleinschreibung', 'Gro-/Kleinschreibung|ndert Gro-/Kleinschreibung fr markierten Text',
  // TrvActionShowSpecialCharacters
  '&Nicht-druckbare Zeichen', 'Nicht-druckbare Zeichen|Ein- oder ausblenden von nicht-druckbaren Zeichen, wie z.B. Absatzmarken, Tabulatoren und Leerzeichen.',
  // TrvActionSubscript
  '&Tiefgestellt', 'Tiefgestellt|Der markierte Text wird tiefgestellt',
  // TrvActionSuperscript
  '&Hochgestellt', 'Hochgestellt|Der markierter Text wird hochgestellt',
  // TrvActionInsertFootnote
  '&Funote', 'Funote|Eine Funote einfgen',
  // TrvActionInsertEndnote
  '&Endnote', 'Endnote|Eine Endnote einfgen',
  // TrvActionEditNote
  'Note bearbeiten', 'Note bearbeiten|Mit der Bearbeitung von Fu- und Endnoten beginnen',
  '&Ausblenden', 'Ausblenden|Ausblenden oder anzeigen des ausgewhlten Fragments',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Formatvorlagen...', 'Formatvorlagen|Das Fenster fr Formatvorlagen anzeigen',
  // TrvActionAddStyleTemplate
  'Form&atvorlage hinzufgen...', 'Formatvorlage hinzufgen|Eine neue Text- oder Absatzformatvorlage erstellen',
  // TrvActionClearFormat,
  'Formatierung ls&chen', 'Formatierung lschen|Die Text- und Absatzformatierung des ausgewhlten Textes lschen',
  // TrvActionClearTextFormat,
  '&Textformat lschen', 'Textformat lschen|Die Textformatierung des ausgewhlten Textes lschen',
  // TrvActionStyleInspector
  'Format&inspektor', 'Formatinspektor|Formatinspektor anzeigen/verbergen',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'Ok', 'Abbrechen', 'Schlieen', 'Einfgen', '&ffnen...', '&Speichern...', '&Lschen', 'Hilfe', 'Entfernen',
  // Others  -------------------------------------------------------------------
  // percents
  'Prozent',
  // left, top, right, bottom sides
  'Linke Seite', 'Obere Seite', 'Rechte Seite', 'Untere Seite',
  // save changes? confirm title
  'nderungen in %s speichern?', 'Bitte besttigen',
  // warning: losing formatting
  '%s kann Funktionalitten enthalten die mit dem gewhlten Speicherformat nicht kompatibel sind.'#13+
  'Mchten Sie das Dokument wirklich in diesem Format speichern?',
  // RVF format name
  'RichView Format',
  // Error messages ------------------------------------------------------------
  'Fehler',
  'Fehler beim Laden der Datei.'#13#13'Mgliche Ursachen:'#13'- das Format dieser Datei wird nicht untersttzt;'#13+
  '- die Datei ist beschdigt;'#13'- die Datei ist gesperrt, weil sie bereits von einer anderen Anwendung verwendet wird.',
  'Fehler beim Laden der Grafikdatei.'#13#13'Mgliche Ursachen:'#13'- die Datei liegt in einem Grafikformat vor, dass nicht untersttzt wird;'#13+
  '- die Datei enthlt keine Grafik;'#13+
  '- die Datei ist beschdigt;'#13'- die Datei ist gesperrt, weil sie bereits von einer anderen Anwendung verwendet wird.',
  'Fehler beim Speichern der Datei.'#13#13'Mgliche Ursachen:'#13'- kein freier Speicherplatz;'#13+
  '- das Speichermedium ist schreibgeschtzt;'#13'- austauschbarer Datentrger ist nicht eingelegt;'#13+
  '- die Datei ist gesperrt, weil sie bereits von einer anderen Anwendung verwendet wird;'#13'- das Speichermedium ist beschdigt.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView Dateien (*.rvf)|*.rvf',  'RichText Dateien (*.rtf)|*.rtf' , 'XML Dateien (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Text Dateien (*.txt)|*.txt', 'Text Dateien - Unicode (*.txt)|*.txt', 'Text Dateien - Automatische Auswahl (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'HTML Dateien (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - Einfach (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Microsoft Word Dokumente (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Suche beendet', 'Suchtext ''%s'' nicht gefunden.',
  // 1 string replaced; Several strings replaced
  '1 Eintrag ersetzt', '%d Eintrge ersetzt.',
  // continue search from the beginning/end?
  'Ende des Dokuments erreicht. Am Beginn des Dokuments fortsetzen?',
  'Anfang des Dokuments erreicht. Am Ende des Dokuments fortsetzen?',  
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'Transparent', 'Auto',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Schwarz', 'Braun', 'Olivgrn', 'Dunkelgrn', 'Grnblau', 'Dunkelblau', 'Indigo', 'Grau-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Dunkelrot', 'Orange', 'Dunkelgelb', 'Grn', 'Blaugrn', 'Blau', 'Blaugrau', 'Grau-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Rot', 'Hellorange', 'Limone', 'Meeresgrn', 'Aqua', 'Hellblau', 'Violett', 'Grau-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Rosa', 'Gold', 'Gelb', 'Strahlend Grn', 'Trkis', 'Himmelblau', 'Pflaume', 'Grau-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Rose', 'Brunlich', 'Hellgelb', 'Hellgrn', 'Helltrkis', 'Blassblau', 'Lila', 'Weiss',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'Tr&ansparent', '&Auto', '&Mehr Farben...', '&Standard',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Hintergrund', 'F&arbe:', 'Position', 'Hintergrund', 'Beispieltext.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Ohne', '&Gesamter Bereich', 'F&este Kacheln', 'Gek&achelt', '&Zentriert',
  // Padding button
  '&Abstand...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Fllfarbe', '&Anwenden auf:', '&Mehr Farben...', '&Abstand...',
  'Bitte eine Farbe auswhlen.',
  // [apply to:] text, paragraph, table, cell
  'Text', 'Absatz' , 'Tabelle', 'Zelle',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Schriftart', 'Schriftart', 'Layout',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Schriftart:', 'Schrift&grad', 'Schriftsch&nitt', '&Fett', '&Kursiv',
  // Script, Color, Back color labels, Default charset
  'Sk&ript:', '&Farbe:', 'Hinter&grund:', '(Standard Zeichensatz)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Effekte', 'Unterstrichen', '&Linie ber Text', '&Durchgestrichen', '&Alles Grobuchstaben',
  // Sample, Sample text
  'Beispiel', 'Beispieltext',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Zeichenabstand', '&Abstand:', '&Erweitert', '&Schmal',
  // Offset group-box, Offset label, Down, Up,
  'Position', '&Position:', '&Tiefgestellt', '&Hochgestellt',
  // Scaling group-box, Scaling
  'Skalierung', 'Sk&alierung:',
  // Sub/super script group box, Normal, Sub, Super
  'Hoch- und Tiefgestellt', '&Normal', '&Tiefgestellt', '&Hochgestellt',  
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Fllung', '&Oben:', '&Links:', '&Unten:', '&Rechts:', '&Gleiche Werte',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Hyperlink einfgen', 'Hyperlink', 'T&ext:', '&Ziel:', '<<Auswahl>>',
  // cannot open URL
  'Kann Adresse "%s" nicht ffnen.',
  // hyperlink properties button, hyperlink style
  '&Anpassen...', '&Formatvorlage:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) colors
  'Hyperlink Eigenschaften', 'Farbe Normal', 'Farbe Aktiv',
  // Text [color], Background [color]
  '&Text:', '&Hintergrund',
  // Underline [color]
  'U&nterstrich:',
  // Text [color], Background [color] (different hotkeys)
  'T&ext:', 'H&intergrund',
  // Underline [color], Attributes group-box,
  'U&nterstrich:', 'Eigenschaften',
  // Underline type: always, never, active (below the mouse)
  '&Unterstrich:', 'immer', 'nie', 'aktiv',
  // Same as normal check-box
  'Wie &Normal',
  // underline active links check-box
  'Aktive Links &unterstreichen',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Symbol einfgen', '&Schriftart:', '&Zeichensatz:', 'Unicode',
  // Unicode block
  '&Block:',  
  // Character Code, Character Unicode Code, No Character
  'Zeichencode: %d', 'Zeichencode: Unicode %d', '(kein Zeichen)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows,
  'Tabelle einfgen', 'Tabellengre', 'Anzahl der &Spalten:', 'Anzahl der &Zeilen:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Tabellen Layout', 'Gre &automatisch festlegen', 'Tabellegre an &Fenster anpassen', 'Tabellengre &manuell festlegen',
  // Remember check-box
  'Grenanga&ben merken fr neue Tabellen',
  // VAlign Form ---------------------------------------------------------------
  'Position',
  // Item Properties Form ------------------------------------------------------
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Eigenschaften', 'Grafik', 'Position und Gre', 'Linie', 'Tabelle', 'Zeile', 'Zelle',
  // Image Appearance, Image Misc, Number tabs
  'Darstellung', 'Verschiedenes', 'Zahl',
  // Box position, Box size, Box appearance tabs
  'Position', 'Gre', 'Darstellung',
  // Preview label, Transparency group-box, checkbox, label
  'Vorschau:', 'Transparenz', '&Transparent', 'Transparente &Farbe:',
  // change button, save button, no transparent color (use color of right-bottom pixel)
  '&ndern...', '&Sichern...', 'Automatisch',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Vertikale Ausrichtung', '&Ausrichtung:',
  'Unterkante an Grundlinie des Textes', 'Mitte an Grundlinie des Textes',
  'Oberkante an Oberlinie des Textes', 'Unterkante an Unterlinie des Textes', 'Mitte an Mittelinie des Textes',
  // align to left side, align to right side
  'linke Seite', 'rechte Seite',
  // Shift By label, Stretch group box, Width, Height, Default size
  '&ndern um:', 'Dehnen', '&Breite:', '&Hhe:', 'Standardgre: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  '&Proportional skalieren', 'Zu&rcksetzen',
  // Inside the border, border, outside the border groupboxes
  'Innerhalb des Rahmens', 'Rahmen', 'Auerhalb des Rahmens',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Fllfarbe:', '&Abstand:',
  // Border width, Border color labels
  'Rahmen&breite:', 'Rahmen&farbe:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  '&Horizontaler Abstand:', '&Vertikaler Abstand:',
  // Miscellaneous groupbox, Tooltip label
  'Verschiedenes', '&Kurzinformation:',
  // web group-box, alt text
  'Web', 'Alterna&tiver Text:',
  // Horz line group-box, color, width, style
  'Horizontale Linie', '&Farbe:', '&Breite:', '&Stil:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tabelle', '&Breite:', '&Fllfarbe:', '&Zellraum...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  '&Horizontaler Zellenabstand:', '&Vertikaler Zellenabstand:', 'Rahmen und Hintergrund',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Sichtbare &Rahmenseiten...', 'Automatisch', 'automatisch',
  // Keep row content together checkbox
  '&Inhalt zusammenhalten',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Drehung', '&Keine', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Rahmen:', 'Sichtbare R&ahmenseiten...',
  // Border, CellBorders buttons
  '&Tabellenrahmen...', 'Z&ellrahmen...',
  // Table border, Cell borders dialog titles
  'Tabellenrahmen', 'Standard Zellrahmen',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Drucken', 'Tabelle auf einer &Seite', 'Anzahl der &Kopfzeilen:',
  'Tabellenkopfzeilen werden auf jeder Seite wiederholt',
  // top, center, bottom, default
  '&Oben', '&Zentriert', '&Unten', '&Standard',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Einstellungen', 'Bevorzugte &Breite:', '&Hhe mindestens:', '&Fllfarbe:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Rahmen', 'Sichtbare Seiten:',  'Sch&attenfarbe:', '&Helle Farbe', 'F&arbe:',
  // Background image
  '&Grafik...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Horizontale Position', 'Vertikale Position', 'Position im Text',
  // Position types: align, absolute, relative
  'Ausrichtung', 'Absolute Position', 'Relative Position',
  // [Align] left side, center, right side
  'linke Seite an linker Seite von',
  'mitte an mitte von',
  'rechte Seite an rechter Seite von',
  // [Align] top side, center, bottom side
  'obere Seite an oberer Seite von',
  'mitte an mitte von',
  'untere Seite an unterer Seite von',
  // [Align] relative to
  'relativ zu',
  // [Position] to the right of the left side of
  'rechts von der linken Seite von',
  // [Position] below the top side of
  'unterhalb der oberen Seite von',
  // Anchors: page, main text area (x2)
  '&Seite', '&Haupttextbereich', 'S&eite', 'Hauptte&xtbereich',
  // Anchors: left margin, right margin
  '&Linker Rand', '&Rechter Rand',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  '&Oberer Rand', '&Unterer Rand', '&Innerer Rand', '&uerer Rand',
  // Anchors: character, line, paragraph
  '&Zeichen', 'Z&eile', '&Absatz',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Rnder spi&egeln', 'La&yout in der Tabellenzelle',
  // Above text, below text
  '&Oberhalb des Textes', '&Unterhalb des Textes',
  // Width, Height groupboxes, Width, Height labels
  'Breite', 'Hhe', '&Breite:', '&Hhe:',
  // Auto height label, Auto height combobox item
  'Automatisch', 'automatisch',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Vertikale Ausrichtung', '&Oben', '&Mitte', '&Unten',
  // Border and background button and title
  'Rah&men und Hintergrund...', 'Feldrahmen und Hintergrund',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Einfgen als', '&Einfgen als:', 'Rich Text Format', 'HTML Format',
  'Text', 'Unicode Text', 'Bitmapgrafik', 'Metagrafik',
  'Grafik-Dateien', 'URL',
  // Options group-box, styles
  'Optionen', '&Formatvorlagen:',
  // style options: apply target styles, use source styles, ignore styles
  'Formatvorlagen des Zieldokuments zuweisen', 'Formatvorlagen und Erscheinung erhalten',
  'Erscheinung erhalten, Formatvorlagen ignorieren',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Nummerierung und Aufzhlungszeichen', 'Aufzhlungszeichen', 'Nummeriert', 'Ungeordnete Liste', 'Nummerierte Liste',
  // Customize, Reset, None
  '&Anpassen...', '&Zurcksetzen', 'Keine',
  // Numbering: continue, reset to, create new
  'Nummerierung fortsetzen', 'Nummerierung zurcksetzen auf', 'Erstelle eine neue Liste, beginnend mit',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  //'Upper Alpha', 'Upper Roman', 'Decimal', 'Lower Alpha', 'Lower Roman',
  'Gro Alpha', 'Gro Roman', 'Dezimal', 'Klein Alpha', 'Klein Roman',
  // Bullet type
  // Circle, Disc, Square,
  'Kreis', 'Scheibe', 'Viereck', 
  // Level, Start from, Continue numbering, Numbering group-box
  '&Ebene', 'Starte von:', '&Fortsetzen', 'Nummerierung',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Liste anpassen', 'Ebenen', '&Zhlung:', 'Listeneigenschaften', '&Listentyp:',
  // List types: bullet, image
  'Gliederungspunkt', 'Grafik', 'Nummer einfgen|',
  // Number format, Number, Start level from, Font button
  '&Nummernformat:', 'Nummer', '&Nummerierungsebene beginnt mit:', '&Schriftart...',
  // Image button, bullet character, Bullet button,
  '&Grafik...', 'Aufzhlungszeichen', '&Gliederungspunkt...',
  // Position of list text, bullet, number, image, text
  'Listentext Position', 'Aufzhlungszeichenposition', 'Position der Nummerierung', 'Position der Grafik', 'Textposition',
  // at, left indent, first line indent, from left indent
  '&an:', 'L&inker Einzug:', '&Einzug der ersten Zeile:', 'vom linken Einzug',
  // [only] one level preview, preview
  '&Vorschau der ersten Ebene', 'Vorschau',
  // Preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'links ausgerichtet', 'rechts ausgerichtet', 'zentriert',
  // level #, this level (for combo-box)
  'Ebene %d', 'Diese Ebene',
  // Marker character dialog title
  'Aufzhlungszeichen bearbeiten',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Absatzrahmen und Hintergrund', 'Rahmen', 'Hintergrund',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Einstellungen', '&Farbe:', '&Breite:', 'Int&erne Breite:', 'O&ffsets...',
  // Sample, Border type group-boxes;
  'Beispiel', 'Rahmentyp',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Ohne', '&Einfach', '&Doppelt', 'D&reifach', '&Innen dick', '&Auen dick',
  // Fill color group-box; More colors, padding buttons
  'Fllfarbe', '&Mehr Farben...', '&Abstand...',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text.',
  // title and group-box in Offsets dialog
  'Abstnde', 'Rahmenabstnde',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify
  'Absatz', 'Ausrichtung', '&Links', '&Rechts', '&Zentriert', '&Blocksatz',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Abstand', '&Vor:', '&Nach:', 'Zeilen&abstand:', 'v&on:',
  // Indents group-box; indents: left, right, first line
  'Einzge', 'L&inks:', 'R&echts:', 'E&rste Zeile:',
  // indented, hanging
  '&Eingezogen', '&Hngend', 'Beispiel',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Einfach', '1.5 Zeilen', 'Zweizeilig', 'Mindestens', 'Genau', 'Mehrfach',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // tabs: Indents and spacing, Tabs, Text flow
  'Einzge und Abstnde', 'Tabulatoren', 'Textfluss',
  // tab stop position label; buttons: set, delete, delete all
  '&Tabulator Position:', '&Setzen', '&Lschen', '&Alle lschen',
  // tab align group; left, right, center aligns,
  'Ausrichtung', '&Links', '&Rechts', '&Zentriert',
  // leader radio-group; no leader
  'Fhrungslinie', '(Keine)',
  // tab stops to be deleted, delete none, delete all labels
  'Tabulatoren zu lschen:', '(Keine)', 'Alle.',
  // Pagination group-box, keep with next, keep lines together
  'Zeilen- und Seitenumbruch', '&Abstze nicht trennen', '&Zeilen nicht trennen',
  // Outline level, Body text, Level #
  '&Gliederungsebene:', 'Textkrper', 'Ebene %d',
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Druckvorschau', 'Seitenbreite', 'Ganze Seite', 'Seiten:',
  // Invalid Scale, [page #] of #
  'Bitte geben Sie eine Nummer zwischen 10 und 500 ein', 'von %d',
  // Hints on buttons: first, prior, next, last pages
  'Erste Seite', 'Vorherige Seite', 'Nchste Seite', 'Letzte Seite',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Zellraum', 'Abstand', '&Zwischen den Zellen', 'Vom Tabellenrahmen zu den Zellen',
  // vertical, horizontal (x2)
  '&Vertikal:', '&Horizontal:', 'V&ertikal:', 'H&orizontal:',  
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Rahmen', 'Einstellungen', '&Farbe:', '&Helle Farbe:', 'Scha&ttenfarbe:',
  // Width; Border type group-box;
  '&Breite:', 'Rahmentyp',
  // Border types: none, sunken, raised, flat
  '&Kein', '&Eingesunken', '&Erhoben', '&Glatt',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Teilen', 'Teilen in',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&Bitte Anzahl der Zeilen und Spalten eingeben', '&Originalzellen',
  // number of columns, rows, merge before
  'Anzahl der &Spalten:', 'Anzahl der &Zeilen:', '&Verbinden vor dem Teilen',
  // to original cols, rows check-boxes
  'Teilen wie Origina&lspalten', 'Teilen wie O&riginalzeilen',
  // Add Rows form -------------------------------------------------------------
  'Zeilen hinzufgen', 'Anza&hl der Zeilen:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Seite einrichten', 'Seite', 'Kopf- und Fusszeile',
  // margins group-box, left, right, top, bottom
  'Rnder (Millimeter)', 'Rnder (Zoll)', '&Links:', '&Oben:', '&Rechts:', '&Unten:',
  // mirror margins check-box
  '&Seitenrnder spiegeln',
  // orientation group-box, portrait, landscape
  'Orientierung', '&Hochformat', 'Qu&erformat',
  // paper group-box, paper size, default paper source
  'Papier', '&Gre:', '&Quelle:',
  // header group-box, print on the first page, font button
  'Kopfzeile', '&Text:', '&Kopfzeile auf der ersten Seite', '&Schriftart...',
  // header alignments: left, center, right
  '&Linksbndig', '&Zentriert', '&Rechtsbndig',
  // the same for footer (different hotkeys)
  '&Fusszeile', 'Te&xt:', 'Fusszeile auf der ersten Seite', 'S&chriftart...',
  'L&inksbndig', 'Z&entriert', 'Rec&htsbndig',
  // page numbers group-box, start from
  'Seitennummerierung', '&Beginnt bei:',
  // hint about codes
  'Spezielle Zeichenkombinationen:'#13'&&p - Seitennummer; &&P - Seitenanzahl; &&d - Aktuelles Datum; &&t - Aktuelle Zeit.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Codepage fr Textdatei', 'Zei&chenkodierung fr Datei auswhlen:',
  // thai, japanese, chinese (simpl), korean
  'Thailndisch', 'Japanisch', 'Chinesisch (Vereinfacht)', 'Koreanisch',
  // chinese (trad), central european, cyrillic, west european
  'Chinesisch (Traditionell)', 'Zentral- und Osteuropa', 'Kyrillisch', 'Westeuropisch',
  // greek, turkish, hebrew, arabic
  'Griechisch', 'Trkisch', 'Hebrisch', 'Arabisch',
  // baltic, vietnamese, utf-8, utf-16
  'Baltisch', 'Vietnamesisch', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Erscheinung', '&Stil auswhlen:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'In Text umwandeln', 'Trennzeichen &whlen:',
  // line break, tab, ';', ','
  'Zeilenumbruch', 'Tabulator', 'Semikolon', 'Komma',
  // Table sort form -----------------------------------------------------------
  // error message
  'Eine Tabelle mit verbundenen Zeilen kann nicht sortiert werden',
  // title, main options groupbox
  'Tabelle sortieren', 'Sortieren',
  // sort by column, case sensitive
  'Nach &Spalte sortieren:', 'S&chreibweise beachten',
  // heading row, range or rows
  'Kopfzeile aussc&lieen', 'Sortiere Zeilen: von %d bis %d',
  // order, ascending, descending
  'Reihenfolge', '&Aufsteigend', 'Absteigen&d',
  // data type, text, number
  'Typ', '&Text', '&Zahl',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Zahl einfgen', 'Eigenschaften', '&Zhlername:', '&Nummerierungstyp:',
  // numbering groupbox, continue, start from
  'Nummerierung', '&Fortsetzen', '&Beginnen von:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Beschriftung', '&Bezeichnung:', 'Be&zeichnung nicht in der Beschriftung verwenden',
  // position radiogroup
  'Position', '&Oberhalb des ausgewhlten Objekts', '&Unterhalb des ausgewhlten Objekts',
  // caption text
  'Beschriftungs&text:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Nummerierung', 'Abbildung', 'Tabelle',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Sichtbare Rahmenseiten', 'Rahmen',
  // Left, Top, Right, Bottom checkboxes
  '&Linke Seite', '&Obere Seite', '&Rechte Seite', '&Untere Seite',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Gre der Tabellenspalte ndern', 'Gre der Tabellenzeile ndern',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Erste Zeile einrcken', 'Einzug links', 'Hngender Einzug', 'Einzug rechts',
  // Hints on lists: up one level (left), down one level (right)
  'Eine Ebene hher verschieben', 'Eine Ebene niedriger verschieben',
  // Hints for margins: bottom, left, right and top
  'Unterer Seitenrand', 'Linker Seitenrand', 'Rechter Seitenrand', 'Oberer Seitenrand',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Am Tabulator links ausrichten', 'Am Tabulator rechts ausrichten', 'Am Tabulator zentriert ausrichten', 'Am Dezimalkomma ausrichten',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Standard', 'Standard eingerckt', 'Kein Leerraum', 'berschrift %d', 'Listenabsatz',
  // Hyperlink, Title, Subtitle
  'Hyperlink', 'Titel', 'Untertitel',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Hervorhebung', 'Schwache Hervorhebung', 'Intensive Hervorhebung', 'Fett',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Zitat', 'Intensives Zitat', 'Schwacher Verweis', 'Intensiver Verweis',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Blocksatz', 'HTML Variable', 'HTML Code', 'HTML Akronym',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'HTML Definition', 'HTML Tastatur', 'HTML Beispiel', 'HTML Schreibmaschine',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML Vorformatiert', 'HTML Zitat', 'Kopf', 'Fu', 'Seitenzahl',
  // Caption
  'Beschriftung',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Verweis Endnote', 'Verweis Funote', 'Text Endnote', 'Text Funote',
  // Sidenote Reference, Sidenote Text
  'Randnotiz Referenz', 'Randnotiz Text',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'Farbe', 'Hintergrundfarbe', 'transparent', 'Standard', 'Farbe Unterstreichung',
  // default background color, default text color, [color] same as text
  'Standardhintergrundfarbe', 'Standardtextfarbe', 'wie Text',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'einfach', 'dick', 'doppelt', 'gepunkted', 'dick gepunkted', 'gestrichelt',
  // underline types: thick dashed, long dashed, thick long dashed,
  'dick gestrichelt', 'lang gestrichelt', 'dick und lang gestrichelt',
  // underline types: dash dotted, thick dash dotted,
  'Strich-Punkt', 'Strich-Punkt dick',
  // underline types: dash dot dotted, thick dash dot dotted
  'Strich-Punkt-Punkt', 'Strich-Punkt-Punkt dick',
  // sub/superscript: not, subsript, superscript
  'nicht tief-/hochgestellt', 'tiefgestellt', 'hochgestellt',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'Bi-di Modus:', 'bernommen', 'links nach rechts', 'rechts nach links',
  // bold, not bold
  'fett', 'nicht fett',
  // italic, not italic
  'kursiv', 'nicht kursiv',
  // underlined, not underlined, default underline
  'unterstrichen', 'nicht unterstrichen', 'Standardunterstreichung',
  // struck out, not struck out
  'durchgestrichen', 'nicht durchgestrichen',
  // overlined, not overlined
  'berstrichen', 'nicht berstrichen',
  // all capitals: yes, all capitals: no
  'alles in Kapitlchen', 'Kapitlchen fr alles aus',
  // vertical shift: none, by x% up, by x% down
  'ohne vertikalen Versatz', 'versetzt um %d%% nach oben', 'versetzt um %d%% nach unten',
  // characters width [: x%]
  'Zeichenbreite',
  // character spacing: none, expanded by x, condensed by x
  'Standardzeichenabstand', 'Abstand erweitert um %s', 'Abstand verringert um %s',
  // charset
  'Skript',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'Standardschrift', 'Standardabsatz', 'bernommen',
  // [hyperlink] highlight, default hyperlink attributes
  'Hervorhebung', 'Standard',
  // paragraph aligmnment: left, right, center, justify
  'Ausrichtung links', 'Ausrichtung rechts', 'Zentriert', 'Blocksatz',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'Zeilenhhe: %d%%', 'Abstand zwischen den Zeilen: %s', 'Zeilenhhe: mindestens %s',
  'Zeilenhhe: exakt %s',
  // no wrap, wrap
  'Zeilenumbruch deaktiviert', 'Zeilenumbruch',
  // keep lines together: yes, no
  'Zeilen zusammenhalten', 'Zeilen nicht zusammenhalten',
  // keep with next: yes, no
  'mit nchsten Absatz zusammenhalten', 'nicht mit nchsten Absatz zusammenhalten',
  // read only: yes, no
  'nur-lesen', 'nderbar',
  // body text, heading level x
  'Gliederungsebene: Text', 'Gliederungsebene: %d',
  // indents: first line, left, right
  'Einzug erste Zeile', 'Einzug links', 'Einzug rechts',
  // space before, after
  'Abstand davor', 'Abstand danach',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'Tabulatoren', 'ohne', 'Ausrichtung', 'links', 'rechts', 'zentriert',
  // tab leader (filling character)
  'Fllzeichen',
  // no, yes
  'Nein', 'Ja',
  // [padding/spacing/side:] left, top, right, bottom
  'links', 'oben', 'rechts', 'unten',
  // border: none, single, double, triple, thick inside, thick outside
  'ohne', 'einfach', 'doppelt', 'dreifach', 'innen dick', 'auen dick',
  // background, border, padding, spacing [between text and border]
  'Hintergrund', 'Rahmen', 'Textabstand', 'Zellenabstand',
  // border: style, width, internal width, visible sides
  'Stil', 'Breite', 'Innere Breite', 'Sichtbare Seiten',
  // style inspector -----------------------------------------------------------
  // title
  'Formatinspektor',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Stil', '(Ohne)', 'Absatz', 'Schrift', 'Eigenschaften',
  // border and background, hyperlink, standard [style]
  'Rahmen und Hintergrund', 'Hyperlink', '(Standard)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Formatvorlagen', 'Formatvorlage',
  // name, applicable to,
  '&Name:', 'Anwendbar &auf:',
  // based on, based on (no &),
  '&Basiert auf:', 'Basiert auf:',
  //  next style, next style (no &)
  'Formatvorlage fr &nachfolgenden Absatz:', 'Formatvorlage fr nachfolgenden Absatz:',
  // quick access check-box, description and preview
  'Sch&nellzugriff', 'Beschreibung und &Vorschau:',
  // [applicable to:] paragraph and text, paragraph, text
  'Absatz und Text', 'Absatz', 'Text',
  // text and paragraph styles, default font
  'Text- und Absatzformatvorlagen', 'Standardschrift',
  // links: edit, reset, buttons: add, delete
  'Bearbeiten', 'Zurcksetzen', '&Hinzufgen', '&Lschen',
  // add standard style, add custom style, default style name
  '&Standardformatvorlage hinzufgen...', 'Benutzerformatvorlage hin&zufgen', 'Formatvorlage %d',
  // choose style
  'Formatvorlage aus&whlen:',
  // import, export,
  '&Importieren...', '&Exportieren...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
  'RichView-Formatvorlagen (*.rvst)|*.rvst', 'Fehler beim Laden der Datei', 'Diese Datei enthlt keine Formatvorlagen',
  // Title, group-box, import styles
  'Formatvorlagen aus Datei importieren', 'Importieren', 'Formatvorlagen i&mportieren:',
  // existing styles radio-group: Title, override, auto-rename
  'Vorhandene Formatvorlagen', '&berschreiben', 'u&mbenennen und hinzufgen',
  // Select, Unselect, Invert,
  '&Auswhlen', 'Aus&wahl aufheben', '&Umkehren',
  // select/unselect: all styles, new styles, existing styles
  '&Alle Formatvorlagen', '&Neue Formatvorlagen', '&Vorhandene Formatvorlagen',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  'Format lschen', 'Alle Formatvorlagen',
  // dialog title, prompt
  'Formatvorlagen', '&Bitte whlen Sie die Formatvorlage:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  '&Synonyme', '&Alle ignorieren', '&Zum Wrterbuch hinzufgen',
  // Progress messages ---------------------------------------------------------
  'Lade %s', 'Vorbereitung fr Ausdruck...', 'Drucke Seite %d',
  'Umwandeln von RTF...',  'Umwandeln in RTF...',
  'Lese %s...', 'Schreibe %s...', 'Text',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Ohne Notiz', 'Funote', 'Endnote', 'Randnotiz', 'Textfeld'
  );


initialization
  RVA_RegisterLanguage(
    'German', // english language name, do not translate
    'Deutsch', // native language name
    ANSI_CHARSET, @Messages);

end.
