{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       French Translation                              }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by: Boualem Koudri, 2003-02-07             }
{ Modified by :  JJM,Michael REMY, Jean-Philippe RENOU  }
{                Damien Griessinger: 2011-02-20         }
{                                    2012-09-08         }
{                Gilles Vasseur:     2014-02-03         }
{*******************************************************}

unit RVAL_Fr;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'pouces', 'cm', 'mm', 'picas', 'pixels', 'points',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
   '''''', 'cm', 'mm', 'pc', 'pixels', 'pt', 
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Fichier', '&dition', 'Forma&t', '&Police', 'P&aragraphe', '&Insertion', 'Ta&bleau', 'Fe&ntre', 'Aid&e',
  // exit
  '&Quitter',
  // top-level menus: View, Tools,
  '&Affichage', '&Outils',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Ta&ille', 'S&tyle', 'Slecti&on', 'Alig&nement du contenu de la cellule', 'Bordure de la c&ellule',
  // menus: Table cell rotation
  '&Rotation de la cellule',
  // menus: Text flow, Footnotes/endnotes
  '&Enchanements', '&Notes', 
  // ribbon tabs: tab1, tab2, view, table
  'Acc&ueil', '&Avanc', 'A&ffichage', '&Tableau', 
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Presse-papier', 'Police', 'Paragraphe', 'Liste', 'dition',
  // ribbon groups: insert, background, page setup,
  'Insrer', 'Trame de fond', 'Mise en page', 
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Liens', 'Notes de bas de page', 'Affichages document', 'Afficher/Masquer', 'Zoom', 'Options',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Insrer', 'Supprimer', 'Oprations', 'Bordures', 
  // ribbon groups: styles 
  'Styles',
  // ribbon screen tip footer,
  'Appuyez sur F1 pour de l''aide.',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Documents rcents', 'Enregistrer une copie du document', 'Aperu et impression du document',
  // ribbon label: units combo
  'Units:', 
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Nouveau', 'Nouveau|Cre une nouvelle page vierge',
  // TrvActionOpen
  '&Ouvrir...', 'Ouvrir|Ouvre un document  partir du disque',
  // TrvActionSave
  '&Enregistrer', 'Enregistrer|Enregistre le document en cours',
  // TrvActionSaveAs
  'Enregistrer &sous...', 'Enregistrer sous...|Enregistre le document sous un nouveau nom',
  // TrvActionExport
  'Expor&ter...', 'Exporter|Exporte le document vers un autre format',
  // TrvActionPrintPreview
  'A&peru avant impression', 'Aperu avant l''impression|Montre le document avant l''impression',
  // TrvActionPrint
  '&Imprimer...', 'Imprimer|Configure l''imprimante et imprime le document',
  // TrvActionQuickPrint
  '&Imprimer', 'Impression ra&pide', 'Imprimer|Imprime le document', 
   // TrvActionPageSetup
  'Options de pa&ge...', 'Dfinir les options de page|Dfinit les marges, la taille du papier, l''orientation, la source, le haut et le bas de page',
  // TrvActionCut
  'C&ouper', 'Couper|Coupe la slection (vers le presse-papier) ',
  // TrvActionCopy
  '&Copier', 'Copier|Copie la slection dans le presse-papier',
  // TrvActionPaste
  'Co&ller', 'Coller|Insre le contenu du presse-papier',
  // TrvActionPasteAsText
  'Coller en tant que &texte', 'Coller comme texte|Insre le texte du presse-papier', // dg
  // TrvActionPasteSpecial
  'Collage &spcial...', 'Collage spcial|Insre le contenu du presse-papier au format spcifi',
  // TrvActionSelectAll
  '&Tout slectionner ', 'Tout slectionner|Slectionne tout le document',
  // TrvActionUndo
  '&Annuler', 'Annuler|Annule la dernire action',
  // TrvActionRedo
  'Re&faire', 'Refaire|Rpte la dernire action annule',
  // TrvActionFind
  '&Rechercher...', 'Rechercher|Recherche le texte spcifi dans le document',
  // TrvActionFindNext
  'Rechercher &suivant', 'Rechercher le suivant|Continue la dernire recherche',
  // TrvActionReplace
  'Re&mplacer...', 'Remplacer|Trouve et remplace le texte spcifi dans le document',
  // TrvActionInsertFile
  '&Fichier...', 'Insrer un fichier|Insre le contenu d''un fichier dans le document',
  // TrvActionInsertPicture
  '&Image...', 'Insrer une image|Insre une image  partir d''un fichier',
  // TRVActionInsertHLine
  '&Ligne horizontale', 'Insre une ligne horizontale',
  // TRVActionInsertHyperlink
  'Lien &hypertexte...', 'Insre un lien hypertexte ',
  // TRVActionRemoveHyperlinks
  'Supp&rimer les liens hypertextes', 'Supprimer les liens hypertextes|Supprime tous les liens hypertextes dans le texte slectionn',
  // TrvActionInsertSymbol
  '&Symbole...', 'Insrer un symbole',
  // TrvActionInsertNumber
  '&Numro...', 'Insrer un numro|Insre un numro',
  // TrvActionInsertCaption
  'Insrer une &lgende...', 'Insrer une lgende|Insre une lgende  l''objet slectionn',
  // TrvActionInsertTextBox
  'Bote de &texte', 'Insrer une bote de texte|Insre une bote de texte',
  // TrvActionInsertSidenote
  '&Annotation', 'Insrer une annotation|Insre une note dans une bote de texte',
  // TrvActionInsertPageNumber
  '&Numro de page', 'Insrer un numro de page|Insre un numro de page',
  // TrvActionParaList
  'P&uces et numrotation ...', 'Puces et numrotation|Applique les puces et la numrotation au paragraphe slectionn ',
  // TrvActionParaBullets
  '&Puces', 'Puces|Ajoute ou supprime les puces du paragraphe',
  // TrvActionParaNumbering
  '&Numrotation', 'Numrotation|Ajoute ou supprime la numrotation du paragraphe',
  // TrvActionColor
  'Couleur &arrire-plan...', 'Couleur de l''arrire-plan|Change la couleur de l''arrire-plan du document',
  // TrvActionFillColor
  'Couleur de &remplissage...', 'Remplir avec la couleur|Change la couleur du texte (paragraphe, cellule, tableau ou document)',
  // TrvActionInsertPageBreak
  '&Insrer un saut de page', 'Insrer un saut de page',
  // TrvActionRemovePageBreak
  '&Supprimer le saut de page', 'Supprimer le saut de page',
  // TrvActionClearLeft
  // 'Clear Text Flow at &Left Side', 'Clear Text Flow at Left Side|Places this paragraph below any left-aligned picture',
  'Effacer l''enchanement du ct &gauche','Effacer l''enchanement du ct gauche|Place le paragraphe sous toute image aligne  gauche',
  // TrvActionClearRight
  // 'Clear Text Flow at &Right Side', 'Clear Text Flow at Right Side|Places this paragraph below any right-aligned picture',
  'Effacer l''enchanement du ct &droit','Effacer l''enchanement du ct droit|Place le paragraphe sous toute image aligne  droite',
  // TrvActionClearBoth
  // 'Clear Text Flow at &Both Sides', 'Clear Text Flow at Both Sides|Places this paragraph below any left- or right-aligned picture',
  'Effacer l''enchanement des deux &cts','Effacer l''enchanement des deux cts|Place le paragraphe sous toute image (place  droite ou  gauche)',
  // TrvActionClearNone
  // '&Normal Text Flow', 'Normal Text Flow|Allows text flow around both left- and right-aligned pictures',
  '&Enchanement normal', 'Enchanement normal|Autorise un enchanement autour des images',
  // TrvActionVAlign
  'Position de l''&objet...', 'Position de l''objet|Modifie la position de l''objet choisi',
  // TrvActionItemProperties
  '&Proprits de l''objet...', 'Proprits de l''objet|Dfinit les proprits de l''objet actif',
  // TrvActionBackground
  '&Arrire-plan...', 'Arrire-plan|Choisit un arrire-plan couleur et image',
  // TrvActionParagraph
  '&Paragraphe...', 'Paragraphe|Change les attributs du paragraphe',
  // TrvActionIndentInc
  '&Augmenter l''espacement', 'Augmenter l''espacement|Augmente l''espacement gauche du paragraphe slectionn',
  // TrvActionIndentDec
  '&Diminuer l''espacement', 'Diminuer l''espacement|Diminue l''espacement gauche du paragraphe slectionn',
  // TrvActionWordWrap
  '&Retour automatique  la ligne ', 'Retour automatique  la ligne |Inverse le retour automatique  la ligne pour les paragraphes choisis ',
  // TrvActionAlignLeft
  'Alignement  &gauche', 'Alignement  gauche|Aligne le texte slectionn  gauche',
  // TrvActionAlignRight
  'Alignement  &droite', 'Alignement  droite|Aligne le texte slectionn  droite',
  // TrvActionAlignCenter
  'Alignement &centr', 'Alignement centr|Centre le texte slectionn',
  // TrvActionAlignJustify
  '&Justifi', 'Alignement justifi|Aligne le texte slectionn des deux cts (gauche et droite)',
  // TrvActionParaColor
  'C&ouleur d''arrire-plan du paragraphe...', 'Couleur d''arrire-plan du paragraphe|Dfinit la couleur d''arrire-plan du paragraphe',
  // TrvActionLineSpacing100
  'Interlignage &simple ', 'Interlignage simple |Fixe l''interlignage  simple',
  // TrvActionLineSpacing150
  '1.5 &Interlignage ', 'Interlignage 1.5 |Fixe l''interlignage  1.5',
  // TrvActionLineSpacing200
  'Interlignage &double', 'Interlignage double|Fixe l''interlignage  double',
  // TrvActionParaBorder
  '&Bordures et fond du paragraphe...', 'Bordures et fond du paragraphe|Dfinit les bordures et le fond du texte slectionn',
  // TrvActionInsertTable
  '&Insrer un tableau...', '&Tableau', 'Insrer un tableau|Insre un nouveau tableau',
  // TrvActionTableInsertRowsAbove
  'Insrer une ligne &au-dessus', 'Insrer une ligne au-dessus|Insre une nouvelle ligne au-dessus des cellules slectionnes',
  // TrvActionTableInsertRowsBelow
  'Insrer une ligne au-&dessous', 'Insrer une ligne au-dessous|Insre une nouvelle ligne au-dessous des cellules slectionnes',
  // TrvActionTableInsertColLeft
  'Insrer une colonne  &gauche ', 'Insrer une colonne  gauche|Insre une nouvelle colonne  gauche des cellules slectionnes',
  // TrvActionTableInsertColRight
  'Insrer une colonne  &droite', 'Insrer une colonne  droite|Insre une nouvelle colonne  droite des cellules slectionnes',
  // TrvActionTableDeleteRows
  'Supprimer les &lignes', 'Supprimer les lignes|Supprime les lignes avec les cellules slectionnes',
  // TrvActionTableDeleteCols
  'Supprimer les &colonnes', 'Supprimer les colonnes|Supprime les colonnes avec les cellules slectionnes',
  // TrvActionTableDeleteTable
  '&Supprimer le tableau', 'Supprimer le tableau',
  // TrvActionTableMergeCells
  '&Fusionner les cellules', 'Fusionner les cellules|Fusionne les cellules slectionnes',
  // TrvActionTableSplitCells
  'Fra&ctionner les cellules...', 'Fractionner les cellules|Fractionne les cellules slectionnes',
  // TrvActionTableSelectTable
  'S&lectionner le tableau', 'Slectionner le tableau',
  // TrvActionTableSelectRows
  'Slectionner les l&ignes', 'Slectionner les lignes',
  // TrvActionTableSelectCols
  'Slectionner les c&olonnes', 'Slectionner les colonnes',
  // TrvActionTableSelectCell
  'Slectionner les cell&ules', 'Slectionner les cellules',
  // TrvActionTableCellVAlignTop
  'Aligner les cellules en &haut', 'Aligner les cellules en haut|Aligne le contenu de la cellule en haut',
  // TrvActionTableCellVAlignMiddle
  'Aligner les cellules au &milieu', 'Aligner les cellules au milieu|Aligne le contenu de la cellule au milieu',
  // TrvActionTableCellVAlignBottom
  'Aligner les cellules en &bas', 'Aligner les cellules en bas|Aligne le contenu de la cellule en bas',
  // TrvActionTableCellVAlignDefault
  'Alignement vertical des cellules par &dfaut', 'Alignement vertical des cellules par dfaut|Applique l''alignement vertical du contenu des cellules par dfaut',
  // TrvActionTableCellRotationNone
  '&Pas de rotation de cellule', 'Pas de rotation de cellule|Fait pivoter le contenu de la cellule  0',
  // TrvActionTableCellRotation90
  'Rotation de la cellule  &90', 'Rotation de la cellule  90|Fait pivoter le contenu de la cellule  90',
  // TrvActionTableCellRotation180
  'Rotation de la cellule  &180', 'Rotation de la cellule  180|Fait pivoter le contenu de la cellule  180',
  // TrvActionTableCellRotation270
  'Rotation de la cellule  &270', 'Rotation de la cellule  270|Fait pivoter le contenu de la cellule  270',
  // TrvActionTableProperties
  '&Proprits du tableau...', 'Proprits du tableau|Change les proprits du tableau slectionn',
  // TrvActionTableGrid
  'Montrer la &grille ', 'Montrer la grille |Montre ou cache les lignes de la grille ',
  // TRVActionTableSplit
  'Fractionner le tab&leau', 'Fractionner le tableau|Fractionne le tableau en deux tableaux dbutant par la ligne slectionne',
  // TRVActionTableToText
  'Convertir en Te&xte...', 'Convertir en texte|Convertit le tableau en texte',
  // TRVActionTableSort
  '&Trier...', 'Trier|Trie les lignes du tableau',
  // TrvActionTableCellLeftBorder
  '&Bordure gauche', 'Bordure gauche|Montre ou cache la bordure   gauche de la cellule',
  // TrvActionTableCellRightBorder
  'B&ordure droite', 'Bordure droite|Montre ou cache la bordure  droite de la cellule',
  // TrvActionTableCellTopBorder
  'Bo&rdure de haut', 'Bordure de haut|Montre ou cache la bordure en haut de la cellule',
  // TrvActionTableCellBottomBorder
  'Bor&dure du bas', 'Bordure du bas|Montre ou cache la bordure en bas de la cellule',
  // TrvActionTableCellAllBorders
  '&Toutes les bordures', 'Toutes les bordures|Montre toutes les bordures de la cellule',
  // TrvActionTableCellNoBorders
  '&Aucune bordure', 'Aucune bordure|Cache toutes les bordures de la cellule',
  // TrvActionFonts & TrvActionFontEx
  '&Police...', 'Police|Change la police du texte slectionn',
  // TrvActionFontBold
  '&Gras', 'Gras|Change le style du texte slectionn en gras',
  // TrvActionFontItalic
  '&Italique', 'Italique|Change le style du texte slectionn en italique',
  // TrvActionFontUnderline
  '&Soulign', 'Soulign|Souligne le texte slectionn',
  // TrvActionFontStrikeout
  '&Barr', 'Barr|Barre le texte slectionn',
  // TrvActionFontGrow
  '&Augmenter le corps', 'Augmenter le corps|Augmente la taille du texte slectionn de 10%',
  // TrvActionFontShrink
  '&Diminuer le corps', 'Diminuer le corps|Diminue la taille du texte slectionn de 10%',
  // TrvActionFontGrowOnePoint
  'Ag&randir le corps d''un point', 'Agrandir le corps d''un point|Agrandit la taille de la police du texte slectionn d''un point',
  // TrvActionFontShrinkOnePoint
  'Di&minuer la taille du corps d''un point', 'Diminuer la taille du corps d''un point|Diminue la taille de la police du texte slectionn d''un point',
  // TrvActionFontAllCaps
  '&Tout en majuscules', 'Tout en majuscules|Change tous les caractres du texte slectionn en majuscules',
  // TrvActionFontOverline
  '&Ligne au dessus', 'Ligne au dessus|Ajoute une ligne au-dessus du texte slectionn',
  // TrvActionFontColor
  'Couleur du &texte...', 'Couleur du texte|Change la couleur du texte slectionn',
  // TrvActionFontBackColor
  'Couleur d''arrire-&plan du texte...', 'Couleur d''arrire-plan du texte|Change la couleur d''arrire-plan du texte slectionn',
  // TrvActionAddictSpell3
  '&Vrification orthographique', 'Vrification orthographique',
  // TrvActionAddictThesaurus3
  '&Synonymes', 'Synonymes|Fournit les synonymes du mot slectionn',
  // TrvActionParaLTR
  'De gauche  droite', 'De gauche  droite|crit de gauche  droite pour le(s) paragraphe(s) slectionn(s)',
  // TrvActionParaRTL
  'De droite  gauche', 'De droite  gauche|crit de droite  gauche pour le(s) paragraphe(s) slectionn(s)',
  // TrvActionLTR
  'Texte de gauche  droite', 'De gauche  droite|crit de droite  gauche pour le texte slectionn',
  // TrvActionRTL
  'Texte de droite  gauche', 'De droite  gauche|crit de droite  gauche pour le texte slectionn',
  // TrvActionCharCase
  'Casse de caractres', 'Casse de caractres|Change la casse du texte slectionn',
  // TrvActionShowSpecialCharacters
  'Caractres &non imprimables', 'Caractres non imprimables|Cache ou affiche les caractres non imprimables, comme les marques de paragraphes, les tabulations et les espaces',
  // TrvActionSubscript
  'Indice', 'Indice|Place le texte slectionn en indice',
  // TrvActionSuperscript
  'Exposant', 'Exposant|Place le texte slectionn en exposant',
  // TrvActionInsertFootnote
  'Note de &bas de page', 'Note de bas de page|Insre une note de bas de page',
  // TrvActionInsertEndnote
  'Note de &fin', 'Note de fin|Insre une note de fin', 
  // TrvActionEditNote
  '&diter la note', 'diter la note|dite la note de bas de page ou la note de fin',
  '&Masquer', 'Masquer|Masque ou affiche la partie slectionne', 
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Styles...', 'Styles|Ouvre la fentre de gestion des styles',
  // TrvActionAddStyleTemplate
  '&Ajouter un style...', 'Ajouter un style|Cre un nouveau style de texte ou de paragraphe',
  // TrvActionClearFormat,
  'Effa&cer la mise en forme', 'Effacer la mise en forme|Efface toute la mise en forme des textes et des paragraphes slectionns',
  // TrvActionClearTextFormat,
  'Effacer la mise en forme du &texte', 'Effacer la mise en forme|Efface toute la mise en forme du texte slectionn',
  // TrvActionStyleInspector
  '&Inspecteur de styles', 'Inspecteur de styles|Affiche ou masque l''inspecteur de styles',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'Valider', 'Annuler', 'Quitter', 'Insrer', '&Ouvrir...', '&Enregistrer...', 'E&ffacer', 'Aid&e', 'Enlever',
  // Others  -------------------------------------------------------------------
  // percents
  '%',
  // left, top, right, bottom sides
  'Ct gauche', 'Ct haut', 'Ct droit', 'Ct bas',
  // save changes? confirm title
  'Enregistrer les modifications de %s?', 'Confirmer',
  // warning: losing formatting
  '%s peut contenir des caractristiques non compatibles avec le format choisi.'#13+
  'Souhaitez-vous rellement enregistrer ce document avec le format choisi?',
  // RVF format name
  'Format Richview',
  // Error messages ------------------------------------------------------------
  'Erreur',
  'Erreur durant le chargement du fichier.'#13#13'Les raisons possibles:'#13'- le format de ce fichier n''est pas support par cette application;'#13+
  '- Le fichier est corrompu ;'#13'- le fichier est ouvert par une autre application.',
  'Erreur de chargement d''image du fichier.'#13#13'Raisons possibles:'#13'- le fichier contient des images de format non support par l''application;'#13+
  '- le fichier ne contient pas d''image;'#13+
  '- le fichier est corrompu;'#13'- le fichier est ouvert par une autre application.',
  'Erreur d''enregistrement du fichier.'#13#13'Raisons possibles:'#13'- espace disque non suffisant;'#13+
  '- le disque est protg en criture;'#13'- le disque n''est pas insr;'#13+
  '- le fichier est ouvert par une autre application;'#13'- le disque est corrompu.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'fichier RichView  (*.rvf)|*.rvf',  'fichier RTF (*.rtf)|*.rtf' , 'fichier XML (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'fichier Texte (*.txt)|*.txt', 'fichier Texte - Unicode (*.txt)|*.txt', 'fichier Texte - autodtection (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'fichier HTML (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - simplifi (*.htm;*.html)|*.htm;*.html',
  // DocX
  'fichier Microsoft Word (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Recherche termine.', 'Chane''%s'' non trouve.',
  // 1 string replaced; Several strings replaced
  '1 chane remplace.', '%d chanes remplaces.',
  // continue search from the beginning/end?
  'La fin du document est atteinte. Continuer en reprenant au dbut ?',
  'Le dbut du document est atteint. Continuer en reprenant  la fin ?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'Transparent', 'Automatique',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Noir', 'Marron', 'Vert Olive', 'Vert fonc', 'Vert canard fonc', 'Bleu fonc', 'Indigo', 'Gris-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Rouge fonc', 'Orange', 'Jaune fonc', 'Vert', 'Vert canard', 'Bleu', 'Bleu-gris', 'Gris-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Rouge', 'Orange clair ', 'Chaux ', 'Vert de mer ', 'Bleu-vert', 'Bleu clair ', 'Violet', 'Gris-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Rose', 'Dor', 'Jaune', 'Vert clair', 'Turquoise', 'Bleu ciel', 'Prune', 'Gris-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Rose', 'Ocre', 'Jaune clair', 'Vert clair', 'Turquoise clair', 'Bleu clair', 'Lavande', 'Blanc',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  '&Transparent', '&Automatique', 'Autres &couleurs...', '&Dfaut',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Arrire-plan', 'C&ouleur:', 'Position', 'Arrire-plan', 'Texte exemple.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Aucun', '&Fentre pleine', 'Titres &fixs', '&Titr', 'C&entr',
  // Padding button
  '&Marges ...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Couleur de remplissage', '&Appliquer :', 'Autres &couleurs...', '&Marges...',
  'Veuillez slectionner une couleur', // [apply to:] text, paragraph, table, cellule
  'Texte', 'Paragraphe' , 'Tableau', 'Cellule',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Police', 'Police', 'Disposition',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Fonte:', '&Taille', 'Style', '&Gras', '&Italique',
  // Script, Color, Back color labels, Default charset
  'Sc&ript:', '&Couleur:', 'Arrire-p&lan:', '(par dfaut)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Effets', 'So&ulign', '&Surlign', '&Barr', '&Majuscules ',
  // Sample, Sample text
  'Exemple', 'Texte exemple',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Espacement de caractres', '&Espacement:', 'Au&gment ', '&Condens',
  // Offset group-box, Offset label, Down, Up,
  'Excentrage ', '&Excentrage :', '&Au-dessous', 'A&u-dessus',
  // Scaling group-box, Scaling
  'Graduation', 'Graduation:',
  // Sub/super script group box, Normal, Sub, Super
  'Indices et exposants', '&Normal', '&Indice', 'E&xposant',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Marges intrieures', '&Haut:', '&Gauche:', '&Bas:', '&Droite:', '&Valeurs gales',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Insrer un lien hypertexte', 'Lien hypertexte', 'T&exte:', '&Cible', '<<slection>>',
  // cannot open URL
  'Navigation non possible sur "%s"',
  // hyperlink properties button, hyperlink style
  '&Personnalisation...', '&Style:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Proprits du lien', 'Couleur normale', 'Couleurs actives',
  // Text [color], Background [color]
  '&Texte', '&Arrire-plan',
  // Underline [color]
  'So&ulign:',
  // Text [color], Background [color] (different hotkeys)
  'T&exte:', '&Arrire-plan',
  // Underline [color], Attributes group-box,
  'So&ulign:', 'Attributs',
  // Underline type: always, never, active (below the mouse)
  'So&ulign:', 'toujours', 'jamais', 'actif',
  // Same as normal check-box
  'Comme &normal',
  // underline active links check-box
  'So&uligner les liens actifs',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Insrer un symbole', '&Police :', '&Jeu de caractres:', 'Unicode',
  // Unicode block
  '&Bloc:',
  // Character Code, Character Unicode Code, No Character
  ' Code caractre: %d', 'Code caractre: Unicode %d', '(pas de caractre)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows,
  'Insrer un tableau', 'Taille du tableau', 'Nombre de &colonnes:', 'Nombre de &lignes:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Disposition du tableau', '&Taille automatique', 'Adaptation de la taille du tableau  la fentre ', 'Taille manuelle du tableau',
  // Remember check-box
  'Sauvegarder les dimensions pour les nouveaux tableaux',
  // VAlign Form ---------------------------------------------------------------
  'Emplacement', 
  // Item Properties Form ------------------------------------------------------
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Proprits', 'Image', 'Position et taille', 'Ligne', 'Tableau', 'Lignes', 'Cellules',
  // Image Appearance, Image Misc, Number tabs
  'Apparence', 'Divers', 'Numro',
  // Box position, Box size, Box appearance tabs
  'Position', 'Taille', 'Apparence',
  // Preview label, Transparency group-box, checkbox, label
  'Aperu:', 'Transparence', '&Transparent', '&Couleur transparente:',
  // change button, save button, no transparent color (use color of right-bottom pixel)
  'C&hanger...', '&Sauvegarder...', 'Automatique',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Alignement vertical', '&Alignement:',
  'bas de la ligne du texte', 'milieu de la ligne du texte',
  'haut - vers la ligne du haut', 'bas - vers la ligne du bas', 'milieu - vers la ligne du milieu',
  // align to left side, align to right side
  'ct gauche', 'ct droit', 
  // Shift By label, Stretch group box, Width, Height, Default size
  '&Dcal de:', 'tirement', '&Largeur:', '&Hauteur:', 'Taille par dfaut: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'chelle &proportionnelle', '&RAZ',
  // Inside the border, border, outside the border groupboxes
  'Dans la bordure', 'Bordure', 'Hors de la bordure',
  // Fill color, Padding (i.e. margins inside border) labels
  'Couleur de &remplissage:', '&Marge intrieure:',
  // Border width, Border color labels
  '&Largeur de bordure:', '&Couleur de bordure:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  'Espacement &horizontal:', 'Espacement &vertical:',
  // Miscellaneous groupbox, Tooltip label
  'Divers', '&Infobulle:',
  // web group-box, alt text
  'Web', '&Texte alternatif:',
  // Horz line group-box, color, width, style
  'Ligne horizontale', '&Couleur:', '&Largeur:', '&Style:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tableau', '&Largeur:', '&Remplir avec une couleur:', '&Espacement des cellules...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  'Marge &horizontale de cellule:', 'Marge &verticale de cellule:', 'Bordure et fond',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Cts visibles de &bordure...', 'Automatique', 'automatique',
  // Keep row content together checkbox
  '&Lier le contenu',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Rotation', '&Aucune', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Bordure:', 'Cts visibles de &bordure...',
  // Border, CellBorders buttons
  '&Bordures de tableau...', 'B&ordures des cellules...',
  // Table border, Cell borders dialog titles
  'Bordures de tableau', 'Bordures des cellules par dfaut',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Impression', '&Garder le tableau en une seule page', '&Nombres de lignes de titre:',
  'Titre de ligne rpt dans chaque page du tableau',
  // top, center, bottom, default
  '&Haut', '&Centr', '&Bas', '&Dfaut',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Configuration', '&Largeur prfre:', '&Taille minimum:', '&Remplir couleur:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  '&Bordure', 'Cts &visibles:',  '&Couleur de l''ombre:', 'C&ouleur de la lumire', 'Co&uleur:',
  // Background image
  '&Image...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Position horizontale', 'Position verticale', 'Position dans le texte',
  // Position types: align, absolute, relative
  'Aligner', 'Position absolue', 'Position relative',
  // [Align] left side, center, right side
  'gauche de la bote vers ct gauche de',
  'centre de la bote vers centre de',
  'droite de la bote vers ct droit de',
  // [Align] top side, center, bottom side
  'haut de la bote vers haut de',
  'centre de la bote vers centre de',
  'bas de la bote vers bas de',
  // [Align] relative to
  'relatif ',
  // [Position] to the right of the left side of
  ' droite du ct gauche de',
  // [Position] below the top side of
  'sous le sommet de',
  // Anchors: page, main text area (x2)
  '&Page', '&Espace du texte principal', 'P&age', 'Espace du t&exte principal',
  // Anchors: left margin, right margin
  'Marge &gauche', 'Marge &droite',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  'Marge du &haut', 'Marge du &bas', 'Marge &intrieure', 'Marge e&xtrieure',
  // Anchors: character, line, paragraph
  '&Caractre', 'L&igne', 'Para&graphe',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Marg&es en miroir', '&Disposition dans cellule',
  // Above text, below text
  '&Au-dessus du texte', '&Sous le texte',
  // Width, Height groupboxes, Width, Height labels
  'Largeur', 'Hauteur', '&Largeur:', '&Hauteur:',
  // Auto height label, Auto height combobox item
  'Automatique', 'automatique',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Alignement vertical', '&Sommet', '&Centre', '&Bas',
  // Border and background button and title
  'B&ordure et fond...', 'Bote pour la bordure et le fond',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Collage spcial', '&Coller en tant que:', 'Format RTF', 'Format HTML',
  'Texte', 'Texte Unicode', 'Image Bitmap', 'Image Metafile',
  'Fichier Image', 'URL',
  // Options group-box, styles
  'Options', '&Styles:',
  // style options: apply target styles, use source styles, ignore styles
  'Appliquer les styles au document cible', 'Garder les styles et l''apparence',
  'Conserver l''apparence, mais ignorer les styles',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Puces et numrotation', 'Puces', 'Numrotation', 'Liste de puces', 'Liste de numrotation',
  // Customize, Reset, None
  '&Personnaliser...', '&Actualiser', 'Aucune',
  // Numbering: continue, reset to, create new
  'Poursuivre la numrotation', 'Reprendre la numrotation ', 'Crer une nouvelle liste en commenant par',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Lettres - majuscules', 'Chiffres romains - majuscules', 'Numrotation', 'Lettres - minuscules', 'Chiffres romains - minuscules', 
  // Bullet type
  'Cercle', 'Disque', 'Carr', 
  // Level, Start from, Continue numbering, Numbering group-box
  '&Niveau:', '& partir de:', '&Continuer', 'Numrotation', 
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Liste personnalise', 'Niveau', '&Compteur:', 'Proprits de la liste', '&Type de liste:',
  // List types: bullet, image
  'Puces', 'Image', 'Insrer un nombre',
  // Number format, Number, Start level from, Font button
  '&Format du numro:', 'Numro', '&Commencer le niveau de numrotation par:', '&Police...',
  // Image button, bullet character, Bullet button,
  '&Image...', 'C&aractre pour puce', '&Puce...',
  // Position of list text, bullet, number, image, text
  'Position de la liste de texte', 'Position des puces', 'Position des numros', 'Position d''image', 'Position du texte',
  // at, left indent, first line indent, from left indent
  '& :', 'Espace  gauche:', '&Espace premire ligne:', 'de l''espace gauche',
  // [only] one level preview, preview
  '&Aperu niveau 1', 'Aperu',
  // Preview text
  'Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'Alignement  gauche', 'Alignement  droite', 'Centr',
  // level #, this level (for combo-box)
  'niveau %d', 'ce niveau',
  // Marker character dialog title
  'diter les caractres de puces',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Bordures et arrire-plan du paragraphe', 'Bordures', 'Arrire-plan',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Configuration', '&Couleur:', '&Largeur:', 'Larg&eur intrieure:', 'Excentrages ...',
  // Sample, Border type group-boxes;
  'Exemple', 'Type de bordure',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Aucun', '&Simple', '&Double', '&Triple', 'Intrieur pais', 'Extrieur pais',
  // Fill color group-box; More colors, padding buttons
  'Remplir avec une couleur', '&Autres couleurs...', '&Marges...',
  // preview text
  'Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte.',
  // title and group-box in Offsets dialog
  'Excentrages', 'Excentrages des bordures',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify
  'Paragraphe', 'Alignement', '&Gauche', '&Droite', '&Centr', '&Justification',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Espacement', '&Avant:', 'A&prs:', 'E&spacement de lignes:', '&Valeur:',
  // Indents group-box; indents: left, right, first line
  'Indentation', 'G&auche:', 'Droi&te:', '&Premire ligne:',
  // indented, hanging
  '&Indente', '&Accroche', 'Exemple',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Simple', '1.5 ligne', 'Double', 'Au moins', 'Exactement', 'Multiple',
  // preview text
  'Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte. Texte texte texte texte texte.',
  // tabs: Indents and spacing, Tabs, Text flow
  'Indentation et espacement', 'Tabulations', 'Enchanement du texte',
  // tab stop position label; buttons: set, delete, delete all
  '&Positionner une tabulation stop:', '&Dfinir', '&Effacer', '&Tout effacer',
  // tab align group; left, right, center aligns,
  'Alignement', '&Gauche', '&Droite', '&Centr',
  // leader radio-group; no leader
  'Principal', '(Aucun)',
  // tab stops to be deleted, delete none, delete all labels
  'Effacer la tabulation de fin:', '(Aucune)', 'Toutes',
  // Pagination group-box, keep with next, keep lines together
  'Pagination', '&Assembler avec la suivante', '&Grouper les lignes',
  // Outline level, Body text, Level #
  '&Niveau hirarchique:', 'Corps du texte', 'Niveau %d', // dg
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Aperu avant l''impression', 'Largeur de la page', 'Page entire', 'Pages:',
  // Invalid Scale, [page #] of #
  'Veuillez entrer un nombre entre 10 et 500', 'de %d',
  // Hints on buttons: first, prior, next, last pages
  'Premire page', 'Page prcdente', 'Page suivante', 'Dernire page',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Espacement des cellules', 'Espacement', 'E&ntre cellules', 'Des bordures du tableau aux cellules',
  // vertical, horizontal (x2)
  '&Vertical:', '&Horizontal:', 'V&ertical:', 'H&orizontal:',
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color

  'Bordures', 'Configuration', '&Couleur:', '&Couleur de lumire:', '&Couleur d''ombre:',
  // Width; Border type group-box;
  '&Largeur:', 'Type de bordure',
  // Border types: none, sunken, raised, flat
  '&Aucune', '&Creuse', '&Ombre', '&Plate',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Fractionnement', 'Fractionnement',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&Spcifier le nombre de lignes et de colonnes', 'Cellules &originales',
  // number of columns, rows, merge before
  'Nombre de &colonnes:', 'Nombre de &lignes:', '&Fusion avant de se ddoubler',
  // to original cols, rows check-boxes
  'fractionnement des colonnes originales', 'fractionnement des lignes originales',
  // Add Rows form -------------------------------------------------------------
  'Ajouter des lignes', 'Nombre de &lignes:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Format', 'Page', 'En-tte et pied de page',
  // margins group-box, left, right, top, bottom
  'Marges (millimtres)', 'Marges (pouces)', '&Gauche:', '&Haut:', '&Droite:', '&Bas:',
  // mirror margins check-box
  '&Marges ',
  // orientation group-box, portrait, landscape
  'Orientation', '&Portrait', 'P&aysage',
  // paper group-box, paper size, default paper source
  'Papier', '&Taille:', '&Source:',
  // header group-box, print on the first page, font button
  'En-tte', '&Texte:', '&En-tte de premire page', '&Police...',
  // header alignments: left, center, right
  '&Gauche', '&Centr', '&Droit',
  // the same for footer (different hotkeys)
  'Bas de page', 'Te&xte', 'Bas de page sur premire &page', '&Police...',
  '&Gauche', '&Centr', '&Droit',
  // page numbers group-box, start from
  'Nombre de pages', '& partir de',
  // hint about codes
  'Caractres spciaux:'#13'&&p - Page ; &&P - Total ; &&d - Date ; &&t - Heure.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Page de code du fichier texte', '&Choisissez l''encodage du fichier:',
  // thai, japanese, chinese (simpl), korean
  'Thai', 'Japonais', 'Chinois simplifi', 'Coren',
  // chinese (trad), central european, cyrillic, west european
  'Chinois traditionnel', 'Europe centrale et orientale', 'Cyrillique', 'Europe de l''Ouest',
  // greek, turkish, hebrew, arabic
  'Grec', 'Turc', 'Hbreu', 'Arabe',
  // baltic, vietnamese, utf-8, utf-16
  'Balte', 'Vietnamien', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Style visuel', '&Slectionner le style:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Convertir en texte', 'Choisissez le &dlimiteur:',
  // line break, tab, ';', ','
  'saut de ligne', 'tabulation', 'point-virgule', 'virgule',
  // Table sort form -----------------------------------------------------------
  // error message
  'Le tableau contient des lignes fusionnes qui ne peuvent pas tre tries',
  // title, main options groupbox
  'Trier le tableau', 'Trier',
  // sort by column, case sensitive
  '&Trier par colonne:', 'Respecter la &casse',
  // heading row, range or rows
  'Exclure la ligne de &titre', 'Lignes  trier: de %d  %d',
  // order, ascending, descending
  'Ordre', 'Croiss&ant', '&Dcroissant',
  // data type, text, number
  'Type', '&Texte', '&Nombre',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Insertion d''un numro', 'Proprits', 'Nom du &compteur:', 'Type de &numrotation:',
  // numbering groupbox, continue, start from
  'Numrotation', 'C&ontinuer', '&Dmarrer de:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Lgende', '&tiquette:', '&Exclure l''tiquette de lgende ',
  // position radiogroup
  'Position', '&Au-dessus de l''objet slectionn', '&Sous l''objet slectionn',
  // caption text
  '&Texte de lgende:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Numrotation', 'Figure', 'Tableau',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Cts visibles de bordure', 'Bordure',
  // Left, Top, Right, Bottom checkboxes
  'Ct &gauche', '&Sommet', 'Ct &droit', '&Bas',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Redimensionner la colonne', 'Redimensionner la ligne',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Indenter la premire ligne', 'Indentation  gauche', 'Indentation  gauche (sauf premire)', 'Indentation  droite',
  // Hints on lists: up one level (left), down one level (right)
  'Hausser d''un niveau (gauche)', 'Abaisser d''un niveau (droite)',
  // Hints for margins: bottom, left, right and top
  'Bas', 'Gauche', 'Droite', 'Haut',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Aligner le tableau  gauche', 'Aligner le tableau  droite', 'Centrer le tableau', 'Alignement prcis',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normal', 'Retrait normal', 'Aucun espacement', 'Titre %d', 'Paragraphe de liste',
  // Hyperlink, Title, Subtitle
  'Lien hypertexte', 'Titre', 'Sous-titre',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Emphase', 'Emphase ple', 'Emphase intense', 'Gras',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Citation', 'Citation intense', 'Rfrence ple', 'Rfrence intense',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Bloc de texte', 'Variable HTML', 'Code HTML', 'Acronyme HTML',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'Dfinition HTML', 'Clavier HTML', 'Exemple HTML', 'Machine  crire HTML',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML prformat', 'Citation HTML', 'En-tte', 'Pied de page', 'Numro de page',
  // Caption
  'Lgende',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Appel de note de fin', 'Appel de note de pied de page', 'Note de fin de page', 'Note de pied de page',
  // Sidenote Reference, Sidenote Text
  'Rfrence d''annotation', 'Texte d''annotation',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'couleur', 'couleur d''arrire-plan', 'transparent', 'par dfaut', 'couleur du soulignement',
  // default background color, default text color, [color] same as text
  'couleur d''arrire-plan par dfaut', 'couleur de texte par dfaut', 'comme le texte',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'simple', 'pais', 'double', 'pointill', 'pointill pais', 'tirets',
  // underline types: thick dashed, long dashed, thick long dashed,
  'tirets pais', 'tirets longs', 'tirets pais longs',
  // underline types: dash dotted, thick dash dotted,
  'tirets en pointill', 'tirets en pointill pais',
  // underline types: dash dot dotted, thick dash dot dotted
  'alternance tirets et points', 'alternance tirets et points pais',
  // sub/superscript: not, subsript, superscript
  'non indice/exposant', 'indice', 'exposant',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'bi-di mode:', 'hrit', 'gauche  droite', 'droite  gauche',
  // bold, not bold
  'gras', 'pas en gras',
  // italic, not italic
  'italique', 'pas d''italique',
  // underlined, not underlined, default underline
  'soulign', 'non soulign', 'soulignement par dfaut',
  // struck out, not struck out
  'biff', 'non biff',
  // overlined, not overlined
  'surlign', 'non surlign',
  // all capitals: yes, all capitals: no
  'tout en capitales',  'rien en capitales',
  // vertical shift: none, by x% up, by x% down
  'sans dcalage vertical', 'dcalage par %d%% vers le haut', 'dcalage par %d%% vers le bas',
  // characters width [: x%]
  'largeur des caractres',
  // character spacing: none, expanded by x, condensed by x
  'espacement normal des caractres', 'espacement largi par %s', 'espacement condens par %s',
  // charset
  'script',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'police par dfaut', 'paragraphe par dfaut', 'hrits',
  // [hyperlink] highlight, default hyperlink attributes
  'mettre en surbrillance', 'par dfaut',
  // paragraph aligmnment: left, right, center, justify
  'align  gauche', 'align  droite', 'centr', 'justifi',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'hauteur de la ligne: %d%%', 'espace entre les lignes: %s', 'hauteur de la ligne: au minimum %s',
  'hauteur de la ligne: exactement %s',
  // no wrap, wrap
  'habillage de la ligne dsactiv', 'habillage de la ligne',
  // keep lines together: yes, no
  'conserver les lignes ensemble', 'ne pas conserver les lignes ensemble',
  // keep with next: yes, no
  'conserver avec le paragraphe suivant', 'ne pas conserver avec le paragraphe suivant',
  // read only: yes, no
  'lecture seule', 'modifiable',
  // body text, heading level x
  'niveau hirarchique: corps de texte', 'niveau hirarchique: %d',
  // indents: first line, left, right
  'retrait de la premire ligne', 'retrait  gauche', 'retrait  droite',
  // space before, after
  'espace avant', 'espace aprs',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabulations', 'aucun', 'alignement', 'gauche', 'droite', 'centrer',
  // tab leader (filling character)
  'Points de suite',
  // no, yes
  'non', 'oui',
  // [padding/spacing/side:] left, top, right, bottom
  'gauche', 'haut', 'droite', 'bas',
  // border: none, single, double, triple, thick inside, thick outside
  'aucune', 'simple', 'double', 'triple', 'paisse  l''intrieur', 'paisse  l''extrieur',
  // background, border, padding, spacing [between text and border]
  'arrire-plan', 'bordure', 'marge intrieure', 'espacement',
  // border: style, width, internal width, visible sides
  'style', 'paisseur', 'paisseur interne', 'cts visibles',
  // style inspector -----------------------------------------------------------
  // title
  'Inspecteur de styles',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Style', '(Aucun)', 'Paragraphe', 'Police', 'Attributs',
  // border and background, hyperlink, standard [style]
  'Bordure et arrire-plan', 'Lien hypertexte', '(Standard)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Styles', 'Style',
  // name, applicable to,
  '&Nom:', 'Applicable &:',
  // based on, based on (no &),
  'Sur la &base de:', 'Sur la base de:',
  //  next style, next style (no &)
  'Style pour le para&graphe suivant:', 'Style pour le paragraphe suivant:',
  // quick access check-box, description and preview
  '&Accs rapide', 'Description et a&peru:',
  // [applicable to:] paragraph and text, paragraph, text
  'paragraphe et texte', 'paragraphe', 'texte',
  // text and paragraph styles, default font
  'Styles de texte et paragraphes', 'Police par dfaut',
  // links: edit, reset, buttons: add, delete
  'Modifier', 'Rinitialiser', '&Ajouter', '&Supprimer',
  // add standard style, add custom style, default style name
  'Ajouter un style &standard...', 'Ajouter un style &personnalis', 'Style %d',
  // choose style
  'Choisir le &style:',
  // import, export,
  '&Importer...', '&Exporter...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
  'Styles RichView (*.rvst)|*.rvst', 'Erreur pendant le chargement du fichier', 'Ce fichier ne contient pas de styles',
  // Title, group-box, import styles
  'Importer les styles d''un fichier', 'Importer', 'I&mporter des styles:',
  // existing styles radio-group: Title, override, auto-rename
  'Styles existants', '&remplacer', '&ajouter en renommant',
  // Select, Unselect, Invert,
  '&Slectionner', '&Dslectionner', '&Inverser',
  // select/unselect: all styles, new styles, existing styles
  '&Tous les Styles', '&Nouveaux Styles', 'Styles &existants',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  '(Effacer la mise en forme)', '(Tous les styles)',
  // dialog title, prompt
  'Styles', '&Choisissez le style  appliquer:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  '&Synonymes', '&Ignorer tous', '&Ajouter au dictionnaire',
  // Progress messages ---------------------------------------------------------
  'Tlchargement %s', 'Prparation pour l''impression...', 'Impression de la page %d',
  'Conversion de RTF...',  'Conversion en RTF...',
  'Lecture %s...', 'criture %s...', 'texte',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Pas de note', 'Pied de page', 'Note de fin', 'Annotation', 'Bote de texte'  
  );

initialization
  RVA_RegisterLanguage(
    'French', // english language name, do not translate
    'Franais', // native language name
    ANSI_CHARSET, @Messages);

end.

