
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Portuguese (Brazilian) translation              }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by: Bruno Sonnino 2003-04-02               }
{ Updated by: Alexandre Palmeira 2014-02-12             }
{*******************************************************}

unit RVAL_PtBr;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =                            
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'polegadas', 'cm', 'mm', 'picas', 'pixels', 'pontos',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pi', 'px', 'pt',  
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Arquivo', '&Editar', 'F&ormatar', 'Fo&nte', '&Pargrafo', '&Inserir', '&Tabela', '&Janela', '&Ajuda',
  // exit
  'Sai&r',
  // top-level menus: View, Tools,
  '&Visualiza', 'Ferramen&tas',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Tamanho', 'Estilo', 'Selec&iona', 'Ali&nha Contedo das Clulas', 'Bordas das C&lulas',
  // menus: Table cell rotation
  '&Rotao de Clula',    
  // menus: Text flow, Footnotes/endnotes
  '&Fluxo de texto', 'Notas de &Rodap',
  // ribbon tabs: tab1, tab2, view, table
  '&Home', '&Avanado', '&Exibir', '&Tabela',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'rea de Transferncia', 'Fonte', 'Pargrafo', 'Lista', 'Editando',
  // ribbon groups: insert, background, page setup,
  'Inserir', 'Fundo', 'Configurao de Pgina',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Links', 'Notas de Rodap', 'Modos de Exibio de Documento', 'Exibir/Ocultar', 'Zoom', 'Opes',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Inserir', 'Apagar', 'Operaes', 'Bordas',
  // ribbon groups: styles 
  'Estilos',
  // ribbon screen tip footer,
  'Pressione F1 para obter mais ajuda',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Documentos recentes', 'Salvar uma cpia do documento', 'Visualizar e imprimir o documento',
  // ribbon label: units combo
  'Unidades:',  
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Novo', 'Novo|Cria um novo documento em branco',
  // TrvActionOpen
  '&Abrir...', 'Abrir|Abre um documento do disco',
  // TrvActionSave
  '&Salvar', 'Salvar|Salva o documento para disco',
  // TrvActionSaveAs
  'Salvar &Como...', 'Salvar Como...|Salva o documento para disco com novo nome',
  // TrvActionExport
  '&Exportar...', 'Exportar|Exporta o documento para outro formato',
  // TrvActionPrintPreview
  'Vi&sualizar Impresso', 'Visualizar Impresso|Mostra o documento como ele ser impresso',
  // TrvActionPrint
  '&Imprimir...', 'Imprimir|Configura a impresso e imprime o documento',
  // TrvActionQuickPrint
  '&Imprimir', '&Impresso rpida', 'Imprimir|Imprime o documento',
   // TrvActionPageSetup
  'Configurar P&gina...', 'Configurar Pgina|Configura margens, tamanho de papel, orientao, fonte, cabealhos e rodaps',
  // TrvActionCut
  'Recor&tar', 'Recortar|Recorta a seleo e coloca na rea de Transferncia',
  // TrvActionCopy
  '&Copiar', 'Copiar|Copia a seleo e coloca na rea de Transferncia',
  // TrvActionPaste
  'Co&lar', 'Colar|Insere o contedo da rea de Transferncia',
  // TrvActionPasteAsText
  'Colar como &Texto', 'Colar como Texto|Insere o contedo da rea de Transferncia sem formatao',
  // TrvActionPasteSpecial
  'Colar E&special...', 'Colar Especial|Insere o contedo da rea de Transferncia no formato especificado',
  // TrvActionSelectAll
  'Selecionar &Tudo', 'Selecionar Tudo|Seleciona todo o documento',
  // TrvActionUndo
  '&Desfazer', 'Desfazer|Reverte a ltima ao',
  // TrvActionRedo
  '&Refazer', 'Refazer|Refaz a ltima ao desfeita',
  // TrvActionFind
  '&Localizar...', 'Localizar|Localiza o texto especificado no documento',
  // TrvActionFindNext
  'Localizar &Prxima', 'Localizar Prxima|Continua a ltima localizao',
  // TrvActionReplace
  '&Substituir...', 'Substituir|Localiza e substitui o texto especificado no documento',
  // TrvActionInsertFile
  '&Arquivo...', 'Inserir Arquivo|Insere o contedo do arquivo no documento',
  // TrvActionInsertPicture
  '&Imagem...', 'Inserir Imagem|Insere uma imagem do disco',
  // TRVActionInsertHLine
  'Linha &Horizontal', 'Inserir Linha Horizontal|Insere uma linha horizontal',
  // TRVActionInsertHyperlink
  '&Link Hipertexto...', 'Inserir Hipertexto|Insere um link hipertexto',
  // TRVActionRemoveHyperlinks
  '&Remover Hyperlinks', 'Remover Hyperlinks|Remove todos os hyperlinks no texto selecionado',
  // TrvActionInsertSymbol
  '&Smbolo...', 'Inserir Smbolo|Insere smbolo',
  // TrvActionInsertNumber
  '&Nmero...', 'Inserir Nmero|Insere um nmero',
  // TrvActionInsertCaption
  '&Legenda...', 'Inserir Legenda|Insere uma legenda para o objeto selecionado',
  // TrvActionInsertTextBox
  'Caixa de &Texto', 'Inserir Caixa de Texto|Insere uma caixa de texto',
  // TrvActionInsertSidenote
  'Nota em &Quadro', 'Inserir Nota em Quadro|Insere uma nota em um quadro de texto',
  // TrvActionInsertPageNumber
  'Nmero de &Pgina', 'Inserir Nmero de Pgina|Insere um nmero de pgina',
  // TrvActionParaList
  '&Marcadores e Numerao...', 'Marcadores e Numerao|Aplica ou edita marcadores ou numerao para os pargrafos selecionados',
  // TrvActionParaBullets
  '&Marcadores', 'Marcadores|Adiciona ou remove marcadores ao pargrafo',
  // TrvActionParaNumbering
  '&Numerao', 'Numerao|Adiciona ou remove numerao ao pargrafo',
  // TrvActionColor
  'Cor de &Fundo...', 'Cor de Fundo|Muda a cor de fundo do documento',
  // TrvActionFillColor
  'Cor de &Preenchimento...', 'Cor de Preenchimento|Muda cor de fundo do texto, pargrafo, clula, tabela ou documento',
  // TrvActionInsertPageBreak
  '&Inserir Quebra de Pgina', 'Inserir Quebra de Pgina|Insere uma quebra de pgina',
  // TrvActionRemovePageBreak
  '&Remover Quebra de Pgina', 'Remover Quebra de Pgina|Remove a quebra de pgina',
  // TrvActionClearLeft
  'Limpar Fluxo do Texto do Lado &Esquerdo', 'Limpar Fluxo do Texto do Lado Esquerdo|Posiciona este pargrafo abaixo de qualquer figura alinhada pela esquerda',
  // TrvActionClearRight
  'Limpar Fluxo do Texto do Lado &Direito', 'Limpar Fluxo do Texto do Lado Direito|Posiciona este pargrafo abaixo de qualquer figura alinhada pela direita',
  // TrvActionClearBoth
  'Limpar Fluxo do Texto de &Ambos os Lados', 'Limpar Fluxo do Texto de &Ambos os Lados|Posiciona este pargrafo abaixo de qualquer',
  // TrvActionClearNone
  'Fluxo de Texto &Normal', 'Fluxo do Texto Normal|Texto ao redor de figuras alinhadas pela esquerda ou pela direita',
  // TrvActionVAlign
  'Posio do &Objeto...', 'Posio do Objeto|Muda a posio do objeto selecionado',
  // TrvActionItemProperties
  '&Propriedades de Objeto...', 'Propriedades de Objeto|Define propriedades do objeto ativo',
  // TrvActionBackground
  '&Fundo...', 'Fundo|Escolhe a cor e imagem de fundo',
  // TrvActionParagraph
  '&Pargrafo...', 'Pargrafo|Muda os atributos do pargrafo',
  // TrvActionIndentInc
  '&Aumentar Recuo', 'Aumentar Recuo|Aumenta recuo  esquerda dos pargrafos selecionados',
  // TrvActionIndentDec
  '&Diminuir Recuo', 'Diminuir Recuo|Diminui recuo  esquerda dos pargrafos selecionados',
  // TrvActionWordWrap
  '&Quebra de Linha', 'Quebra de Linha|Liga/Desliga quebra de linha para os pargrafos selecionados',
  // TrvActionAlignLeft
  'Alinhar  &Esquerda', 'Alinhar  Esquerda|Alinha o texto selecionado  esquerda',
  // TrvActionAlignRight
  'Alinhar  &Direita', 'Alinhar  Direita|Alinha o texto selecionado  direita',
  // TrvActionAlignCenter
  '&Centralizar', 'Centralizar|Centraliza o texto selecionado',
  // TrvActionAlignJustify
  '&Justificar', 'Justificar|Alinha o texto selecionado  direita e  esquerda',
  // TrvActionParaColor
  'Cor de Fu&ndo do Pargrafo...', 'Cor de Fundo do Pargrafo|Configura cor de fundo de pargrafos',
  // TrvActionLineSpacing100
  'Espao de Linha &Simples', 'Espao de Linha Simples|Configura espao de linha simples',
  // TrvActionLineSpacing150
  'Espao de Lin&ha 1,5', 'Espao de Linha 1,5|Configura espao de linha igual a 1,5 linhas',
  // TrvActionLineSpacing200
  'Espao de Linha &Duplo', 'Espao de Linha Duplo|Configura espao de linha duplo',
  // TrvActionParaBorder
  '&Bordas e Fundo de Pargrafo...', 'Bordas e Fundo de Pargrafo|Configura bordas e fundo para os pargrafos selecionados',
  // TrvActionInsertTable
  '&Inserir Tabela...', '&Tabela', 'Inserir Tabela|Insere uma nova tabela',
  // TrvActionTableInsertRowsAbove
  'Inserir Linha &Acima', 'Inserir Linha Acima|Insere nova linha acima das clulas selecionadas',
  // TrvActionTableInsertRowsBelow
  'Inserir Linha A&baixo', 'Inserir Linha Abaixo|Insere nova linha abaixo das clulas selecionadas',
  // TrvActionTableInsertColLeft
  'Inserir Coluna  &Esquerda', 'Inserir Coluna  Esquerda|Insere nova coluna  esquerda das clulas selecionadas',
  // TrvActionTableInsertColRight
  'Inserir Coluna  &Direita', 'Inserir Coluna  Direita|Insere nova coluna  direita das clulas selecionadas',
  // TrvActionTableDeleteRows
  'Excluir L&inhas', 'Excluir Linhas|Exclui linhas contendo as clulas selecionadas',
  // TrvActionTableDeleteCols
  'Excluir &Colunas', 'Excluir Colunas|Exclui colunas contendo as clulas selecionadas',
  // TrvActionTableDeleteTable
  '&Excluir Tabela', 'Excluir Tabela|Exclui a tabela',
  // TrvActionTableMergeCells
  '&Mesclar Clulas', 'Mesclar Clulas|Mescla as clulas selecionadas',
  // TrvActionTableSplitCells
  '&Dividir Clulas...', 'Dividir Clulas|Divide as clulas selecionadas',
  // TrvActionTableSelectTable
  'Selecionar &Tabela', 'Selecionar Tabela|Seleciona a tabela',
  // TrvActionTableSelectRows
  'Selecionar Lin&has', 'Selecionar Linhas|Seleciona linhas',
  // TrvActionTableSelectCols
  'Selecionar Col&unas', 'Selecionar Colunas|Seleciona colunas',
  // TrvActionTableSelectCell
  'Selecionar C&lula', 'Selecionar Clula|Selecionar clula',
  // TrvActionTableCellVAlignTop
  'Alinhar Clula no &Topo', 'Alinhar Clula no Topo|Alinha contedo da clula no topo',
  // TrvActionTableCellVAlignMiddle
  'Alinhar Clula no &Meio', 'Alinhar Clula no Meio|Alinha contedo da clula no meio',
  // TrvActionTableCellVAlignBottom
  'Alinhar Clula em &Baixo', 'Alinhar Clula em Baixo|Alinha contedo da clula em baixo',
  // TrvActionTableCellVAlignDefault
  'Alinhamento Vertical de Clula &Padro', 'Alinhamento Vertical de Clula Padro|Configura o alinhamento vertical padro para as clulas selecionadas',
  // TrvActionTableCellRotationNone
  '&Sem Rotao de Clula', 'Sem Rotao de Clula|Gira o contedo da clula 0',
  // TrvActionTableCellRotation90
  'Girar Clula &90', 'Girar Clula 90|Gira o contedo da clula 90',
  // TrvActionTableCellRotation180
  'Girar Clula &180', 'Girar Clula 180|Gira o contedo da clula 180',
  // TrvActionTableCellRotation270
  'Girar Clula &270', 'Girar Clula 270|Gira o contedo da clula 270',
  // TrvActionTableProperties
  '&Propriedades da Tabela...', 'Propriedades da Tabela|Muda as propriedades da tabela selecionada',
  // TrvActionTableGrid
  'Mostrar Linhas de &Grade', 'Mostrar Linhas de Grade|Mostra ou esconde as linhas de grade',
  // TRVActionTableSplit
  'Di&vidir Tabela', 'Dividir Tabela|Divide a tabela em duas tabelas comeando na linha selecionada',
  // TRVActionTableToText
  'Converter em Te&xto...', 'Converter em Texto|Converte a tabela em texto',
  // TRVActionTableSort
  '&Ordenar...', 'Ordenar|Ordena as linhas da tabela',
  // TrvActionTableCellLeftBorder
  'Borda &Esquerda', 'Borda Esquerda|Mostra ou esconde a borda esquerda da clula',
  // TrvActionTableCellRightBorder
  'Borda &Direita', 'Borda Direita|Mostra ou esconde a borda direita da clula',
  // TrvActionTableCellTopBorder
  'Borda &Superior', 'Borda Superior|Mostra ou esconde a borda superior da clula',
  // TrvActionTableCellBottomBorder
  'Borda &Inferior', 'Borda Inferior|Mostra ou esconde a borda superior da clula',
  // TrvActionTableCellAllBorders
  '&Todas Bordas', 'Todas Bordas|Mostra ou esconde todas as bordas da clula',
  // TrvActionTableCellNoBorders
  '&Sem Bordas', 'Sem Bordas|Esconde todas as bordas de clulas',
  // TrvActionFonts & TrvActionFontEx
  '&Fonte...', 'Fonte|Altera fonte do texto selecionado',
  // TrvActionFontBold
  '&Negrito', 'Negrito|Altera o estilo do texto selecionado para negrito',
  // TrvActionFontItalic
  '&Itlico', 'Itlico|Altera o estilo do texto selecionado para itlico',
  // TrvActionFontUnderline
  '&Sublinhado', 'Sublinhado|Altera o estilo do texto selecionado para sublinhado',
  // TrvActionFontStrikeout
  '&Riscado', 'Riscado|Risca o texto selecionado',
  // TrvActionFontGrow
  '&Aumentar Fonte', 'Aumentar Fonte|Aumenta a altura do texto selecionado em 10%',
  // TrvActionFontShrink
  'D&iminuir Fonte', 'Diminuir Fonte|Diminui a altura do texto selecionado em 10%',
  // TrvActionFontGrowOnePoint
  'A&umentar Fonte em Um Ponto', 'Aumentar Fonte em Um Ponto|Aumenta a altura do texto selecionado em 1 ponto',
  // TrvActionFontShrinkOnePoint
  'D&iminuir Fonte em Um Ponto', 'Diminuir Fonte em Um Ponto|Diminui a altura do texto selecionado em 1 ponto',
  // TrvActionFontAllCaps
  '&Tudo Maisculas', 'Tudo Maisculas|Muda todos os caracteres do texto selecionado para maisculas',
  // TrvActionFontOverline
  '&SobreLinha', 'SobreLinha|Adiciona linha sobre o texto selecionado',
  // TrvActionFontColor
  '&Cor do Texto...', 'Cor do Texto|Muda a cor do texto selecionado',
  // TrvActionFontBackColor
  'Cor de Fu&ndo do Texto...', 'Cor de Fundo do Texto|Muda a cor de fundo do texto selecionado',
  // TrvActionAddictSpell3
  'Verificar &Ortografia', 'Verificar Ortografia|Verifica a ortografia',
  // TrvActionAddictThesaurus3
  '&Sinnimos', 'Sinnimos|Prov sinnimos para a palavra selecionada',
  // TrvActionParaLTR
  'Esquerda para Direita', 'Esquerda para Direita|Configura direo do texto da esquerda para direita para pargrafos selecionados',
  // TrvActionParaRTL
  'Direita para Esquerda', 'Direita para Esquerda|Configura direo do texto da direita para esquerda para pargrafos selecionados',
  // TrvActionLTR
  'Texto Esquerda para Direita', 'Texto Esquerda para Direita|Configura direo do texto da esquerda para direita para texto selecionado',
  // TrvActionRTL
  'Texto Direita para Esquerda', 'Texto Direita para Esquerda|Configura direo do texto da direita para esquerda para texto selecionado',
  // TrvActionCharCase
  'Caixa de Caractere', 'Caixa de Caractere|Altera caixa do texto selecionado',
  // TrvActionShowSpecialCharacters
  'Caracteres &No Imprimveis', 'Caracteres no Imprimveis|Mostra ou esconde caracteres no imprimveis, como marcas de pargrafo, tabulaes e espaos',
  // TrvActionSubscript
  'Su&bscrito', 'Subscrito|Converte o texto selecionado para subscrito',
  // TrvActionSuperscript
  'Superescrito', 'Superescrito|Converte o texto selecionado para superescrito',
  'Nota de &Rodap', 'Nota de Rodap|Insere uma nota de rodap',
  // TrvActionInsertEndnote
  'Nota de &Fim', 'Nota de Fim|Insere uma nota de fim',
  // TrvActionEditNote
  'E&ditar Nota', 'Editar Nota|Comea a editar uma nota de rodap ou de fim',
  '&Ocultar', 'Ocultar|Oculta ou mostra o trecho selecionado',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Estilos...', 'Estilos|Abre o gerenciador de estilos',
  // TrvActionAddStyleTemplate
  '&Adicionar Estilo...', 'Adicionar Estilo|Cria um novo estilo de caractere ou de pargrafo',
  // TrvActionClearFormat,
  '&Limpar Formatao', 'Limpar Formatao|Limpa toda a formatao de caracteres e de pargrafos do trecho selecionado',
  // TrvActionClearTextFormat,
  'Limpar Formatao de &Caracteres', 'Limpar Formatao de Caracteres|Limpa toda a formatao de caracteres do texto selecionado',
  // TrvActionStyleInspector
  '&Inspetor de estilos', 'Inspetor de estilos|Exibe ou oculta o Inspetor de estilos',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'OK', 'Cancela', 'Fecha', 'Insere', '&Abre...', '&Salva...', '&Limpa', 'Ajuda', {*}'Remove',
  // Others  -------------------------------------------------------------------
  // percents
  'porcento',
  // left, top, right, bottom sides
  'Lado Esquerdo', 'Topo', 'Lado Direito', 'Baixo',
  // save changes? confirm title
  'Salva alteraes em %s?', 'Confirme',
  // warning: losing formatting
  '%s pode conter recursos que no so compatveis com o formato de salvamento escolhido.'#13+
  'Quer salvar o documento neste formato?',
  // RVF format name
  'Formato RichView',
  // Error messages ------------------------------------------------------------
  'Erro',
  'Erro carregando arquivo.'#13#13'Causas possveis:'#13'- formato deste arquivo no  suportado por este aplicativo;'#13+
  '- o arquivo est corrompido;'#13'- o arquivo est aberto e travado por outro aplicativo.',
  'Erro carregando arquivo de imagem.'#13#13'Causas possveis:'#13'- o arquivo tem um formato que no  suportado por este aplicativo;'#13+
  '- o arquivo no contm uma imagem;'#13+
  '- o arquivo est corrompido;'#13'- o arquivo est aberto e travado por outro aplicativo.',
  'Erro salvando arquivo.'#13#13'Causas possveis:'#13'- sem espao em disco;'#13+
  '- disco est protegido contra escrita;'#13'- mdia removvel no est inserida;'#13+
  '- o arquivo esta aberto e travado por outro aplicativo;'#13'- mdia do disco est corrompida.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'Arquivos RichView (*.rvf)|*.rvf',  'Arquivos RTF (*.rtf)|*.rtf' , 'Arquivos XML (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Arquivos Texto (*.txt)|*.txt', 'Arquivos Texto - Unicode (*.txt)|*.txt', 'Arquivos Texto - Autodetecta (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'Arquivos HTML (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - Simplificado (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Documentos do Microsoft Word (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Busca Completa', 'O texto ''%s'' no foi encontrado.',
  // 1 string replaced; Several strings replaced
  '1 ocorrncia substituda.', '%d ocorrncias substitudas.',
  // continue search from the beginning/end?
  'O final do documento foi atingido, continua do incio?',
  'O incio do documento foi atingido, continua do final?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'Transparente', 'Auto',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Preto', 'Marrom', 'Verde Oliva', 'Verde Escuro', 'Azul Petrleo Escuro', 'Azul escuro', 'Indigo', 'Cinza-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Vermelho Escuro', 'Laranja', 'Amarelo Escuro', 'Verde', 'Azul Petrleo', 'Azul', 'Azul-Cinza', 'Cinza-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Vermelho', 'Laranja Claro', 'Verde Lima', 'Verde Mar', 'Azul gua', 'Azul Claro', 'Violeta', 'Cinza-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Rosa Choque', 'Dourado', 'Amarelo', 'Verde Brilhante', 'Turquesa', 'Azul Cu', 'Ameixa', 'Cinza-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Rosa', 'Marrom Claro', 'Amarelo Claro', 'Verde Claro', 'Turquesa Claro', 'Azul Plido', 'Lavanda', 'Branco',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'Tr&ansparente', '&Auto', '&Mais Cores...', '&Padro',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Fundo', 'C&or:', 'Posio', 'Fundo', 'Texto exemplo.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Nenhum', '&Expandido', 'Lado a Lado F&ixo', '&Lado a Lado', 'C&entralizado',
  // Padding button
  '&Ajuste...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Cor Preenchimento', '&Aplica em:', '&Mais Cores...', '&Ajuste...',
  'Favor selecionar uma cor',
  // [apply to:] text, paragraph, table, cell
  'texto', 'pargrafo' , 'tabela', 'clula',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Fonte', 'Fonte', 'Layout',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Fonte:', '&Tamanho', 'Estilo', '&Negrito', '&Itlico',
  // Script, Color, Back color labels, Default charset
  'Sc&ript:', '&Cor:', 'Plano de &Fundo:', '(Padro)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Efeitos', 'Sublinhado', '&Sobrelinha', 'R&iscado', '&Tudo maisculas',
  // Sample, Sample text
  'Exemplo', 'Texto exemplo',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Espaamento Caracteres', '&Espaamento:', '&Expandido', '&Condensado',
  // Offset group-box, Offset label, Down, Up,
  'Deslocamento', '&Deslocamento:', '&Baixo', '&Cima',
  // Scaling group-box, Scaling
  'Escala', 'Esc&ala:',
  // Sub/super script group box, Normal, Sub, Super
  'Subscritos and superescritos', '&Normal', 'Su&bscrito', 'Su&perescrito',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Ajuste', '&Cima:', '&Esquerda:', '&Baixo:', '&Direita:', 'Valores &iguais',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Insere Hiperlink', 'Hiperlink', 'T&exto:', '&Destino', '<<seleo>>',
  // cannot open URL
  'Impossvel navegar para "%s"',
  // hyperlink properties button, hyperlink style
  '&Personalizar...', '&Estilo:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Atributos de Hiperlink', 'Cores normal', 'Cores ativo',
  // Text [color], Background [color]
  '&Texto:', '&Fundo:',
  // Underline [color]
  '&Sublinhado:',
  // Text [color], Background [color] (different hotkeys)
  'T&exto:', 'F&undo',
  // Underline [color], Attributes group-box,
  'Su&blinhado:', 'Atributos',
  // Underline type: always, never, active (below the mouse)
  'Sub&linhado:', 'sempre', 'nunca', 'ativo',
  // Same as normal check-box
  'Como &normal',
  // underline active links check-box
  'Sub&linhar links ativos',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Insere Smbolo', '&Fonte:', 'Conj.&Caracteres:', 'Unicode',
  // Unicode block
  '&Bloco:',
  // Character Code, Character Unicode Code, No Character
  'Cd.Caractere: %d', 'Cd.Caractere: Unicode %d', '(sem caractere)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows,
  'Insere Tabela', 'Tamanho Tabela', 'Nmero de &colunas:', 'Nmero de &linhas:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Layout Tabela', 'Tamanho &Automtico', 'Dimensiona tabela para ajustar na &janela', 'Dimensiona &manualmente',
  // Remember check-box
  'Lembra &dimenses para novas tabelas',
  // VAlign Form ---------------------------------------------------------------
  'Posio',
  // Item Properties Form ------------------------------------------------------
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Propriedades', 'Imagem', 'Posio e Tamanho', 'Linha', 'Tabela', 'Linhas', 'Clulas',
  // Image Appearance, Image Misc, Number tabs
  'Aparncia', 'Outros', 'Nmero',
  // Box position, Box size, Box appearance tabs
  'Posio', 'Tamanho', 'Aparncia',
  // Preview label, Transparency group-box, checkbox, label
  'Visualiza:', 'Transparncia', '&Transparente', '&Cor transparente:',
  // change button, save button, no transparent color (use color of right-bottom pixel)
  'Al&tera...', '&Salvar...', 'Auto',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Alinhamento vertical', '&Alinhamento:',
  'baixo da linha de base do texto', 'meio da linha de base do texto',
  'topo com o topo da linha', 'base com a base da linha', 'meio com o meio da linha',
  // align to left side, align to right side
  'lado esquerdo', 'lado direito',
  // Shift By label, Stretch group box, Width, Height, Default size
  '&Desloca de:', 'Ajusta', '&Largura:', '&Altura:', 'Tamanho padro: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'Redimensionar &proporcionalmente', '&Restaurar',
  // Inside the border, border, outside the border groupboxes
  'Dentro da borda', 'Borda', 'Fora da borda',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Cor de Preenchimento:', '&Margem interna:',
  // Border width, Border color labels
  '&Largura da borda:', '&Cor da borda:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  'Espaamento &horizontal:', 'Espaamento &vertical:',
  // Miscellaneous groupbox, Tooltip label
  'Outros', '&Dica de ferramenta:',
  // web group-box, alt text
  'Web', '&Texto alternativo:',
  // Horz line group-box, color, width, style
  'Linha horizontal', '&Cor:', '&Largura:', '&Estilo:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tabela', '&Largura:', 'Cor de &preenchimento:', 'Espaamento das &clulas...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  'Margem interna &horiz. clula:', 'Margem interna &vert. clula:', 'Borda e fundo',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Laterais da &borda visveis...', 'Auto', 'auto',
  // Keep row content together checkbox
  '&Manter contedo junto',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Rotao', '&Nenhuma', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Borda:', 'Laterais da &borda visveis...',
  // Border, CellBorders buttons
  'Borda da &tabela...', 'Bordas das &clulas...',
  // Table border, Cell borders dialog titles
  'Borda da Tabela', 'Bordas Padro das Clulas',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Imprimindo', '&Manter tabela em uma pgina', 'Nmero de linhas de &cabealho:',
  'Linhas de cabealho so repetidas em cada pgina da tabela',
  // top, center, bottom, default
  '&Topo', '&Centralizado', '&Baixo', '&Padro',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Configuraes', '&Largura Preferencial:', '&Altura mnima:', 'Cor &Preenchimento:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Borda', 'Lados visveis:',  'C&or sombra:', 'Cor &luz', 'C&or:',
  // Background image
  '&Imagem...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Posio horizontal', 'Posio vertical', 'Posio no texto',
  // Position types: align, absolute, relative
  'Alinhar', 'Posio absoluta', 'Posio relativa',
  // [Align] left side, center, right side - left side of box to left side of
  'lado esquerdo com a esquerda de',
  'centro do quadro com o centro de',
  'lado direito com a direita de',
  // [Align] top side, center, bottom side
  'lado de cima com o lado de cima de',
  'centro do quadro com o centro de',
  'lado de baixo com o lado de baixo de',
  // [Align] relative to
  'relativo a',
  // [Position] to the right of the left side of
  'para a direita do lado esquerdo de',
  // [Position] below the top side of
  'embaixo do lado superior de',
  // Anchors: page, main text area (x2)
  '&Pgina', '&rea principal de texto', 'P&gina', 'rea principal de te&xto',
  // Anchors: left margin, right margin
  'Margem &esquerda', 'Margem &direita',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  'Margem &superior', 'Margem &inferior', 'Margem &interna', 'Margem &externa',
  // Anchors: character, line, paragraph
  '&Caractere', 'L&inha', 'Par&grafo',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Margens &espelhadas', 'La&yout em clula de tabela',
  // Above text, below text
  '&Sobre o texto', '&Abaixo do texto',
  // Width, Height groupboxes, Width, Height labels
  'Largura', 'Altura', '&Largura:', '&Altura:',
  // Auto height label, Auto height combobox item
  'Auto', 'auto',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Alinhamento vertical', 'Em c&ima', '&Centralizado', 'Em&baixo',
  // Border and background button and title
  'B&orda e fundo...', 'Borda e fundo do quadro',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Colar Especial', '&Colar como:', 'Formato Rich text', 'Formato HTML',
  'Texto', 'Texto Unicode', 'Imagem Bitmap', 'Imagem Metafile',
  'Arquivos grficos',  'URL',
  // Options group-box, styles
  'Opes', '&Estilos:',
  // style options: apply target styles, use source styles, ignore styles
  'aplicar estilos do documento destino', 'manter estilos e aparncia',
  'manter aparncia, ignorar estilos',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Marcadores e Numerao', 'Marcadores', 'Numeradores', 'Listas com Marcadores', 'Listas Numeradas',
  // Customize, Reset, None
  '&Personaliza...', '&Restaura', 'Nenhum',
  // Numbering: continue, reset to, create new
  'continua numerao', 'reinicializa numerao em', 'cria uma nova lista, iniciando com',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Letras Maisculas', 'Nmeros Romanos Maisculos', 'Decimal', 'Letras Minsculas', 'Nmeros Romanos Minsculos',
  // Bullet type
  'Crculo', 'Disco', 'Quadrado',
  // Level, Start from, Continue numbering, Numbering group-box
  '&Nvel:', '&Iniciar em:', '&Continuar', 'Numerao',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Personaliza Lista', 'Nveis', '&Quant.:', 'Propriedades da Lista', 'Tipo de &lista:',
  // List types: bullet, image
  'marcador', 'imagem', 'Inserir Nmero|',
  // Number format, Number, Start level from, Font button
  'Formato de &Nmeros:', 'Nmeros', 'Nvel &inicial a partir de :', '&Fonte...',
  // Image button, bullet character, Bullet button,
  '&Imagem...', 'C&aractere Marcador', '&Marcador...',
  // Position of list text, bullet, number, image, text
  'Posio do texto de lista', 'Posio do marcador', 'Posio da numerao', 'Posio da imagem', 'Posio do texto',
  // at, left indent, first line indent, from left indent
  '&em:', 'Recuo &esquerda:', 'Recuo &primeira linha:', 'do recuo esquerdo',
  // [only] one level preview, preview
  'Visualiza &um nvel', 'Visualiza',
  // Preview text
  'Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'alinha  esquerda', 'alinha  direita', 'centraliza',
  // level #, this level (for combo-box)
  'Nvel %d', 'Este nvel',
  // Marker character dialog title
  'Edita Caractere Marcador',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Borda e Fundo do Pargrafo', 'Borda', 'Fundo',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Configuraes', '&Cor:', '&Largura:', 'Largura int&erna:', 'D&eslocamento...',
  // Sample, Border type group-boxes;
  'Exemplo', 'Tipo de borda',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Nenhum', '&Simples', '&Duplo', '&Triplo', 'Grosso &interno', 'Grosso &externo',
  // Fill color group-box; More colors, padding buttons
  'Cor de preenchimento', '&Mais cores...', '&Margem...',
  // preview text
  'Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto.',
  // title and group-box in Offsets dialog
  'Deslocamento', 'Deslocamento da borda',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify
  'Pargrafo', 'Alinhamento', '&Esquerda', '&Direita', '&Centraliza', '&Justifica',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Espaamento', '&Antes:', '&Depois:', 'E&spaamento de Linha:', 'p&or:',
  // Indents group-box; indents: left, right, first line
  'Recuo', '&Esquerda:', '&Direita:', '&Primeira linha:',
  // indented, hanging
  '&Recuado', '&Deslocado', 'Exemplo',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Simples', '1,5 linhas', 'Duplo', 'Pelo menos', 'Exatamente', 'Mltiplo',
  // preview text
  'Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto.',
  // tabs: Indents and spacing, Tabs, Text flow
  'Recuos e Espaamento', 'Tabulaes', 'Fluxo de texto',
  // tab stop position label; buttons: set, delete, delete all
  'Posio de &Tabulao:', '&Marca', '&Desmarca', 'Desmarca &Todas',
  // tab align group; left, right, center aligns,
  'Alinhamento', '&Esquerda', '&Direita', '&Centraliza',
  // leader radio-group; no leader
  'Primeira Linha', '(Nenhum)',
  // tab stops to be deleted, delete none, delete all labels
  'Tabulaes a desmarcar:', '(Nenhuma)', 'Todas.',
  // Pagination group-box, keep with next, keep lines together
  'Paginao', '&Manter com prximo', 'Manter &linhas juntas',
  // Outline level, Body text, Level #
  '&Nvel do tpico:', 'Corpo de Texto', 'Nvel %d',
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Visualiza Impresso', 'Largura da Pgina', 'Pgina Inteira', 'Pginas:',
  // Invalid Scale, [page #] of #
  'Favor entrar com um nmero entre 10 e 500', 'de %d',
  // Hints on buttons: first, prior, next, last pages
  'Primeira Pgina', 'Pgina Anterior', 'Pgina Seguinte', 'ltima Pgina',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Espaamento de Clulas', 'Espaamento', 'E&ntre clulas', 'Da borda da tabela at as clulas',
  // vertical, horizontal (x2)
  '&Vertical:', '&Horizontal:', 'V&ertical:', 'H&orizontal:',  
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Bordas', 'Configuraes', '&Cor:', 'Cor &Luz:', '&Cor sombra:',
  // Width; Border type group-box;
  '&Largura:', 'Tipo de borda',
  // Border types: none, sunken, raised, flat
  '&Nenhum', '&Solarizado', '&Elevado', '&Liso',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Divide', 'Divide para',
  // split to specified number of rows and cols, split to original cells (unmerge)
  'Nmero e&specificado de linhas e colunas', 'Clulas &originais',
  // number of columns, rows, merge before
  'Nmero de &colunas:', 'Nmero de &linhas:', '&Mescla antes de dividir',
  // to original cols, rows check-boxes
  'Divide para co&lunas originais', 'Divide para li&nhas originais',
  // Add Rows form -------------------------------------------------------------
  'Adiciona Linhas', 'Nmero de &Linhas:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Configurao de Pgina', 'Pgina', 'Cabealho e Rodap',
  // margins group-box, left, right, top, bottom
  'Mrgens (milmetros)', 'Mrgens (polegadas)', '&Esquerda:', '&Topo:', '&Direita:', '&Baixo:',
  // mirror margins check-box
  'Espelha &margens',
  // orientation group-box, portrait, landscape
  'Orientao', '&Retrato', '&Paisagem',
  // paper group-box, paper size, default paper source
  'Papel', 'T&amanho:', '&Fonte:',
  // header group-box, print on the first page, font button
  'Cabealho', '&Texto:', 'C&abealho na primeira pgina', '&Fonte...',
  // header alignments: left, center, right
  '&Esquerda', '&Centraliza', '&Direita',
  // the same for footer (different hotkeys)
  'Rodap', 'Te&xto:', 'Rodap na primeira &pgina', 'F&onte...',
  'E&squerda', 'Ce&ntraliza', 'D&ireita',
  // page numbers group-box, start from
  'Nmeros de pgina', 'Inicia e&m:',
  // hint about codes
  'Combinaes de caracteres especiais:'#13'&&p - nmero de pgina; &&P - total de pginas; &&d - data atual; &&t - hora atual.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Cdigo de Pgina do Arqivo de Texto', '&Escolha a codificao do arquivo:',
  // thai, japanese, chinese (simpl), korean
  'Tailands', 'Japons', 'Chins (Simplificado)', 'Coreano',
  // chinese (trad), central european, cyrillic, west european
  'Chins (Tradicional)', 'Europeu Central e Oriental', 'Cirlico', 'Europeu Ocidental',
  // greek, turkish, hebrew, arabic
  'Greco', 'Turco', 'Hebreu', 'Arbe',
  // baltic, vietnamese, utf-8, utf-16
  'Bltico', 'Vietnams', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Estilo Visual', '&Selecione o estilo:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Converter em Texto', 'Selecione o &delimitador:',
  // line break, tab, ';', ','
  'quebra de linha', 'tabulao', 'ponto-e-vrgula', 'vrgula',
  // Table sort form -----------------------------------------------------------
  // error message
  'Uma tabela com linhas mescladas no pode ser ordenada',
  // title, main options groupbox
  'Ordenar Tabela', 'Ordenar',
  // sort by column, case sensitive
  '&Ordenar por coluna:', 'Diferenciar &maisculas de minsculas',
  // heading row, range or rows
  'Excluir linha de &cabealho', 'Linhas a serem ordenadas: de %d at %d',
  // order, ascending, descending
  'Ordem', 'C&rescente', '&Decrescente',
  // data type, text, number
  'Tipo', '&Texto', '&Nmero',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Inserir Nmero', 'Propriedades', 'Nome do &contador:', 'Tipo de &numerao:',
  // numbering groupbox, continue, start from
  'Numerao', 'C&ontinuar', '&Comear em:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Legenda', '&Etiqueta:', '&Excluir etiqueta da legenda',
  // position radiogroup
  'Posio', '&Sobre o objeto selecionado', '&Abaixo do objeto selecionado',
  // caption text
  '&Texto da legenda:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Numerao', 'Figura', 'Tabela',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Laterais da borda visveis', 'Borda',
  // Left, Top, Right, Bottom checkboxes
  'Lado &esquerdo', 'Lado de &cima', 'Lado &direito', 'Lado de &baixo',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Redimensiona Coluna da Tabela', 'Redimensiona Linha da Tabela',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Recuo da Primeira Linha', 'Recuo Esquerdo', 'Deslocamento', 'Recuo Direito',
  // Hints on lists: up one level (left), down one level (right)
  'Um nvel acima', 'Um nvel abaixo',
  // Hints for margins: bottom, left, right and top
  'Margem inferior', 'Margem esquerda', 'Margem direita', 'Margem superior',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Tabulao  Esquerda', 'Tabulao  Direita', 'Tabulao Centralizada', 'Tabulao Alinhada ao Ponto Decimal',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normal', 'Recuo Normal', 'Sem espaamento', 'Cabealho %d', 'Lista',
  // Hyperlink, Title, Subtitle
  'Link', 'Ttulo', 'Subttulo',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'nfase', 'nfase Atenuada', 'nfase Acentuada', 'Forte',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Citao', 'Citao Acentuada', 'Referncia Atenuada', 'Referncia Destacada',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Corpo de Texto', 'HTML Varivel', 'HTML Cdigo', 'HTML Acrnimo',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'HTML Definio', 'HTML Teclado', 'HTML Amostra', 'HTML Mquina de Escrever',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML Preformatado', 'HTML Citao', 'Cabealho', 'Rodap', 'Numro de Pgina',
  // Caption
  'Legenda',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Referncia da Nota de Fim', 'Referncia da Nota de Rodap', 'Texto da Nota de Fim', 'Texto da Nota de Rodap',
  // Sidenote Reference, Sidenote Text
  'Referncia da Nota em Quadro', 'Texto da Nota em Quadro',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'cor', 'cor de fundo', 'transparente', 'padro', 'cor do sublinhado',
  // default background color, default text color, [color] same as text
  'cor de fundo padro', 'cor de texto padro', 'mesma do texto',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'simples', 'grossa', 'dupla', 'pontilhada', 'grossa pontilhada', 'com traos',
  // underline types: thick dashed, long dashed, thick long dashed,
  'grossa com traos', 'com traos longos', 'grossa com traos longos',
  // underline types: dash dotted, thick dash dotted,
  'com traos e pontos', 'grossa com traos e pontos',
  // underline types: dash dot dotted, thick dash dot dotted
  'com traos e pontos duplos', 'grossa com traos e pontos duplos',
  // sub/sobrescrito: no, subscito, sobrescrito
  'sem sub/sobrescrito', 'subscrito', 'sobrescrito',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'modo bidirecional:', 'herdado', 'da esquerda para a direita', 'da direita para a esquerda',
  // bold, not bold
  'negrito', 'sem negrito',
  // italic, not italic
  'itlico', 'sem itlico',
  // underlined, not underlined, default underline
  'sublinhado', 'sem sublinhado', 'sublinhado padro',
  // struck out, not struck out
  'tachado', 'sem tachado',
  // overlined, not overlined
  'sobrelinha', 'sem sobrelinha',
  // all capitals: yes, all capitals: no
  'maisculas', 'maisculas desligadas',
  // vertical shift: none, by x% up, by x% down
  'sem deslocamento vertical', 'deslocado %d%% para cima', 'deslocado %d%% para baixo',
  // characters width [: x%]
  'largura dos caracteres',
  // character spacing: none, expanded by x, condensed by x
  'espaamento de caracteres normal', 'espaamento aumentado %s', 'espaamento diminudo %s',
  // charset
  'cursivo',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'fonte padro', 'pargrafo padro', 'herdado',
  // [hyperlink] highlight, default hyperlink attributes
  'destaque', 'padro',
  // paragraph aligmnment: left, right, center, justify
  'ainhar  esquerda', 'alinhar  direita', 'centralizado', 'justificado',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'altura da linha: %d%%', 'espao entre linhas: %s', 'altura da linha: pelo menos %s',
  'altura da linha: exatamente %s',
  // no wrap, wrap
  'quebra de linha desativada', 'quebra de linha',
  // keep lines together: yes, no
  'manter linhas juntas', 'no manter linhas juntas',
  // keep with next: yes, no
  'manter com o prximo pargrafo', 'no manter com o prximo pargrafo',
  // read only: yes, no
  'somente leitura', 'editvel',
  // body text, heading level x
  'Nvel da estrutura de tpicos: corpo do texto', 'Nvel da estrutura de tpicos: %d',
  // indents: first line, left, right
  'recuo da primeira linha', 'afastamento pela esquerda', 'afastamento pela direita',
  // space before, after
  'espao antes', 'espao depois',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabulaes', 'nenhuma', 'alinhar', 'esquerda', 'direita', 'centro',
  // tab leader (filling character)
  'caractere de preenchimento',
  // no, yes
  'no', 'sim',
  // [padding/spacing/side:] left, top, right, bottom
  'esquerda', 'superior', 'direita', 'inferior',
  // border: none, single, double, triple, thick inside, thick outside
  'nenhuma', 'simples', 'dupla', 'tripla', 'grossa dentro', 'grossa fora',
  // background, border, padding, spacing [between text and border]
  'fundo', 'borda', 'margem interna', 'espaamento',
  // border: style, width, internal width, visible sides
  'estilo', 'largura', 'largura interna', 'lados visveis',
  // style inspector -----------------------------------------------------------
  // title
  'Inspetor de Estilos',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Estilo', '(Nenhum)', 'Pargrafo', 'Fonte', 'Atributos',
  // border and background, hyperlink, standard [style]
  'Bordas e preenchimento', 'Link', '(Padro)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Estilos', 'Estilo',
  // name, applicable to,
  '&Nome:', 'Aplic&vel a:',
  // based on, based on (no &),
  '&Baseado em:', 'Baseado em:',
  //  next style, next style (no &)
  'Estilo para o pargrafo &seguinte:', 'Estilo para o pargrafo seguinte:',
  // quick access check-box, description and preview
  'Acesso &rpido', 'Descrio e &visualizao:',
  // [applicable to:] paragraph and text, paragraph, text
  'pargrafos e caracteres', 'pargrafos', 'caracteres',
  // text and paragraph styles, default font
  'Estilos de Pargrafo e de Caracteres', 'Fonte Padro',
  // links: edit, reset, buttons: add, delete
  'Editar', 'Redefinir', '&Incluir', '&Apagar',
  // add standard style, add custom style, default style name
  'Incluir Estilo &Padro...', 'Incluir Estilo &Personalizado', 'Estilo %d',
  // choose style
  'Escolher &estilo:',
  // import, export,
  '&Importar...', '&Exportar...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
 'Estilos RichView (*.rvst)|*.rvst', 'Erro carregando arquivo', 'O arquibo no contm estilos',
  // Title, group-box, import styles
  'Importar Estilos de Arquivo', 'Importar', 'I&mportar estilos:',
  // existing styles radio-group: Title, override, auto-rename
  'Estilos existentes', '&sobrescrever', '&incluir com outro nome',
  // Select, Unselect, Invert,
  '&Selecionar', '&Remover seleo', '&Inverter',
  // select/unselect: all styles, new styles, existing styles
  '&Todos os estilos', 'Estilos &Novos', 'Estilos &Existentes',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  '(Limpar Formao)', '(Todos os Estilos)',
  // dialog title, prompt
  'Escolher', '&Escolher estilo a ser aplicado:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  '&Sinnimos', '&Ignorar Todos', '&Adicionar ao Dicionrio',
  // Progress messages ---------------------------------------------------------
  'Fazendo download de %s', 'Preparando para imprimir...', 'Imprimindo a pgina %d',
  'Convertendo de RTF...',  'Convertendo para RTF...',
  'Lendo %s...', 'Gravando %s...', 'texto',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Sem nota', 'Nota de rodap', 'Nota de fim', 'Nota em quadro', 'Quadro de texto'
  );


initialization
  RVA_RegisterLanguage(
    'Portuguese (Brazilian)', // english language name, do not translate
    'Portugus (Brasileiro)', // native language name
    ANSI_CHARSET, @Messages);

end.
