{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Slovak translation                              }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by: Miroslav tipkala 2003-05-20           }
{                znalec@znalec.sk                       }
{                www.znalec.sk                          }
{                                                       }
{ Updated: 2006-12-16                                   }
{ Updated: 2011-10-17                                   }
{*******************************************************}
{ Translated by: RoTurSoft, s.r.o. 2013-10-09           }
{                info@rotursoft.sk                      }
{                www.rotursoft.sk                       }
{ Updated: 2014-03-20                                   }
{*******************************************************}

unit RVAL_Slovak;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'palce(Inch)', 'cm', 'mm', 'Pica', 'Pixely', 'Body',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pc', 'px', 'pt',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Sbor', 'pr&avy', '&Formt', '&Psmo', '&Odstavec', '&Vloi', '&Tabuka', '&Okno', '&Npoveda',
  // exit
  '&Koniec',
  // top-level menus: View, Tools,
  '&Zobrazi', '&Nstroje',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Vekos', 'tl', 'Vybr&a', 'Zarovnana&nie obsahu bunky', 'Ohrani&enie bunky',
  // menus: Table cell rotation
  '&Rotcia bunky',   
  // menus: Text flow, Footnotes/endnotes
  'Obteka &Text', '&Poznmky pod arou',
  // ribbon tabs: tab1, tab2, view, table
  '&Domov', '&Pokroil', '&Zobrazenie', '&Tabuka',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Schrnka', 'Psmo', 'Odstavec', 'Zoznamy', 'pravy',
  // ribbon groups: insert, background, page setup,
  'Vloi', 'Pozadie', 'Strnka nastavenie',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Odkazy', 'Poznmky pod iarou', 'Zobrazenie dokumentov', 'Zobrazi/Skry', 'Lupa', 'Nastavenie',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Vloi', 'Odstrni', 'pravy', 'Ohranienie',
  // ribbon groups: styles 
  'tly',
  // ribbon screen tip footer,
  'Stlate F1 pre npovedu',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Naposledy pouit', 'Uloi ako', 'Nhad a tla dokumentu',
  // ribbon label: units combo
  'Jednotky:',          
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Nov', 'Nov|Vytvor nov dokument',
  // TrvActionOpen
  '&Otvori...', ' Otvori |Otvor existujci dokument',
  // TrvActionSave
  '&Uloi', 'Uloi|Ulo dokument',
  // TrvActionSaveAs
  'Ul&oi ako...', 'Uloi ako...|Ulo dokument pod novm nzvom',
  // TrvActionExport
  '&Export...', 'Export|Export dokumentu do sboru inho formtu',
  // TrvActionPrintPreview
  'N&had', 'Nhad|Zobraz dokument v tvare, v akom bude vytlaen',
  // TrvActionPrint
  '&Tla...', 'Tla|Vytla dokument na tlaiare',
  // TrvActionQuickPrint
  '&Rchla tla', 'Rchla tla', 'Tla|Vytla dokument na tlaiare',
   // TrvActionPageSetup
  '&Vzhad strnky', 'Vzhad strnky|Nastav okraje dokumentu, vekos papiera, orientciu, zdroj, zhlavie a pta',
  // TrvActionCut
  'V&ystrihn', 'Vystrihn|Vystrihne vybran text, alebo objekt a vlo ho do schrnky',
  // TrvActionCopy
  '&Koprova', 'Koprova|Skopruje vybran text alebo objekt do schrnky',
  // TrvActionPaste
  '&Prilepi', 'Prilepi|Vlo text alebo objekt zo schrnky na vybran miesto',
  // TrvActionPasteAsText
  'Prilepi ako &Text', 'Prilepi ako Text|Vlo obsah schrnky ve formte jednoduchho textu',  
  // TrvActionPasteSpecial
  'Prilepi &pecilne...', 'Prilepi pecilne|Vlo obsah schrnky v pecilnom formte',
  // TrvActionSelectAll
  '&Vybra vetko', 'Vybra vetko|Vyberie vetky poloky dokumentu',
  // TrvActionUndo
  '&Sp', 'Sp|Vrti sp posledn akciu',
  // TrvActionRedo
  '&Znovu', 'Znovu|Prevedie znovu posledn vrten akciu',
  // TrvActionFind
  '&Hada...', 'Hada|Vyhad textov reazec v dokumente',
  // TrvActionFindNext
  '&Hada alej', 'Hada alej|Vyhad nasledujci vskyt hadanho textu v dokumente',
  // TrvActionReplace
  '&Nahradi...', 'Nahradi|Nahrad hadan text v dokumente inm textom',
  // TrvActionInsertFile
  '&Sbor...', 'Vloi Sbor|Vlo obsah Sboru do dokumentu',
  // TrvActionInsertPicture
  '&Obrzok...', 'Vloi obrzok|Vlo obrzok do dokumentu',
  // TRVActionInsertHLine
  'Od&deova', 'Vloi oddeova|Vlo vodorovn oddeovaciu iaru',
  // TRVActionInsertHyperlink
  'H&ypertextov odkaz...', 'Vloi hypertextov odkaz|Vlo hypertextov odkaz na WWW strnku alebo Sbor',
  // TRVActionRemoveHyperlinks
  'O&dstrni hypertextov odkazy', 'Odstrni hypertextov odkazy|Odstrni vetky hypertextov odkazy z oznaenho textu',  
  // TrvActionInsertSymbol
  '&Symbol...', 'Vloi symbol|Vlo pecilny znak vberom z tabuky znakov',
  // TrvActionInsertNumber
  '&slo...', 'Vloi slo|Vloi slo',
  // TrvActionInsertCaption
  'Vloi &popis...', 'Vloi popis|Vloi popis pre zvolen objekt',
  // TrvActionInsertTextBox
  '&Textov oblas', 'Vloi textov oblas|Vloi textov oblas',
  // TrvActionInsertSidenote
  '&Bon poznmka', 'Vloi bon poznmku|Vlo poznmku do textovho poa zobrazenho na bonej strane',
  // TrvActionInsertPageNumber
  'slo stran&y', 'Vloi slo strany|Vlo slo strany',
  // TrvActionParaList
  'Od&rky a slovnie...', 'Odrky a slovnie|Defincie tlu odrok a slovania vybranho odstavca',
  // TrvActionParaBullets
  'Od&rky', 'Odrky|Vlo alebo odoberie odrku pre vybran odstavec',
  // TrvActionParaNumbering
  's&lovanie', 'slovanie|Vlo alebo odoberie slovanie pre vybran odstavec',
  // TrvActionColor
  '&Farba pozadia dokumentu...', 'Farba pozadia dokumentu|Zmen farbu pozadia dokumentu',
  // TrvActionFillColor
  'Farba &pozadia...', 'Farba pozadia|Zmen farbu pozadia textu, odstavca, bunky, tabuky, alebo dokumentu',
  // TrvActionInsertPageBreak
  '&Vloi oddeova strnky', 'Vloi oddeova strnky|Vlo oddeova strnky',
  // TrvActionRemovePageBreak
  '&Odstrni oddeova strnky', 'Odstrni oddeova strnky|Odstrni oddeova strnky',
  // TrvActionClearLeft
  'Neobteka text z &ava', 'Neobteka text zava|Umiestni odstavec pod akkovek obrzok zarovnan vavo',
  // TrvActionClearRight
  'Neobteka text z &prava', 'Neobteka text zprava|Umiestni odstavec pod akkovek obrzok zarovnan vpravo',
  // TrvActionClearBoth
  'Neo&bteka text zava ani zprava', 'Neobteka text zava ani zprava|Umiestni odstavec pod akkovek obrzok zarovnan vavo alebo vpravo',
  // TrvActionClearNone
  '&Normlne obtekanie textu', 'Normlne obtekanie textu|Umon obtekanie textu okolo obrzkov zarovnanch vavo aj vpravo',
  // TrvActionVAlign
  'Po&zcia objektu...', 'Pozcia objektu|Zmen pozciu vybranho objektu',    
  // TrvActionItemProperties
  '&Vlastnosti objektu...', 'Vlastnosti objektu|Nastav vlastnosti vybranho objektu',
  // TrvActionBackground
  '&Pozadie dokumentu...', 'Pozadie dokumentu|Nastav obrzok, farbu pozadia dokumentu',
  // TrvActionParagraph
  '&Odstavec...', 'Odstavec|Nastavenie vlastnost vybranho odstavca',
  // TrvActionIndentInc
  'Z&vi odsadenie', ' Zvi odsadenie| Zv vzdialenos vybranho odstavca od avho okraja strnky',
  // TrvActionIndentDec
  'Z&meni odsadenie', 'Zmeni odsadenie|Zmen vzdialenos vybranho odstavca od avho okraja strnky',
  // TrvActionWordWrap
  'Za&lamovanie riadku', 'Zalamovanie riadku|Nastav alebo zru zalamovanie riadku vybranho odstavca',
  // TrvActionAlignLeft
  'Zarovna v&avo', 'Zarovna vavo|Zarovn text vybranho odstavca k avmu okraju strnky',
  // TrvActionAlignRight
  'Zarovna v&pravo', 'Zarovna vpravo|Zarovn text vybranho odstavca k pravmu okraju strnky',
  // TrvActionAlignCenter
  'Zarovna na &stred', 'Zarovna na stred|Zarovn text vybranho odstavca na stred strnky',
  // TrvActionAlignJustify
  'Zarovna do &bloku', 'Zarovna do bloku|Zarovn text vybranho odstavca do bloku',
  // TrvActionParaColor
  '&Farba pozadia odstavca...', 'Farba pozadia odstavca|Zmen farbu pozadia vybranho odstavca',
  // TrvActionLineSpacing100
  '&Jednoduch riadkovanie', 'Jednoduch riadkovanie |Nastav jednoduch riadkovanie odstavca',
  // TrvActionLineSpacing150
  '&Riadkovanie 1,5 riadku ', ' Riadkovanie 1.5 riadku|Nastav riadkovanie odstavca na vku 1.5 nsobku vky riadku',
  // TrvActionLineSpacing200
  '&Dvojit riadkovanie', 'Dvojit riadkovanie|Nastav riadkovanie odstavca na dvojit vku riadku',
  // TrvActionParaBorder
  '&Ohranienie a pozadie odstavca...', 'Ohranienie a pozadie odstavca|Nastav ohranienie a pozadie vybranho odstavca',
  // TrvActionInsertTable
  '&Vloi tabuku...', '&Tabuka', 'Vloi tabuku|Vlo nov tabuku',
  // TrvActionTableInsertRowsAbove
  'Vloi &riadok pred', 'Vloi riadok pred|Vlo nov riadok do tabuky pred vybran bunku',
  // TrvActionTableInsertRowsBelow
  'Vloi riadok &za', 'Vloi riadok za|Vlo nov riadok do tabuky za vybran bunku',
  // TrvActionTableInsertColLeft
  'Vloi stpec v&avo', 'Vloi stpec vavo|Vlo stpec vavo od vybranej bunky',
  // TrvActionTableInsertColRight
  'Vloi stpec v&pravo', 'Vloi stpec vpravo|Vlo stpec vpravo od vybranej bunky',
  // TrvActionTableDeleteRows
  'Odstrni r&iadky', 'Odstrni riadky|Odstrni vybran riadky z tabuky',
  // TrvActionTableDeleteCols
  'Odstrni &stpce', 'Odstrni stpce|Odstrni vybran stpce z tabuky',
  // TrvActionTableDeleteTable
  '&Odstrni tabuku', 'Odstrni tabuku|Odstrni tabuku',
  // TrvActionTableMergeCells
  '&Zlit bunky', 'Zli bunky|Zli vybran bunky do jednej',
  // TrvActionTableSplitCells
  '&Rozdeli bunku...', 'Rozdeli bunku|Rozdel bunku na poadovan poet buniek',
  // TrvActionTableSelectTable
  '&Vybra tabuku', 'Vybra tabuku|Vyberie cel tabuku',
  // TrvActionTableSelectRows
  'Vybra &riadok', 'Vybra riadok|Urob vber celho riadku',
  // TrvActionTableSelectCols
  'Vybra &stpec', 'Vybra stpec| Urob vber celho stpca',
  // TrvActionTableSelectCell
  'Vybra &bunku', 'Vybra bunku| Urob vber celej bunky',
  // TrvActionTableCellVAlignTop
  'Zarovna bunku &hore', 'Zarovna bunku hore|Zarovn zobrazovan text v bunke k jej hornmu okraju',
  // TrvActionTableCellVAlignMiddle
  'Zarovna bunku na &stred', 'Zarovna bunku na stred|Zarovn zobrazovan text v bunke na stred',
  // TrvActionTableCellVAlignBottom
  'Zarovna bunku &dolu', 'Zarovna bunku dolu|Zarovn zobrazovan text v bunke k jej dolnmu okraju',
  // TrvActionTableCellVAlignDefault
  'tandartn &zarovnanie bunky', ' tandartn zarovnanie bunky|Nastav tandartn zvisl zarovnanie bunky',
  // TrvActionTableCellRotationNone
  '&Bez rotcie bunky', 'Bez rotcie bunky|Rotcia obsahu bunky o 0',
  // TrvActionTableCellRotation90
  'Rotcia bunky o &90', 'Rotcia bunky o 90|Rotcia obsahu bunky o 90',
  // TrvActionTableCellRotation180
  'Rotcia bunky o &180', 'Rotcia bunky o 180|Rotcia obsahu bunky o 180',
  // TrvActionTableCellRotation270
  'Rotcia bunky o &270', 'Rotcia bunky o 270|Rotcia obsahu bunky o 270',
  // TrvActionTableProperties
  '&Vlastnosti tabuky...', 'Vlastnosti tabuky|Nastav vlastnosti tabuky',
  // TrvActionTableGrid
  'Zobrazi &mrieku', 'Zobrazit mrieku|Zobraz alebo skryje mrieku tabuky',
  // TRVActionTableSplit
  'Roz&deli tabuku', 'Rozdeli tabuku|Rozdel tabuku na dve tabuky od vybranho riadku',
  // TRVActionTableToText
  'Prevod do te&xtu...', 'Prevod do textu |Prevedie tabuku na text',
  // TRVActionTableSort
  '&Zoradi...', 'Zoradi|Zorad riadky v tabuke',
  // TrvActionTableCellLeftBorder
  'Ohranienie v&avo', 'Ohranienie vavo|Zobraz, alebo skryje av ohranienie bunky',
  // TrvActionTableCellRightBorder
  'Ohranienie v&pravo', 'Ohranienie vpravo|Zobraz, alebo skryje prav ohranienie bunky',
  // TrvActionTableCellTopBorder
  'Ohranienie &hore', 'Ohranienie hore|Zobraz, alebo skryje horn ohranienie bunky',
  // TrvActionTableCellBottomBorder
  'Ohranienie &dole', 'Ohranienie dole|Zobraz, alebo skryje spodn ohranienie bunky',
  // TrvActionTableCellAllBorders
  'Ohranienie d&okola', 'Ohranienie dokola|Zobraz, alebo skryje ohranienie celej bunky',
  // TrvActionTableCellNoBorders
  '&Bez ohranienia', 'Bez ohranienia|Skryje cel ohranienie vybranej bunky',
  // TrvActionFonts & TrvActionFontEx
  '&Psmo...', 'Psmo|Zmena nastavenia psma vybranho textu',
  // TrvActionFontBold
  '&Tun', 'Tun|Nastav, alebo zru tun zobrazovanie vybranho textu',
  // TrvActionFontItalic
  '&Kurzva', 'Kurzva|Nastav, alebo zru zobrazovanie vybranho textu kurzvou',
  // TrvActionFontUnderline
  'Po&diarknut', 'Podiarknut|Nastav, alebo zru podiarknutie vybranho textu',
  // TrvActionFontStrikeout
  'P&rekrtnut', 'Prekrtnut|Nastav, alebo zru prekrtnutie vybranho textu',
  // TrvActionFontGrow
  'Z&vi psmo', 'Zvi psmo|Zv vku vybranho textu o 10%',
  // TrvActionFontShrink
  'Z&meni psmo', 'Zmeni psmo|Zmen vku vybranho textu o 10%',
  // TrvActionFontGrowOnePoint
  'Zv&i psmo o 1 bod', 'Zvit psmo o 1 bod|Zv vku vybranho textu o 1 bod',
  // TrvActionFontShrinkOnePoint
  'Z&meni psmo o 1 bod', 'Zmeni psmo o 1 bod|Zmen vku vybranho textu o 1 bod',
  // TrvActionFontAllCaps
  '&Vetky vek', 'Vetky vek|Zmen tl psma vybranho textu na vetky vek znaky',
  // TrvActionFontOverline
  'Nad&iarknut', ' Nadiarknut|Nastav, alebo zru vodorovn linku nad vybranm textom',
  // TrvActionFontColor
  '&Farba psma...', 'Farba psma|Zmen farbu vybranho textu',
  // TrvActionFontBackColor
  'Farba &pozadia psma...', 'Farba pozadia psma|Zmen farbu pozadia vybranho textu',
  // TrvActionAddictSpell3
  '&Kontrola pravopisu', 'Kontrola pravopisu|Prevedie kontrolu pravopisu vybranho textu',
  // TrvActionAddictThesaurus3
  '&Synonym', 'Synonyma|Ponkne synonyma pre vybran slovo',
  // TrvActionParaLTR
  'Zava do prava', 'Zava do Prava|Nastav smer textu zava -do- prava',
  // TrvActionParaRTL
  'Zprava do ava', 'Zprava do ava|Nastav smer textu zprava -do- ava',
  // TrvActionLTR
  'Text zava do prava', 'Text zava do prava|Nastav smer textu zava -do- prava pre oznaen text',
  // TrvActionRTL
  'Text zprava do ava', 'Text zprava do ava|Nastav smer textu zprava -do- ava pre oznaen text',
  // TrvActionCharCase
  'Vek / mal psmen', 'Vek / mal psmen|Zmen vekos psmen vybranho textu',
  // TrvActionShowSpecialCharacters
  '&Netlaiten znaky', 'Netlaiten znaky|Zobrazit alebo skry netlaiten znaky, napr. znaky odstavcov, znaky tabultorov a medzery',
  // TrvActionSubscript
  '&Horn index', 'Horn index|Prevedie vybran text na horn index - subscript',
  // TrvActionSuperscript
  '&Doln index', 'Doln index|Prevedie vybran text na doln index - superscript',
  // TrvActionInsertFootnote
  '&Poznmka pod iarou', 'Poznmka pod iarou|Vlo poznmku pod iarou',
  // TrvActionInsertEndnote
  '&Vysvetlivka', 'Vysvetlivka|Vlo vysvetlivku',
  // TrvActionEditNote
  'E&ditova poznmku/vysvetlivku', 'E&ditova poznmku/vysvetlivku|Umouje editova poznmku/vysvetlivku',
  '&Skry', 'Skry|Skryje alebo zobraz oznaen fragment',            
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&tly...', 'tly|Otvori sprvcu tlov',
  // TrvActionAddStyleTemplate
  'Prid&a tly...', 'Prida tly|Vytvori nov text alebo odstavcov tl',
  // TrvActionClearFormat,
  'Vymaza &formt', 'Vymaza formt|Vymaza cel text a formtovanie odseku z vybranho fragmentu',
  // TrvActionClearTextFormat,
  'Vymaza formt &textu', 'Vymaza formtovanie oznaenho textu',
  // TrvActionStyleInspector
  '&Inpektor tlov', 'Inpektor tlov|Zobraz alebo skryje inpektora tlov',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'OK', 'Storno', 'Zavrie', 'Vloi', '&Otvori...', '&Uloi...', '&Vymaza', 'Npoveda', 'Odobra',
  // Others  -------------------------------------------------------------------
  // percents
  'percent',
  // left, top, right, bottom sides
  'av strana', 'Horn strana', 'Prav strana', 'Spodn strana',
  // save changes? confirm title
  'Uloi uroben zmeny do %s?', 'Potvrdi',
  // warning: losing formatting
  '%s obsiahnut objekt, alebo formtovanie nie je podporovan vo vybranom formte sboru.'#13+
  'Naozaj chcete pre uloenie poui tento formt?',
  // RVF format name
  'RichView Formt',
  // Error messages ------------------------------------------------------------
  'Chyba',
  'Chyba pri natavan sboru.'#13#13'Mon priny:'#13'- formt otvranho sboru nie je podporovan v tejto aplikcii;'#13+
  '- Sbor je pokoden;'#13'- Sbor je otvoren a uzamknut inou aplikciou.',
  'Chyba pri natavan obrzku.'#13#13'Mon priny:'#13'- formt obrzku nie je podporovan touto aplikciou;'#13+
  '- vybran sbor neobsahuje obrzok;'#13+
  '- Sbor je pokoden;'#13'- Sbor je otvoren a uzamknut inou aplikciou.',
  'Chyba pri ukladan Sboru.'#13#13'Mon priny:'#13'- nie je miesto na disku;'#13+
  '- disk je chrnen proti zpisu;'#13'- vmenn mdium nie je vloen;'#13+
  '- Sbor je otvoren a uzamknut inou aplikciou;'#13'- vmenn mdium je pokoden.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView Sbory (*.rvf)|*.rvf',  'RTF Sbory (*.rtf)|*.rtf' , 'XML Sbory (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Textov Sbory (*.txt)|*.txt', 'Textov Sbory - Unicode (*.txt)|*.txt', 'Textov Sbory - Autodetect (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'HTML Sbory (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - zjednoduen (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Dokumenty Microsoft Word (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Hadanie dokonen', 'Hadan reazec ''%s'' nenjden.',
  // 1 string replaced; Several strings replaced
  '1 reazec nahraden.', '%d reazcov nahradench.',
  // continue search from the beginning/end?
  'Byl dosiahnut koniec dokumentu, chcete pokraova od zaiatku?',
  'Byl dosiahnut zaiatok dokumentu, chcete pokraovat od konca?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'nie je', 'automatick',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'ierna', 'Hned', 'Olivovo zelen', 'Tmavo zelen', 'Tmavo edo zelen', 'Tmavo modr', 'Indigovo modr', 'ed-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Tmavo erven', 'Oranov', 'Tmavo lt', 'Zelen', 'edo zelen', 'Modr', 'Modro ed', 'ed-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'erven', 'Svetlo oranov', 'lto zelen', 'Morsk zele', 'Akvamarnov', 'Svetlo modr', 'Fialov', 'ed-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Ruov', 'Zlat', 'Zlat', 'Jasno zelen', 'Tyrkysov', 'Nebesky modr', 'Slivkov', 'ed-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Svetlo ruov', 'lto oranov', 'Svetlo lt', 'Svetlo zelen', 'Svetlo tyrkysov', 'Bledo modr', 'Levandulov', 'Biela',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'Tr&ansparentn', '&Automatick', '&Viac farieb...', '&tandardn',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Pozadie', 'F&arba:', 'Pozcia obrzku', 'Nhad', 'Ukka textu.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  'iadny', 'Cel okno', 'Ukotven dlad&ice', '&Dladice', 'Na &stred',
  // Padding button
  'Odsadenie text&u...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Farba pozadia', 'Poui n&a:', 'Viac farie&b...', 'Odsadenie text&u...',
  'Prosm, vyberte farbu',
  // [apply to:] text, paragraph, table, cell
  'text', 'odstavec' , 'tabuku', 'bunku',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Psmo', 'Psmo', 'Preloenie znakov',
  // Font Name, Font Sizo labels, Font Style group-box, Bold, Italic check-boxes
  '&Psmo:', '&Vekos:', '&Rez psma', '&Tun', '&Kurzva',
  // Script, Color, Back color labels, Default charset
  'Sk&ript:', '&Farba:', 'Poza&die:', '(tandardn)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'tl', '&Podiarknut', '&Nadiarknut', 'P&rekrtnut', 'Vet&ko vek',
  // Sample, Sample text
  'Nhad', 'Ukkov text',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Medzery medzi znakmi', 'O &koko:', '&Rozren', '&Zen',
  // Offset group-box, Offset label, Down, Up,
  'Umiestnenie', 'O koko:', '&Znen', 'Z&ven',
  // Scaling group-box, Scaling
  'Preloenie znakov', 'Me&rtko:',
  // Sub/super script group box, Normal, Sub, Super
  'Horn a doln index', '&Normlne', 'Su&bscript(Horn index)', 'Su&perscript (Doln index)',  
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Odsadenie textu', '&Hore:', 'V&avo:', '&Dole:', 'V&pravo:', '&Vetko rovnako',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Vloi hypertextov odkaz', 'Odkaz', 'T&ext:', 'C&ie', '<<vber>>',
  // cannot open URL
  'Ned sa prejs na "%s"',
  // hyperlink properties button, hyperlink style
  '&Vlastnosti...', '&tl:', 
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Vlastnosti hypertextovho odkazu', 'Farba odkazu', 'Aktvna farba',
  // Text [color], Background [color]
  '&Text:', '&Pozadie',
  // Underline [color]
  'Podiak&nut:', 
  // Text [color], Background [color] (different hotkeys)
  'T&ext:', 'Po&zadie',
  // Underline [color], Attributes group-box,
  'Podiark&nut:', 'Atribty',
  // Underline type: always, never, active (below the mouse)
  'Podiarkn&utie:', 'vdy', 'nikdy', 'aktvny',
  // Same as normal check-box
  'Ako &Normlne',
  // underline active links check-box
  'Podiarkn& aktvne odkazy',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Vloi symbol', '&Psmo:', '&Znakov sada:', 'Unicode',
  // Unicode block
  '&Blok:',  
  // Character Code, Character Unicode Code, No Character
  'Kd znaku: %d', 'Kd znaku: Unicode %d', '(nie je znak)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table sizo group-box, nCols, nRows, 
  'Vloi tabuku', 'Vekos tabuky', 'Poet &stpcov:', 'Poet &riadkov:',
  // Table layout group-box, Autosizo, Fit, Manual sizo,
  'rka tabuky', '&Automatick', '&Roziahnu poda okna', '&Manulne nastavenie',
  // Remember check-box
  'Poui ako &vzor pre nov tabuku',
  // VAlign Form ---------------------------------------------------------------
  'Pozcia',  
  // Item Properties Form ------------------------------------------------------
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Vlastnosti', 'Obrzok', 'Umiestnenie a vekos', 'iara', 'Tabuka', 'Riadok', 'Bunka',
  // Image Appearance, Image Misc, Number tabs
  'Vzhad', 'Rzne', 'sla',
  // Box position, Box size, Box appearance tabs
  'Pozcia', 'Vekos', 'Vzhad',
  // Preview label, Transparency group-box, checkbox, label
  'Nhad:', 'Transparentn', '&Transparentn', 'Transparentn &farba:',
  // change button, save button, no transparent color (use color right-bottom pixel)
  '&Zmeni...', '&Uloi...', 'Automatick',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Zvisl zarovnvanie', 'Z&arovnvanie:',
  'zarovna k spodnmu okraju textu', 'zarovna na stred s textom',
  'horn hrana objektu na hornej lnii textu', 'doln hrana objektu na dolnej lnii textu', 'stred objektu na stred riadku',
  // align to left side, align to right side
  'av strana', 'prav strana',      
  // Shift By label, Stretch group box, Width, Height, Default sizo
  '&Posun o:', 'Vekos', '&rka:', '&Vka:', 'tandardn vekos: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'Mierka &proporcionlna', '&Obnovi',
  // Inside the border, border, outside the border groupboxes
  'Vo vntri okraju', 'Okraj', 'Zvonkajej strany okraju',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Farba vplne:', '&Vpl:',
  // Border width, Border color labels
  'rka okraja:', 'Farba &okraja:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  '&Horizontlny odstup:', '&Vertiklny odstup:',
  // Miscellaneous groupbox, Tooltip label
  'Rzne', '&Tooltip:',
  // web group-box, alt text
  'Web', 'Alternatvny &text:',  
  // Horz line group-box, color, width, style
  'Oddeovacia iara', '&Farba:', '&rka:', 't&l:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tabuka', '&rka:', '&Farba vplne:', '&Odsadenie bunky...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  '&Horizontlny odstup buniek:', '&Vertiklny odstup buniek:', 'Okraj a pozadie',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Viditen strany &okrajov...', 'Auto', 'auto',
  // Keep row content together checkbox
  '&Zachova obsah spolu',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Rotcia', '&iadna', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Okraj:', 'Viditen strany &okrajov...',
  // Border, CellBorders buttons
  'Ohranienie &tabuky...', 'Ohranienie &bunky...',
  // Table border, Cell borders dialog titles
  'Ohranienie tabuky', 'Ohranienie bunky',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Tla', 'Tla tab&uky na jednej strnke', 'Poet &hlavikovch riadkov:',
  'Hlavikov riadky bud opakovan na kadej strnke tabuky',
  // top, center, bottom, default
  '&Hore', 'Na &stred', '&Dolu', 'tanda&rd',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Nastavenie', 'Uprednostovan &rka:', 'Minimlna &vka:', 'Farba v&plne:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Ohranienie', 'Viditen strany:',  'Fa&rba tiea:', 'Farba &svetla', 'F&arba:',
  // Background image
  'Ob&rzok...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Horizontlna pozcia', 'Vertiklna pozcia', 'Pozcia v texte',
  // Position types: align, absolute, relative
  'Zarovnanie', 'Absoltna pozcia', 'Relatvna pozcia',
  // [Align] left side, center, right side
  'av strana oblasti k avej strane',
  'stred oblasti k stredu',
  'prav strana oblasti k pravej strane',
  // [Align] top side, center, bottom side
  'horn strana oblasti k hornej strane',
  'stred oblasti k stredu',
  'spodn strana oblasti k spodnej strane',
  // [Align] relative to
  'relatvne k',
  // [Position] to the right of the left side of
  'napravo k avej strane',
  // [Position] below the top side of
  'dole horn stranu',
  // Anchors: page, main text area (x2)
  '&Strana', '&Hlavn oblas textu', 'Str&ana', 'Hlavn oblas te&xtu',
  // Anchors: left margin, right margin
  'av okraj', 'P&rav okraj',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  '&Horn okraj', '&Doln okraj', '&Vntorn okraj', 'V&onkaj okraj',
  // Anchors: character, line, paragraph
  '&Znak', 'R&iadok', 'Odsek',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Zrkadlovit okraje', 'Vrstva v bunke tabuky',
  // Above text, below text
  'N&ad textom', 'Po&d textom',
  // Width, Height groupboxes, Width, Height labels
  'rka', 'Vka', '&rka:', '&Vka:',
  // Auto height label, Auto height combobox item
  'Auto', 'auto',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Vertiklne zarovnanie', '&Hore', '&Stred', '&Dole',
  // Border and background button and title
  '&Okraj a pozadie...', 'Okraj a pozadie oblasti',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Vloi pecilne', '&Vloi ako:', 'Rich text formt', 'HTML formt',
  'Text', 'Unicode text', 'Bitmapov obrzok', 'Obrzkov meta Sbor',
  'Grafick sbor',  'URL',
  // Options group-box, styles
  'Monosti', '&tly:',
  // style options: apply target styles, use source styles, ignore styles
  'aplikova tly na cieov dokument', 'zachova tly a vzhad',
  'zachova vzhad, ignorova tly',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Odrky a slovanie', 'Odrky', 'slovanie', 'Odrky', 'slovanie',
  // Customizo, Reset, None
  '&Vlastn...', '&Obnovi', 'nie je',
  // Numbering: continue, reset to, create new
  'naviaza na predchdzajce', 'pokraova v slovan od', 'zaa znovu slova od',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Vek psmen (A, B, )', 'Vek rmske slice (I, II, )', 'Arabsk slice (1, 2, )', 'Mal psmen (a, b, )', 'Mal rmske slice (i, ii, )',
  // Bullet type
  'Kruh', 'Disk', 'tvorec',
  // Level, Start from, Continue numbering, Numbering group-box
  'r&ove:', 'Za&a od:', '&Pokraova', 'slovanie',
  // Customizo List Form -------------------------------------------------------
  // Title, Levels, Level count, List preperties, List type,
  'Vlastn nastavenie', 'rove', 'Poet:', 'Vlastnosti', 'Typ:',
  // List types: bullet, image
  'Odrka', 'Obrzok', 'Vloi slo|',
  // Number format, Number, Start level from, Font button
  'For&mt sla:', 'slo', 'Zaa &slovanie rovne od:', '&Psmo...',
  // Image button, bullet character, Bullet button,
  '&Obrzok...', '&Znak odrky', 'O&drka...',
  // Position of list text, bullet, number, image, text
  'Umiestnenie textu', 'Umiestnenie odrky', ' Umiestnenie sla', ' Umiestnenie obrzku', ' Umiestnenie psma',
  // at, left indent, first line indent, from left indent
  '&na:', 'Odsadenie z&ava:', 'Odsadenie pr&vho riadku:', 'od odsadenie zava',
  // [only] one level preview, preview
  '&Nhad jednej rovne', 'Nhad',
  // Preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'zarovna vavo', 'zarovna vpravo', 'zarovna na stred',
  // level #, this level (for combo-box)
  'rove %d', 'Tto rove',
  // Marker character dialog title
  'Zmena znaku odrky',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Ohranienie a pozadie odstavca', 'Ohranienie', 'Pozadie',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Nastavenie', '&Farba:', '&rka:', 'rka &rmu:', 'Odsadenie &textu...',
  // Sample, Border type group-boxes;
  'Nhad', 'Typ ohranienia',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&iadne', '&Jednoduch', '&Dvojit', '&Trojit', 'Siln vo &vntri', 'Siln &okolo',
  // Fill color group-box; More colors, padding buttons
  'Vpl', '&Viac farieb...', '&Odsadenie textu...',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text.',
  // title and group-box in Offsets dialog
  'Odsadenie textu', 'Odsadenie textu',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify
  'Odstavec', 'Zarovnanie', 'v&avo', 'v&pravo', 'na &stred', 'do &bloku',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Medzery', '&Pred:', '&Za:', '&Riadkovanie:', '&Nsobky:',
  // Indents group-box; indents: left, right, first line
  'Odsadenie', 'Z&ava:', 'S&prava:', 'Pr&v riadok:',
  // indented, hanging
  '&Odsaden', '&Predsaden', 'Nhad',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Jednoduch', '1.5 riadku', 'Dvojit', 'Minimlne', 'Presne', 'Nsobky',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // tabs: Indents and spacing, Tabs, Text flow
  'Odsadenie a medzery', 'Zarky', 'Tok textu',
  // tab stop position label; buttons: set, delete, delete all
  '&Pozcia zarky:', '&Nastavi', '&Zmaza', 'Zmaza &vetko',
  // tab align group; left, right, center aligns,
  'Zarovnanie', 'V&avo', 'V&pravo', 'Na &stred',
  // leader radio-group; no leader
  'Vodiaci znak', '(iadny)',
  // tab stops to be deleted, delete none, delete all labels
  'Vymaza tieto zarky:', '(iadne)', 'Vetky.',
  // Pagination group-box, keep with next, keep lines together
  'Strnkovanie', '&Zviaza s nasledujcim', 'Zviaza &riadky',
  // Outline level, Body text, Level #
  '&rove osnovy:', 'Telo textu', 'rove %d',    
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Nhad pred tlaou', 'rka strnky', 'Cel strnka', 'Strnka:',
  // Invalid Scale, [page #] of #
  'Prosm vlote slo od 10 do 500', 'z %d',
  // Hints on buttons: first, prior, next, last pages
  'Prv strnka', 'Predchdzajca strnka', 'Nasledujca strnka', 'Posledn strnka',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Odsadenie bunky', 'Medzery', '&Pred bunkou', 'Od rmu tabuky po bunku',
  // vertical, horizontal (x2)
  '&Vertiklne:', '&Horizontlne:', 'V&ertiklne:', 'H&orizontlne:',
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Ohranienie', 'Nastavenie', '&Farba:', 'Farba &svetl:', 'Farba &tiea:',
  // Width; Border type group-box;
  'rka:', 'Typ ohranienia',
  // Border types: none, sunken, raised, flat
  '&iadne', '&Vtlaen', 'V&ystpen', '&Plvajce',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Rozdelenie bunky', 'Rozdeli na',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&Urenie potu stpcov a riadkov', '&Originlne bunky',
  // number of columns, rows, merge before
  'Poet &stpcov:', 'Poet &riadkov:', '&Zli pred rozdelenm',
  // to original cols, rows check-boxes
  'Rozdeli na origin&lne stpce', 'Rozdeli na originlne riad&ky',
  // Add Rows form -------------------------------------------------------------
  'Vloi riadky', 'Po&et riadkov:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Vzhad strnky', 'Strnka', 'Zhlavie a zptie',
  // margins group-box, left, right, top, bottom
  'Okraje (v milimetroch)',  'Okraje (inches)', 'V&avo:', '&Hore:', 'V&pravo:', '&Dole:',
  // mirror margins check-box
  '&Zrkadlov okraje',
  // orientation group-box, portrait, landscape
  'Orientcia', 'Na &vku', 'Na &rku',
  // paper group-box, paper sizo, default paper source
  'Papier', 'V&ekos:', 'Zd&roj:',
  // header group-box, print on the first page, font button
  'Zhlavie', '&Text:', '&Zhlavie na prvej strnke', '&Psmo...',
  // header alignments: left, center, right
  'v&avo', 'na &stred', 'v&pravo',
  // the same for footer (different hotkeys)
  'Pta', 'T&ext:', 'Z&ptie na prvej strnke', 'P&smo...',
  '&vavo', '&na stred', 'vp&ravo',
  // page numbers group-box, start from
  'slovanie strnok', 'Za&a od:',
  // hint about codes
  'Kombincia pecilnych znakov:'#13'&&p - slo strnky; &&P - poet strnok; &&d - aktulny dtum; &&t - aktulny as.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Kdov strnka pre textov sbor', 'Vyberte sbor dekdovanie:',
  // thai, japanese, chinese (simpl), korean
  'Thajsko', 'Japonsko', 'na (zjednoduen)', 'Korea',
  // chinese (trad), central european, cyrillic, west european
  'ntina (tradin)', 'Stredn a vchodn Eurpa', 'Cyrilika', 'Zpadn Europa',
  // greek, turkish, hebrew, arabic
  'Grtina', 'Turetina', 'Hebrejina', 'Arabina',
  // baltic, vietnamese, utf-8, utf-16
  'Balticko', 'Vietnamina', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Vizulny tl', '&Vyber tl:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Prevod do textu', 'Vybra &oddelova:',
  // line break, tab, ';', ','
  'koniec riadku', 'tab', 'bodko iarka', 'iarka',
  // Table sort form -----------------------------------------------------------
  // error message
  'Tabuku obsahujcu zlen riadky nie je mon zoradi',
  // title, main options groupbox
  'Tabuku zoradi', 'Zoradi',
  // sort by column, case sensitive
  '&Zoradi poda stpca:', '&Vek a mal psmen',
  // heading row, range or rows
  'Vyli &hlaviku riadka', 'Riadky na zoradenie: od %d do %d',
  // order, ascending, descending
  'Objednvky', '&Vzostupne', '&Zostupne',
  // data type, text, number
  'Typ', '&Text', '&slo',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Vloi slo', 'Vlastnosti', 'Meno slovania:', '&Typ slovania:',
  // numbering groupbox, continue, start from
  'slovanie', 'P&okraova', '&Zaa od:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Popis', '&Oznaenie:', '&Vyli oznaenie z popisu',
  // position radiogroup
  'Pozcia', '&Nad zvolenm objektom', '&Pod zvolenm objektom',
  // caption text
  'Popisn &text:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'slovanie', 'Figure', 'Tabuka',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Viditen strany okrajov', 'Okraj',
  // Left, Top, Right, Bottom checkboxes
  '&av strana', '&Vrchn strana', 'P&rav strana', '&Spodn strana',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Zmenit vekos stpca tabuky', 'Zmenit vekos riadku tabuky',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Odsadenie prvho riadku', 'Odsadenie zava', 'Predsadenie prvho riadku', 'Odsadenie vpravo',
  // Hints on lists: up one level (left), down one level (right)
  'O rove vyie', 'O rove niie',
  // Hints for margins: bottom, left, right and top
  'Spodn okraj', 'av okraj', 'Prav okraj', 'Horn okraj',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'av zarka', 'Prav zarka', 'Zarka na stred', 'Desatinn zarka',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normlny', 'Normlne odsadenie', 'iadny priestor', 'Zhlavie %d', 'Zoznam odsekov',
  // Hyperlink, Title, Subtitle
  'Hypertextov odkaz', 'Nadpis', 'Podnadpis',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Zdraznenie', 'Zdraznenie - jemn', 'Zdraznenie - intenzvne', 'Siln',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Citcia', 'Citcia - intenzvne', 'Odkaz - jemn', 'Odkaz - intenzvny',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Text v bloku', 'Premenn HTML', 'Kd HTML', 'Akronym HTML',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'Defincia HTML', 'Klvesnica HTML', 'Vzorka HTML', 'Psac stroj HTML',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'Formtovan v HTML', 'Citt HTML', 'Hlavika', 'Pta', 'slo strany',
  // Caption
  'Popis',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Odkaz na vysvetlivky', 'Odkaz na poznmku pod iarou', 'Text vysvetlivky', 'Text poznmky pod iarou',
  // Sidenote Reference, Sidenote Text
  'Odkazy bonej poznmky', 'Text bonej poznmky',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'farba', 'farba pozadia', 'priehadn', 'vchodz', 'farba podiarknutia',
  // default background color, default text color, [color] same as text
  'vchodzia farba pozadia', 'vchodzia farba textu', 'rovnak ako text',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'jednoduch', 'siln', 'dvojit', 'bodkovan', 'silne bodkovan', 'preruovan',
  // underline types: thick dashed, long dashed, thick long dashed,
  'siln preruovan', 'dlh preruovan', 'siln dlh preruovan',
  // underline types: dash dotted, thick dash dotted,
  'bodka a iara', 'siln bodka a iara',
  // underline types: dash dot dotted, thick dash dot dotted
  'iara bodka bodka', 'siln iara bodka bodka',
  // sub/superscript: not, subsript, superscript
  'iadny doln/horn index', 'doln index', 'horn index',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'obojsmern reim:', 'zdeden', 'zava do prava', 'zprava do ava',
  // bold, not bold
  'tun', 'netun',
  // italic, not italic
  'kurzva', 'nekurzva',
  // underlined, not underlined, default underline
  'podiarkn', 'nepodiarkn', 'vchodzie podiarknutie',
  // struck out, not struck out
  'prekrtnut', 'neprekrtnut',
  // overlined, not overlined
  'nadiarknut', 'nenadiarknut',
  // all capitals: yes, all capitals: no
  'vetky vek', 'vetk vek vypnut',
  // vertical shift: none, by x% up, by x% down
  'bez zvislho posunu', 'posunut hore o %d%%', 'posunut dole o %d%%',
  // characters width [: x%]
  'rka znakov',
  // character spacing: none, expanded by x, condensed by x
  'normlne rozloenie znakov', 'rozloenie rozren o %s', 'rozloenie zen o %s',
  // charset
  'skript',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'vchodzie psmo', 'vchodz odstavec', 'zdeden atribty',
  // [hyperlink] highlight, default hyperlink attributes
  'zvrazni', 'vchodzie',
  // paragraph aligmnment: left, right, center, justify
  'zarovna doava', 'zarovna doprava', 'zarovna na stred', 'zarovna na rku',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'vka riadku: %d%%', 'medzera medzi riadkami: %s', 'vka riadku: aspo %s',
  'vka riadku: presne %s',
  // no wrap, wrap
  'zarovnanie riadku vypnut', 'zarovnanie riadku',
  // keep lines together: yes, no
  'udrat riadky spolu', 'neudra riadky spolu',
  // keep with next: yes, no
  'zachova s nasledujcim odstavcom', 'nezachova s nasledujcim odstavcom',
  // read only: yes, no
  'len pre tanie', 'upraviten',
  // body text, heading level x
  'rove osnovy: telo textu', 'rove osnovy: %d',
  // indents: first line, left, right
  'odsadenie prvho riadku', 'av odsadenie', 'prav odsadenie',
  // space before, after
  'medzera pred', 'medzera po',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabultory', 'iadne', 'zarovnanie', 'vavo', 'vpravo', 'na stred',
  // tab leader (filling character)
  'vodiaci znak',
  // no, yes
  'nie', 'no',
  // [padding/spacing/side:] left, top, right, bottom
  'vavo', 'hore', 'vpravo', 'dole',
  // border: none, single, double, triple, thick inside, thick outside
  'iadne', 'jednoduch', 'dvojit', 'trojit', 'hrubo vntri', 'hrubo zvonka',
  // background, border, padding, spacing [between text and border]
  'pozadie', 'okraj', 'vpl', 'rozostup',
  // border: style, width, internal width, visible sides
  'tl', 'rka', 'vntorn rka', 'viditen strany',
  // style inspector -----------------------------------------------------------
  // title
  'Inpektor tlov',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'tl', '(iadny)', 'Odstavec', 'Psmo', 'Atribty',
  // border and background, hyperlink, standard [style]
  'Okraj a pozadie', 'Hyperlink', '(tandard)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'tly', 'tl',
  // name, applicable to,
  '&Nzov:', 'Aplikova na:',
  // based on, based on (no &),
  'tl zaloen n&a:', 'tl zaloen na:',
  //  next style, next style (no &)
  'tl pre nasledujce odstavec:', 'tl pre nasledujce odstavec:',
  // quick access check-box, description and preview
  'R&chly prstup', '&Popis a nhad:',
  // [applicable to:] paragraph and text, paragraph, text
  'odstavec a text', 'odstavec', 'text',
  // text and paragraph styles, default font
  'Text a tly odstavcov', 'Vchodzie psmo',
  // links: edit, reset, buttons: add, delete
  'pravy', 'Vchodzie', 'Prid&a', '&Vymaza',
  // add standard style, add custom style, default style name
  'Prida &tandardn tl...', 'Prida &uivatesk tl', 'tl %d',
  // choose style
  'Zvote &tl:',
  // import, export,
  '&Importova...', '&Exportova...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
  'RichView tly (*.rvst)|*.rvst', 'Chyba otvorenia sboru', 'Tento sbor neobsahuje tly',
  // Title, group-box, import styles
  'Importova tly zo sboru', 'Import', 'I&mportova tly:',
  // existing styles radio-group: Title, override, auto-rename
  'Existujce tly', '&prepsa', '&prida premenovan',
  // Select, Unselect, Invert,
  '&Oznai', 'Od&znai', 'Zameni oznaenie',
  // select/unselect: all styles, new styles, existing styles
  '&Vetky tly', '&Nov tly', '&Existujce tly',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  '(Vymaza formt)', '(Vetky tly)',
  // dialog title, prompt
  'tly', 'Zvote tl na pouitie:',
  {$ENDIF}
  // spelling check and thesaurus ----------------------------------------------
  '&Synonym', '&Ignorova vetko', '&Prida do slovnka',
  // Progress messages ---------------------------------------------------------
  'Preberanie %s', 'Prprava pre tla...', 'Tla strany %d',
  'Konverzia z RTF...',  'Konverzia do RTF...',
  'tanie %s...', 'Zpis %s...', 'text',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Bez poznmky', 'Poznmka v pte', 'Zveren poznmka', 'Bon poznmka', 'Text oblas'
  );


initialization
  RVA_RegisterLanguage(
    'Slovak', // english language name, do not translate
    'Slovenina', // native language name
    EASTEUROPE_CHARSET, @Messages);

end.
