
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Thai translation                                }
{                                                       }
{                                                       }
{*******************************************************}

unit RVAL_Thai;

interface
{$I RV_Defs.inc}
implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'ǚ', 'ૹ', '', '1/6 ', 'ԡ', 'ش',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', '.', '.', '1/6''', '.', 'ش',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&͡', '&', 'ٻ&Ẻ', 'Ẻ&ѡ', '&˹', '&á', '&ҧ', '˹&ҧ', '&',
  // exit
  '͡&',
  // top-level menus: View, Tools,
  '&ͧ', 'ͧ&',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Ҵ', 'ѡɳẺѡ', '͡', 'Ѵ&', '&ͺ',
  // menus: Table cell rotation
  'ع&',
  // menus: Text flow, Footnotes/endnotes
  '&ȷҧͧͤ', '&ԧö',
  // ribbon tabs: tab1, tab2, view, table
  '&˹á', '&٧', '&ͧ', '&ҧ',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Ի촟', 'Ẻѡß', '˹', '¡', '',
  // ribbon groups: insert, background, page setup,
  'á', 'ѧ', '駤˹ҡд',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  '§', 'ԧö', '˹ҵҧ', 'ʴ/͹', '', '͡',
  // ribbon groups on table tab: insert, delete, operations, borders
  'á', 'ź', 'ôԹ', 'ͺ',
  // ribbon groups: styles 
  'ٻẺ',
  // ribbon screen tip footer,
  ' F1 ʹ´',
  // ribbon app menu: recent files, save-as menu title, print menu title
  '͡ù', 'ѹ֡ФѴ͡͡', 'ҧ͹о͡',
  // ribbon label: units combo
  '˹:',
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&ҧ', 'ҧ|ҧ͡',
  // TrvActionOpen
  '&Դ...', 'Դ|Դ͡',
  // TrvActionSave
  '&ѹ֡', 'ѹ֡|ѹ֡͡Â',
  // TrvActionSaveAs
  'ѹ֡&繂...', 'ѹ֡繂...|ѹ֡͡㹪',
  // TrvActionExport
  '&͡...', '͡|͡͡ٻẺ蹂',
  // TrvActionPrintPreview
  'ҧ&͹', 'ҧ͹|ʴ͡͹о͡',
  // TrvActionPrint
  '&...', '|駤ҡþо͡Â',
  // TrvActionQuickPrint
  '&', '&ǹ', '|͡',
  // TrvActionPageSetup
  '駤&˹ҡд...', '駤˹ҡд|ͺдɏ, Ҵд, ҧ, д, з¡дɂ',
  // TrvActionCut
  'Ѵ&', 'Ѵ|Ѵǹ͡йԻ촂',
  // TrvActionCopy
  '&Ѵ͡', 'Ѵ͡|Ѵǹ͡йԻ촂',
  // TrvActionPaste
  '&ҧ', 'ҧ|ҧҢͧԻ',
  // TrvActionPasteAsText
  'ҧ&繢ͤ', 'ҧ繢ͤ|ҧͤͧԻ촂',  
  // TrvActionPasteSpecial
  'ҧ&Ẻ...', 'ҧẺɂ|ҧҢͧԻٻẺɂ',
  // TrvActionSelectAll
  '͡&', '͡|͡͡Â',
  // TrvActionUndo
  '&ԡӂ', 'ԡӂ|Ѻѧáзش',
  // TrvActionRedo
  '&ӫ', 'ӫӂ|͹Ѻԡ',
  // TrvActionFind
  '&҂...', 'ҢͤШ͡Â',
  // TrvActionFindNext
  '&Ѵ仂', 'ҶѴ|ҵ仨ҡش',
  // TrvActionReplace
  '&᷹...', '᷹|᷹ͤШ͡Â',
  // TrvActionInsertFile
  '&...', 'á|ͤҡŧ͡Â',
  // TrvActionInsertPicture
  '&ٻҾ...', 'áٻҾ|áٻҾ',
  // TRVActionInsertHLine
  '&ǹ͹', 'áǹ͹|áǹ͹',
  // TRVActionInsertHyperlink
  '&§Ե...', 'á§Ե|á§Ե',
  // TRVActionRemoveHyperlinks
  '&§Ե', 'ź§Ե|ź§ԵԷ͡',  
  // TrvActionInsertSymbol
  '&ѭѡɳ...', 'áѭѡɳ|áѭѡɳ',
  // TrvActionInsertNumber
  {*} '&Number...', 'Insert Number|Inserts a number',
  // TrvActionInsertCaption
  {*} 'Insert &Caption...', 'Insert Caption|Inserts a caption for the selected object',
  // TrvActionInsertTextBox
  {*} '&Text Box', 'Insert Text Box|Inserts a text box',
  // TrvActionInsertSidenote
  {*} '&Sidenote', 'Insert Sidenote|Inserts a note displayed in a text box',
  // TrvActionInsertPageNumber
  {*} '&Page Number', 'Insert Page Number|Inserts a page number',
  // TrvActionParaList
  '&ѭѡɳʴǢ&ӴѺŢ...', 'ѭѡɳʴǢӴѺŢ|ǢӴѺŢѺ˹ҷ͡',
  // TrvActionParaBullets
  '&ѭѡɳʴǢ', 'ѭѡɳʴǢ|͂źѭѡɳʴǢѺ˹',
  // TrvActionParaNumbering
  '&ӴѺŢ', 'ӴѺŢ|͂źӴѺŢѺ˹҂',
  // TrvActionColor
  '&ѧ...', 'ѧ|¹վѧͧ͡Â',
  // TrvActionFillColor
  '&...', '|¹վѧͧͤ ˹  ҧ ͡Â',
  // TrvActionInsertPageBreak
  '&á˹҂', 'á˹҂|á˹',
  // TrvActionRemovePageBreak
  '&ź˹҂', 'ź˹҂|ź˹҂',
  // TrvActionClearLeft
  'ѴǢͤ&Դ', 'ѴǢͤԴ|ҧ˹ҹҹҧͧҾԴ',
  // TrvActionClearRight
  'ѴǢͤ&Դ҂', 'ѴǢͤԴ|ҧ˹ҹҹҧͧҾԴ',
  // TrvActionClearBoth
  'Ѵ&', 'Ѵǂ|ҧ˹ҹҹҧͧҾԴ駫Т҂',
  // TrvActionClearNone
  '&Ѵǻ', 'Ѵǻ|ͤͺ Ҿ',
  // TrvActionVAlign
  '&˹觢ͧѵ...', '˹觢ͧѵ|¹˹觢ͧѵط͡',  
  // TrvActionItemProperties
  'سѵ&ͧѵ...', 'سѵԢͧѵ|˹سѵԢͧѵҹ',
  // TrvActionBackground
  '&ѧ...', 'ѧ|͡Ҿվѧ',
  // TrvActionParagraph
  '&˹...', '˹|¹ٻẺ˹҂',
  // TrvActionIndentInc
  '&ͧ', 'ͧ|дѺͧͧ˹҂',
  // TrvActionIndentDec
  '&Ŵͧ', 'Ŵͧ|ŴдѺͧͧ˹҂',
  // TrvActionWordWrap
  '&õѴ', 'õѴ|ѺõѴѺ˹ҷ͡',
  // TrvActionAlignLeft
  'Դ&', 'Դ|ѴǢͤԴ',
  // TrvActionAlignRight
  'Դ&', 'Դ|ѴǢͤԴ',
  // TrvActionAlignCenter
  '&ҧ', '觡ҧ|ѴǢͤ觡ҧ',
  // TrvActionAlignJustify
  '&Ǉ', 'Ǉ|ѴǪԴ駫Т҂',
  // TrvActionParaColor
  'վѧ&ͧ˹...', 'վѧͧ˹|駤վѧͧ˹҂',
  // TrvActionLineSpacing100
  '&ҧ 1 ÷Ѵ', 'ҧ 1 ÷Ѵ|駤ҧ 1 ÷Ѵ',
  // TrvActionLineSpacing150
  'ҧ &1.5 ÷Ѵ', 'ҧ 1.5 ÷Ѵ|駤ҧ 1.5 ÷Ѵ',
  // TrvActionLineSpacing200
  '&ҧ 2 ÷Ѵ', 'ҧ 2 ÷Ѵ|駤ҧ 2 ÷Ѵ',
  // TrvActionParaBorder
  'ͺоѧ&ͧ˹ ...', 'ͺоѧͧ˹|駤Ңͺоѧͧ˹҂',
  // TrvActionInsertTable
  '&áҧ...', '&ҧ', 'áҧ|áҧ',
  // TrvActionTableInsertRowsAbove
  'á&ҹ', 'áǴҹ|áҹ͡',
  // TrvActionTableInsertRowsBelow
  'á&ҹҧ', 'áǴҹҧ|áҹҧ͡',
  // TrvActionTableInsertColLeft
  'á&ҹ', 'áҹ|áҹ͡',
  // TrvActionTableInsertColRight
  'á&ҹ', 'áҹ҂|áҹ͡',
  // TrvActionTableDeleteRows
  'ź', 'źǂ|źǢͧ͡',
  // TrvActionTableDeleteCols
  'ź&', 'ź|źͧ͡',
  // TrvActionTableDeleteTable
  'ź&ҧ', 'źҧ|źҧ',
  // TrvActionTableMergeCells
  'ҹ&', 'ҹ|ҹ͡',
  // TrvActionTableSplitCells
  '¡&...', '¡|¡͡',
  // TrvActionTableSelectTable
  '͡&ҧ', '͡ҧ|͡ҧ',
  // TrvActionTableSelectRows
  '͡&ǂ', '͡|͡ǂ',
  // TrvActionTableSelectCols
  '͡&', '͡|͡',
  // TrvActionTableSelectCell
  '͡&', '͡삂|͡삂',
  // TrvActionTableCellVAlignTop
  'ѴԴ&ҹ', 'ѴԴҹ|ѴҪԴҹ',
  // TrvActionTableCellVAlignMiddle
  'Ѵ&觡ҧ', 'Ѵ觡ҧ|Ѵҡ觡ҧ',
  // TrvActionTableCellVAlignBottom
  'ѴԴ&ҹҧ', 'ѴԴҹҧ|ѴҪԴҹҧ',
  // TrvActionTableCellVAlignDefault
  '&鹡èѴǵ', '鹡èѴǵ|繤鹡èѴǵ駂Ѻ͡',
  // TrvActionTableCellRotationNone
  '&ع', 'ع|ع 0 ͧ҂',
  // TrvActionTableCellRotation90
  'ع &90 ͧ҂', 'ع 90 ͧ|ع 90 ͧ҂',
  // TrvActionTableCellRotation180
  'ع &180 ͧ҂', 'ع 180 ͧ|ع 180 ͧ҂',
  // TrvActionTableCellRotation270
  'ع &270 ͧ҂', 'ع 270 ͧ|ع 270 ͧ҂',
  // TrvActionTableProperties
  'سѵ&ҧ...', 'سѵԵҧ|¹سѵԵҧ͡',
  // TrvActionTableGrid
  'ʴ&鹵ҧ', 'ʴ鹵ҧ|ʴͫ͹鹵ҧ',
  // TRVActionTableSplit
  '¡&ҧ', '¡ҧ|¡ͧҧҡǷ͡',
  // TRVActionTableToText
  'ŧ&ͤ...', 'ŧ繢ͤ|ŧҡҧ繢ͤ',
  // TRVActionTableSort
  '&§ӴѺ...', '§ӴѺ|§ӴѺǢͧҧ',
  // TrvActionTableCellLeftBorder
  '&ͺ', 'ͺ|ʴͫ͹ͺҹ',
  // TrvActionTableCellRightBorder
  '&ͺ', 'ͺ|ʴͫ͹ͺҹ҂',
  // TrvActionTableCellTopBorder
  '&ͺ', 'ͺ|ʴͫ͹ͺҹ',
  // TrvActionTableCellBottomBorder
  '&ͺҧ', 'ͺҧ|ʴͫ͹ͺҹҧ',
  // TrvActionTableCellAllBorders
  '&ͺءҹ', 'ͺءҹ|ʴͫ͹ͺءҹͧ삂',
  // TrvActionTableCellNoBorders
  '&բͺ', 'բͺ|͹ͺͧ',
  // TrvActionFonts & TrvActionFontEx
  '&Ẻѡß...', 'Ẻѡß|¹Ẻѡâͧͤ͡',
  // TrvActionFontBold
  '&˹', '˹|Ӣͤ͡繵˹҂',
  // TrvActionFontItalic
  '&§', '§|Ӣͤ͡繵§',
  // TrvActionFontUnderline
  '&մ', 'մ|մͤ͡',
  // TrvActionFontStrikeout
  '&մѺ', 'մѺ|մѺͤ͡',
  // TrvActionFontGrow
  '&ҴѡÂ', 'ҴѡÂ|Ҵѡ÷͡鹋 10%',
  // TrvActionFontShrink
  '&ŴҴѡÂ', 'ŴҴѡÂ|ŴҴѡ÷͡ŧ 10%',
  // TrvActionFontGrowOnePoint
  '&Ҵѡ 1 ش', 'Ҵѡ 1 ش|Ҵѡ÷͡ 1 ش',
  // TrvActionFontShrinkOnePoint
  '&ŴҴѡ 1 ش', 'ŴҴѡ 1 ش|ŴҴѡ÷͡ŧ 1 ش',
  // TrvActionFontAllCaps
  '&Ǿ˭', 'Ǿ˭|¹ѡ÷͡繵Ǿ˭',
  // TrvActionFontOverline
  '&մ鹺', 'մ鹺|մ˹ͤ͢͡',
  // TrvActionFontColor
  'բͧ&ͤ...', 'բͧͤ|¹բͧͤ͡',
  // TrvActionFontBackColor
  'վѧ&ͧͤ...', 'վѧͧͤ|¹վѧͧͤ͡',
  // TrvActionAddictSpell3
  'Ǩͺ&С', 'ǨͺС|ǨͺСӂ',
  // TrvActionAddictThesaurus3
  'ö&Ըҹ', 'öԸҹ|ʹͤ蹷դ§Ѻӷ͡',
  // TrvActionParaLTR
  '仢', '仢҇|駤ҷȷҧѡèҡ仢Ѻ˹ҷ͡',
  // TrvActionParaRTL
  '仫', '仫|駤ҷȷҧѡèҡ仫Ѻ˹ҷ͡',
  // TrvActionLTR
  'ͤҡ仢', 'ͤҡ仢҇|駤ҷȷҧѡèҡ仢Ѻͤ͡',
  // TrvActionRTL
  'ͤҡ仫', 'ͤҡ仫|駤ҷȷҧѡèҡ仫Ѻͤ͡',
  // TrvActionCharCase
  'ѡɳеǾ', 'ѡɳеǾ|¹Ǿͧͤ͡',
  // TrvActionShowSpecialCharacters
  '&ͧ˹', 'ͧ˹|ʴͫ͹ͧ˹  ˹  ä',
  // TrvActionSubscript
  '&', '|Ѻͤ͡繵',
  // TrvActionSuperscript
  '&¡', '¡|Ѻͤ͡繵¡',
  // TrvActionInsertFootnote
  '&ԧö', 'ԧö|ԧö',
  // TrvActionInsertEndnote
  '&ҧԧͧ', 'ҧԧͧ|ҧԧͧ',
  // TrvActionEditNote
  '&䢺ѹ֡', '䢺ѹ֡|ԧöҧԧ',
  // TrvActionHide
  '&͹', '͹|͹ʴǹ͡',  
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&ٻẺ...', 'ٻẺ|ԴǨѴٻẺ',
  // TrvActionAddStyleTemplate
  '&ٻẺ...', 'ٻẺ|ҧٻẺͤٻẺ˹',
  // TrvActionClearFormat,
  '&ҧẺ', 'ҧẺ|ҧẺͤẺ˹ҷҡǹ͡',
  // TrvActionClearTextFormat,
  'ҧ&Ẻͤ', 'ҧẺͤ|ҧẺҡͤ͡',
  // TrvActionStyleInspector
  'Ǩͺ&ٻẺ', 'ǨͺٻẺ|ʴͫ͹ǵǨͺٻẺ',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'ŧ', '¡ԡ', 'Դ', 'á', '&Դ...', '&ѹ֡...', '&ҧ', '', {*}'Remove',
  // Others  -------------------------------------------------------------------
  // percents
  'ૹ',
  // left, top, right, bottom sides
  '', '', '', 'ҧ',
  // save changes? confirm title
  'ͧúѹ֡¹ŧ %s ?', '׹ѹ',
  // warning: losing formatting
  '%s ҨդسѡɳзʹͧѺٻẺͧúѹ֡'#13+
  'ͧúѹ֡͡ٻẺ?',
  // RVF format name
  'ٻẺ RichView',
  // Error messages ------------------------------------------------------------
  'ԴҴ',
  'ŴԴҴ'#13#13'˵ؼŷ:'#13'- ʹѺʹعٻẺ;'#13+
  '- ;'#13'- ١Դж١ͤ',
  'բͼԴҴ㹡ŴҾ'#13#13'˵ؼŷ:'#13'- ʹѺʹعٻẺҾ;'#13+
  '- Ҿ;'#13+
  '- ;'#13'- ١Դж١ͤ',
  'úѹ֡ԴҴ'#13#13'˵ؼŷ:'#13'- վ鹷ʡ;'#13+
  '- ʡͧѹ¹;'#13'- ѧʡ红;'#13+
  '- ١Դж١ͤ;'#13'- ʡ',  
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  ' RichView (*.rvf)|*.rvf',  ' RTF (*.rtf)|*.rtf' , ' XML (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'ͤ (*.txt)|*.txt', 'ͤ - Unicode (*.txt)|*.txt', 'ͤǨͺͧѵѵԟ (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  ' HTML (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - ҧ (*.htm;*.html)|*.htm;*.html',
  // DocX
  'ëͿ (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'äó', 'ä ''%s'' 辺',
  // 1 string replaced; Several strings replaced
  '١᷹ 1 ش', '١᷹ %d ش',
  // continue search from the beginning/end?
  '͡ ͧ价ش?',
  'ش͡ ͧ仨͡?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  '', 'ѵѵ',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  '', 'ӵ', 'С͡', '', '', 'Թ', '', '-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'ᴧ', '', 'ͧ', '', '', 'Թ', 'Թ҇', '-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'ᴧ', '͹', 'й', 'ǹӷ', 'ӷ', '͹', 'ǧ', '-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  '', 'ͧ', 'ͧ', 'ҧ', 'Ǣ', 'ͧ', '', '-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Һ', 'ӵ', 'ͧ͹', '͹', 'Ǣ͹', 'Ҩҧ', 'ǹ', '',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  '&ʧ', '&ѵѵ', '&...', '&վ鹰ҹ',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'ѧ', '&:', '˹', 'ѧ', 'ҧͤ',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Ղ', '&˹ҵҧ', '&Ҿ§', '&Ҿ§', '&觡ҧҧ',
  // Padding button
  '&â...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  '', '&:', '&...', '&â...',
  'س͡Ղ',
  // [apply to:] text, paragraph, table, cell
  'ͤ', '˹' , 'ҧ', '',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Ẻѡß', 'Ẻѡß', 'ç',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Ẻѡß:', '&ҴẺѡ', 'ѡɳẺѡ', '&˹', '&§',
  // Script, Color, Back color labels, Default charset
  '&ʟ:', '&:', 'ѧ:', '(Ҿ鹰ҹ)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'ѡɳо', 'ѡɳ', '&մ鹺', 'մ&Ѻ', 'Ǿ˭',
  // Sample, Sample text
  'ҧ', 'ͤҧ',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'ҧҧѡ', '&ҧ:', '&', '&պ',
  // Offset group-box, Offset label, Down, Up,
  '˹ǵ駟', '&Ҵ:', '&ŧ', '¡&',
  // Scaling group-box, Scaling
  'ҵǹ', 'ҵ&ǹ:',
  // Sub/super script group box, Normal, Sub, Super
  'е¡', '&', '&', '&¡',  
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  '', '&:', '&:', '&ҧ:', '&҇:', '&ҡѹ',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'á§ԵԂ', '§Ե', '&ʴ:', '&', '<<͡>>',
  // cannot open URL
  'ö "%s" ',
  // hyperlink properties button, hyperlink style
  '&˹ͧ...', '&ٻẺ:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) ñolors
  '§Ե', 'ջ', 'շѧӧҹ',
  // Text [color], Background [color]
  '&ͤ:', '&ѧ',
  // Underline [color], 
  'մ&:',
  // Text [color], Background [color] (different hotkeys)
  '&:', '&ѧ',
  // Underline [color], Attributes group-box,
  'մ&:', 'ѡɳ',
  // Underline type: always, never, active (below the mouse)
  '&մ:', 'ʹ', '', 'ѧӧҹ',
  // Same as normal check-box
  '&ԇ',
  // underline active links check-box
  '&մԧӧҹ',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'áѭѡɳ', '&Ẻѡß:', '&شѡП:', 'Unicode',
  // Unicode block
  '&ͤ:',  
  // Character Code, Character Unicode Code, No Character
  'ѡ: %d', 'ѡ: Unicode %d', '(յѡ)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows, 
  'áҧ', 'Ҵҧ', 'ӹǹ&:', 'ӹǹ&:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'çҧ', '&ѺҴѵѵ', 'ʹաѺ&˹ҵҧ', '˹&Ҵͧ',
  // Remember check-box
  'ӢҴ&ҧ',
  // VAlign Form ---------------------------------------------------------------
  '˹',  
  // Item Properties Form ------------------------------------------------------
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'سѵ', 'Ҿ', {*}'Position and Size', '', 'ҧ', '', '',
  // Image Appearance, Image Misc, Number tabs
  {*} 'Appearance', 'Miscellaneous', 'Number',
  // Box position, Box size, Box appearance tabs
  {*} 'Position', 'Size', 'Appearance',
  // Preview label, Transparency group-box, checkbox, label
  'ҧ:', '', '&', '&:',
  // change button, save button, no transparent color (use color right-bottom pixel)
  '&¹...', {*}'&Save...', 'ѵѵ',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'ҧ˹ǵ', '&èѴ˹:',
  'ҧҧͧͤ', 'çҧҧͧͤ',
  '鹺', 'ҧҧ', 'ҧ鹡ҧ',
  // align to left side, align to right side
  'ѧҹ', 'ѧҹ',
  // Shift By label, Stretch group box, Width, Height, Default size
  '&ʹաѺ:', '͂', '&ҧ:', '&٧:', 'Ҵ鹰ҹ: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  {*} 'Scale &proportionally', '&Reset',
  // Inside the border, border, outside the border groupboxes
  {*} 'Inside the border', 'Border', 'Outside the border',
  // Fill color, Padding (i.e. margins inside border) labels
  {*} '&Fill color:', '&Padding:',
  // Border width, Border color labels
  {*} 'Border &width:', 'Border &color:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  {*} '&Horizontal spacing:', '&Vertical spacing:',
  // Miscellaneous groupbox, Tooltip label
  {*} 'Miscellaneous', '&Tooltip:',
  // web group-box, alt text
  '', 'ͤ&ͧ:',
  // Horz line group-box, color, width, style
  'ǹ͹', '&:', '&ҧ:', '&ٻẺ:',
  // Table group-box; Table Width, Color, CellSpacing,
  'ҧ', '&ҧ:', '&:', {*}'Cell &Spacing...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  {*} '&Horizontal cell padding:', '&Vertical cell padding:', 'Border and background',
  // Visible table border sides button, auto width (in combobox), auto width label
  {*} 'Visible &Border Sides...', 'Auto', 'auto',
  // Keep row content together checkbox
  {*} '&Keep content together',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  {*} 'Rotation', '&None', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  {*} 'Border:', 'Visible B&order Sides...',
  // Border, CellBorders buttons
  '&ͺҧ...', '&ͺ...',
  // Table border, Cell borders dialog titles
  'ͺҧ', 'ͺ鹇',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'þ', '&͹حҵ觢˹ҡдɂ', 'ӹǹ&ͧ:',
  'ͧ͢˹',
  // top, center, bottom, default
  '&', '&ҧ', '&ҧ', '&',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'õ駤', '&ҧͧÈ:', '&٧ҧ:', '&:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'ͺ', 'ҹͧ繂:',  '&:', 'ʧ&', '&:',
  // Background image
  'ٻ&Ҿ...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  {*} 'Horizontal position', 'Vertical position', 'Position in text',
  // Position types: align, absolute, relative
  {*} 'Align', 'Absolute position', 'Relative position',
  // [Align] left side, center, right side
  {*} 'left side of box to left side of',
  {*} 'center of box to center of',
  {*} 'right side of box to right side of',
  // [Align] top side, center, bottom side
  {*} 'top side of box to top side of',
  {*} 'center of box to center of',
  {*} 'bottom side of box to bottom side of',
  // [Align] relative to
  {*} 'relative to',
  // [Position] to the right of the left side of
  {*} 'to the right of the left side of',
  // [Position] below the top side of
  {*} 'below the top side of',
  // Anchors: page, main text area (x2)
  {*} '&Page', '&Main text area', 'P&age', 'Main te&xt area',
  // Anchors: left margin, right margin
  {*} '&Left margin', '&Right margin',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  {*} '&Top margin', '&Bottom margin', '&Inner margin', '&Outer margin',
  // Anchors: character, line, paragraph
  {*} '&Character', 'L&ine', 'Para&graph',
  // Mirrored margins checkbox, layout in table cell checkbox
  {*} 'Mirror&ed margins', 'La&yout in table cell',
  // Above text, below text
  {*} '&Above text', '&Below text',
  // Width, Height groupboxes, Width, Height labels
  {*} 'Width', 'Height', '&Width:', '&Height:',
  // Auto height label, Auto height combobox item
  {*} 'Auto', 'auto',
  // Vertical alignment groupbox; alignments: top, center, bottom
  {*} 'Vertical alignment', '&Top', '&Center', '&Bottom',
  // Border and background button and title
  {*} 'B&order and background...', 'Box Border and Background',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files, URL
  'ҧẺɂ', '&ҧ:', 'ٻẺ Rich text', 'ٻẺ HTML',
  'ͤ', 'ͤ Unicode', 'ٻҾ Bitmap', 'Ҿ Metafile',
  'ҿԡ', 'URL',
  // Options group-box, styles
  '͡', '&ٻẺ:',
  // style options: apply target styles, use source styles, ignore styles
  'ٻẺͧ͡', 'ѡٻẺѡɳ',
  'ѡѡɳ, ¡ԡٻẺ',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'ǢӴѺŢ', 'Ǣ', 'ӴѺŢ', '¡ѭѡɳǢ', '¡ӴѺŢ',
  // Customize, Reset, None
  '&˹ͧ...', '&駤', 'Ղ',
  // Numbering: continue, reset to, create new
  'ӴѺŢ仂', '駤ӴѺŢ', 'ҧ¡ 鹨ҡ',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'ſҺ', 'ѹ', 'ŢҹԺ', 'ſҧ', 'ѹҧ',
  // Bullet type
  'ǧ', '', 'ѵ',
  // Level, Start from, Continue numbering, Numbering group-box
  '&дѺ:', '&ҡ:', '&仂', 'ӴѺŢ',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  '˹¡ͧ', 'дѺ', '&Ѻӹǹ:', 'سѵԢͧ¡', '&Դͧ¡:',
  // List types: bullet, image
  'ѭѡɳ', 'Ҿ', 'áŢ|',
  // Number format, Number, Start level from, Font button
  '&ٻẺŢ:', 'Ţ', '&ҡŢ:', '&Ẻѡß...',
  // Image button, bullet character, Bullet button,
  '&Ҿ...', 'ѡ&ʴǢ', '&Ǣ...',
  // Position of list text, bullet, number, image, text
  '˹觢ͧ¡âͤ', '˹Ǣ', '˹觵Ţ', '˹Ҿ', '˹觢ͤ',
  // at, left indent, first line indent, from left indent
  '&:', 'ͧ&:', '&ͧ÷Ѵá:', 'ҡͧ',
  // [only] one level preview, preview
  '&ҧдѺ˹', 'ҧ',
  // Preview text
  'ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'ѴԴ', 'ѴԴ҂', '觡ҧ',
  // level #, this level (for combo-box)
  'дѺ %d', 'дѺ',
  // Marker character dialog title
  'ѡʴǢ',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  '鹢ͺ˹оѧ', 'ͺ', 'ѧ',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  '駤ҡͧ', '&:', '&ҧ&ͺ͡:', 'ҧ&ͺ:', 'Тͺ&ͤ..',
  // Sample, Border type group-boxes;
  'ҧ', 'Դͺ',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Ղ', '&', '&', '&', '˹&', '˹&¹͡',
  // Fill color group-box; More colors, padding buttons
  '', '...', 'ͧҧҧ...',
  // preview text
  'ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ',
  // title and group-box in Offsets dialog
  'ͺѡÇ', '鹢ͺ',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify
  '˹', 'èѴ', '&', '&', '&觡ҧ', '&Դͺ',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'ҧ', '&͹:', '&ѧ:', 'ҧ&÷Ѵ:', '&Ҵ:',
  // Indents group-box; indents: left, right, first line
  'ͧ', '&:', '&:', '&÷Ѵá:',
  // indented, hanging
  '&ͧ', '&ǹ', 'ҧ',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  '˹', '1.5 ÷Ѵ', 'ͧ', 'ҧ', '͹', 'º÷Ѵ',
  // preview text
  'ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ ͤ',
  // tabs: Indents and spacing, Tabs, Text flow
  'ͧҧ', '', 'ȷҧͧͤ',
  // tab stop position label; buttons: set, delete, delete all
  '&˹觢ͧش:', '&駤', '&ź', 'ź&',
  // tab align group; left, right, center aligns,
  'èѴ˹', 'Դ&', 'Դ&҇', '&觡ҧ',
  // leader radio-group; no leader
  '§', '(Ղ)',
  // tab stops to be deleted, delete none, delete all labels
  'شҧ:', '(Ղ)', 'ҧ',
  // Pagination group-box, keep with next, keep lines together
  '˹', '&ѺѴ仂', '&纺÷Ѵ¡ѹ',
  // Outline level, Body text, Level #
  '&дѺҧ:', 'ͤ', 'дѺ %d',  
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'ҧþ', 'ʹդҧ', '˹', '˹:',
  // Invalid Scale, [page #] of #
  'سҾŢҡ 10 ֧ 500', 'ͧ %d',
  // Hints on buttons: first, prior, next, last pages
  '˹á', '˹ҡ͹', '˹ҶѴ', '˹ش',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'ҧҧ', 'ҧ', 'ҧ', 'ҧ鹢ͺҧ',
  // vertical, horizontal (x2)
  '&ǵ:', '&ǹ͹:', '&:', '&͹:',
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  '鹢ͺ', 'õ駤', '&:', '&͹:', '&:',
  // Width; Border type group-box;
  '&ҧ:', 'Դͧ鹢ͺ',
  // Border types: none, sunken, raised, flat
  '&Ղ', '&غ', '&¡', '&Һ',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  '¡', '¡',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&кبӹǹͧФ', '&',
  // number of columns, rows, merge before
  'ӹǹ&:', 'ӹǹ&:', '&ҹ͹¡',
  // to original cols, rows check-boxes
  'ӹǹ&', '¡&',
  // Add Rows form -------------------------------------------------------------
  'ǂ', 'ӹǹ&:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  '駤˹ҡд', '˹', 'ǡдз¡д',
  // margins group-box, left, right, top, bottom
  'Тͺ ()', 'Тͺ ()', '&:', '&:', '&:', '&ҧ:',
  // mirror margins check-box
  '&з͹',
  // orientation group-box, portrait, landscape
  'ҧ', '&ǵ駟', '&ǹ͹',
  // paper group-box, paper size, default paper source
  'д', '&Ҵд:', '&觡д:',
  // header group-box, print on the first page, font button
  'ǡд', '&ͤ:', '&ǡд˹á', '&Ẻѡß...',
  // header alignments: left, center, right
  '&', '&ҧ', '&',
  // the same for footer (different hotkeys)
  '¡д', '&ͤ:', '¡д&˹á', 'Ẻ&ѡß...',
  '&', '&ҧ', '&',
  // page numbers group-box, start from
  'Ţ˹', '&ҡ:',
  // hint about codes
  'شѡо:'#13'&&p - Ţ˹; &&P - ӹǹ˹; &&d - ѹѨغѹ; &&t - һѨغѹ',
  // Code Page form ------------------------------------------------------------
  // title, label
  '˹ͤ', '&͡:',
  // thai, japanese, chinese (simpl), korean
  '', '', 'չ (ء)', '',
  // chinese (trad), central european, cyrillic, west european
  'չ ()', 'ûҧеѹ͡', '', 'ûѹ',
  // greek, turkish, hebrew, arabic
  'ա', 'á', 'պق', 'Ѻ',
  // baltic, vietnamese, utf-8, utf-16
  'ŵԡ', '´', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'ѡɳСʴ', '&͡ٻẺ:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'ŧ繢ͤ', '&͡Ǥ蹂:',
  // line break, tab, ';', ','
  '觺÷Ѵ', '', 'ѲҤ', 'Ҥ',
  // Table sort form -----------------------------------------------------------
  // error message
  'ҧСͺǷ١ҹö§ӴѺ',
  // title, main options groupbox
  '§ӴѺҧ', '§ӴѺ',
  // sort by column, case sensitive
  '&§ӴѺ:', '&¡еǾ˭-',
  // heading row, range or rows
  '¡ǹ&ͧǂ', '㹡èѴ§: ҡ %d ֧ %d',
  // order, ascending, descending
  'ӴѺ', '&ҡ', '&ҡ仹',
  // data type, text, number
  'Դ', '&ͤ', '&Ţ',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  {*} 'Insert Number', 'Properties', '&Counter name:', '&Numbering type:',
  // numbering groupbox, continue, start from
  {*} 'Numbering', 'C&ontinue', '&Start from:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  {*} 'Caption', '&Label:', '&Exclude label from caption',
  // position radiogroup
  {*} 'Position', '&Above selected object', '&Below selected object',
  // caption text
  {*} 'Caption &text:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  {*} 'Numbering', 'Figure', 'Table',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  {*} 'Visible Border Sides', 'Border',
  // Left, Top, Right, Bottom checkboxes
  {*} '&Left side', '&Top side', '&Right side', '&Bottom side',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'ѺҴҧ', 'ѺҴǵҧ',
  // Hints on indents: first line, left (together with first), left (without first), right
  'ͧá', 'ͧ', 'ͧ', 'ͧҟ',
  // Hints on lists: up one level (left), down one level (right)
  'дѺ', 'Ŵ˹дѺ',
  // Hints for margins: bottom, left, right and top
  'ͺҧ', 'ͺ', 'ͺ', 'ͺ',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  '纪Դ', '纪Դ', '纪Դ觡ҧ', '纪Դȹ',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  '', 'ͧ', 'ժͧҧ', 'ͧ %d', '¡˹',
  // Hyperlink, Title, Subtitle
  'ԧ', 'ͧ', 'ͧͧ',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  '', '鹺ҧ', '˹', 'ҡ',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'ҧԧ', 'ҧԧ˹', 'ҧ§ҧ', 'ҧ§˹',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'ͧͤ', 'HTML ѹ', ' HTML', 'HTML ',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'ӡѴ HTML', ' HTML', 'ҧ HTML', 'Ǿ HTML',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML ', 'HTML ҧԧ', 'ǹ', 'ǹ', 'Ţ˹',
  // Caption
  {*} 'Caption',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'ҧԧͧ', 'ҧԧԧö', 'ͤҧԧͧ', 'ͤԧö',
  // Sidenote Reference, Sidenote Text
  {*} 'Sidenote Reference', 'Sidenote Text',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  '', 'վѧ', '', '', '',
  // default background color, default text color, [color] same as text
  'վѧ', 'Ẻѡ', '͹Ѻͤ',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  '', '˹', '', 'ش', 'ش˹', 'ش',
  // underline types: thick dashed, long dashed, thick long dashed,
  'ش˹', 'ش', 'ش˹',
  // underline types: dash dotted, thick dash dotted,
  'شШش', 'شШش˹',
  // underline types: dash dot dotted, thick dash dot dotted
  'شШشش', 'شШشش˹',
  // sub/superscript: not, subsript, superscript
  '/¡', '', '¡',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'Ѻ¢:', 'ͧѹ', '仢', '仫',
  // bold, not bold
  '˹', '˹',
  // italic, not italic
  '§', '§',
  // underlined, not underlined, default underline
  'մ', 'մ', '鹡մ',
  // struck out, not struck out
  'մѺ', 'մѺ',
  // overlined, not overlined
  'մ鹺', 'մ鹺',
  // all capitals: yes, all capitals: no
  '˭', '˭',
  // vertical shift: none, by x% up, by x% down
  '¹ŧǵ', 'ա %d%%', 'Ŵŧա %d%%',
  // characters width [: x%]
  'ҧѡ',
  // character spacing: none, expanded by x, condensed by x
  'ҧѡл', 'ҧա %s', 'Ŵҧա %s',
  // charset
  'ʤԻ',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'Ẻѡ', '˹', 'ش',
  // [hyperlink] highlight, default hyperlink attributes
  '', '',
  // paragraph aligmnment: left, right, center, justify
  'ͤԴ', 'ͤԴ', '觡ҧ', '',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  '٧÷Ѵ: %d%%', 'ҧ÷Ѵ: %s', '٧÷Ѵ: ҧ %s',
  '٧÷Ѵ: ʹշ %s',
  // no wrap, wrap
  '¡ԡõѴӢ鹺÷Ѵ', 'ѴӢ鹺÷Ѵ',
  // keep lines together: yes, no
  'ѡҺ÷Ѵ¡ѹ', 'ͧѡҺ÷Ѵ¡ѹ',
  // keep with next: yes, no
  'ѡ˹ҶѴ', 'ͧѡ˹ҶѴ',
  // read only: yes, no
  'ҹҹ', 'ö',
  // body text, heading level x
  'дѺçҧ: ǹͤ', 'дѺçҧ: %d',
  // indents: first line, left, right
  'ͧá', 'ͧ', 'ͧ',
  // space before, after
  'ͧҧ͹', 'ͧҧѧ',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  '', '', '', '', '', 'ҧ',
  // tab leader (filling character)
  'á',
  // no, yes
  '', '',
  // [padding/spacing/side:] left, top, right, bottom
  '', '', '', 'ҧ',
  // border: none, single, double, triple, thick inside, thick outside
  '', '', '', '', '˹Ҵҹ', '˹Ҵҹ͡',
  // background, border, padding, spacing [between text and border]
  'ѧ', 'ͺ', '', 'ͧ',
  // border: style, width, internal width, visible sides
  'ٻẺ', 'ҧ', '', 'Ҵͧ',
  // style inspector -----------------------------------------------------------
  // title
  'ǨͺٻẺ',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'ٻẺ', '()', '˹', 'Ẻѡ', 'سѵ',
  // border and background, hyperlink, standard [style]
  '鹢ͺоѧ', 'ԧ', '(ҵðҹ)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'ٻẺ', 'ٻẺ',
  // name, applicable to,
  '&:', '&Ѻ:',
  // based on, based on (no &),
  '&鹰ҹͧ:', '鹰ҹͧ:',
  //  next style, next style (no &)
  'ٻẺѺ&˹ҵ:', 'ٻẺѺ˹ҵ:',
  // quick access check-box, description and preview
  '&Ҷ֧ҧǴ', '´&ҧ:',
  // [applicable to:] paragraph and text, paragraph, text
  '˹Тͤ', '˹', 'ͤ',
  // text and paragraph styles, default font
  'ٻẺͤػẺ˹', 'Ẻѡ',
  // links: edit, reset, buttons: add, delete
  '', '駤', '&', '&ź',
  // add standard style, add custom style, default style name
  '&ٻẺҵðҹ...', '&ٻẺ˹ͧ', 'ٻẺ%d',
  // choose style
  '͡&ٻẺ:',
  // import, export,
  '&...', '&͡...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
 'ٻẺ RichView (*.rvst)|*.rvst', 'ŴԴҴ', 'ٻẺ',
  // Title, group-box, import styles
  'ٻẺҡ', '', '&ٻẺ:',
  // existing styles radio-group: Title, override, auto-rename
  'ٻẺ', '&Ѻ', '&¹',
  // Select, Unselect, Invert,
  '&͡', '&͡', '&͹Ѻ',
  // select/unselect: all styles, new styles, existing styles
  '&ٻẺ', '&ٻẺ', '&ٻẺ',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  '(ҧٻẺ)', '(ٻẺ)',
  // dialog title, prompt
  'ٻẺ', '&͡ٻẺ:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  '&͹', '&¡ԡ', '&㹾ҹء',
  // Progress messages ---------------------------------------------------------
  'ѧǹŴ %s', 'ѧþ...', 'ѧ˹ %d',
  'ŧҡ RTF...',  'ŧ RTF...',
  'ѧҹ %s...', 'ѧ¹ %s...', 'ͤ',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  {*} 'No Note', 'Footnote', 'Endnote', 'Sidenote', 'Text Box'
  );


initialization
  RVA_RegisterLanguage(
    'Thai', // english language name, do not translate
    {*} 'Thai', // native language name
    THAI_CHARSET, @Messages);

end.
